<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.10004
Name: ELGA CDA Dokument Befund Bildgebende Diagnostik
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.10004-2013-10-16T000000">
   <title>ELGA CDA Dokument Befund Bildgebende Diagnostik</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10004
Context: hl7:ClinicalDocument
Item: (CDABildiag)
-->

<rule context="hl7:ClinicalDocument"
         id="tmp-r-4b5e50db-9946-4f93-bdeb-eadb0b3ec5d0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="string(@classCode)='DOCCLIN' or not(@classCode)">(CDABildiag): Der Wert von @classCode MUSS 'DOCCLIN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(CDABildiag): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:realmCode)&gt;=1 and not(hl7:realmCode/@nullFlavor)">(CDABildiag): Element hl7:realmCode ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:realmCode)&lt;=1">(CDABildiag): Element hl7:realmCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(CDABildiag): Element hl7:typeId[@root='2.16.840.1.113883.1.3'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(CDABildiag): Element hl7:typeId[@root='2.16.840.1.113883.1.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.34.11.1']/@nullFlavor)">(CDABildiag): Element hl7:templateId[@root='1.2.40.0.34.11.1'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1'])&lt;=1">(CDABildiag): Element hl7:templateId[@root='1.2.40.0.34.11.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.5'])&gt;=1 ">(CDABildiag): Element hl7:templateId[@root='1.2.40.0.34.11.5'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.5'])&lt;=1">(CDABildiag): Element hl7:templateId[@root='1.2.40.0.34.11.5'] kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:templateId[@root='1.2.40.0.34.11.5.0.1']|hl7:templateId[@root='1.2.40.0.34.11.5.0.3'])"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="$elmcount&lt;=1">(CDABildiag): Auswahl (hl7:templateId[@root='1.2.40.0.34.11.5.0.1'] oder hl7:templateId[@root='1.2.40.0.34.11.5.0.3']) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(CDABildiag): Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:id)&lt;=1">(CDABildiag): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:code[(@code='18842-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11490-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34745-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18748-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18747-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18755-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18760-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18757-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18758-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18745-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11522-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18782-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18746-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18751-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11525-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='56445-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='61356-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='18842-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11490-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34745-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18748-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18747-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18755-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18760-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18757-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18758-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18745-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11522-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18782-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18746-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18751-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11525-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='56445-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='61356-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(CDABildiag): Element hl7:code[(@code='18842-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11490-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34745-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18748-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18747-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18755-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18760-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18757-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18758-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18745-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11522-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18782-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18746-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18751-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11525-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='56445-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='61356-2' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:code[(@code='18842-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11490-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34745-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18748-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18747-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18755-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18760-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18757-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18758-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18745-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11522-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18782-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18746-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18751-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11525-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='56445-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='61356-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(CDABildiag): Element hl7:code[(@code='18842-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11490-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34745-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18748-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18747-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18755-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18760-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18757-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18758-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18745-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11522-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18782-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18746-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18751-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11525-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='56445-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='61356-2' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(CDABildiag): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:title)&lt;=1">(CDABildiag): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(CDABildiag): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDABildiag): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&gt;=1 and not(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]/@nullFlavor)">(CDABildiag): Element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&lt;=1">(CDABildiag): Element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:languageCode[@code='de-AT'])&gt;=1 and not(hl7:languageCode[@code='de-AT']/@nullFlavor)">(CDABildiag): Element hl7:languageCode[@code='de-AT'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:languageCode[@code='de-AT'])&lt;=1">(CDABildiag): Element hl7:languageCode[@code='de-AT'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:setId)&gt;=1 and not(hl7:setId/@nullFlavor)">(CDABildiag): Element hl7:setId ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:setId)&lt;=1">(CDABildiag): Element hl7:setId kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:versionNumber)&gt;=1 and not(hl7:versionNumber/@nullFlavor)">(CDABildiag): Element hl7:versionNumber ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(CDABildiag): Element hl7:versionNumber kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(CDABildiag): Element hl7:recordTarget ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(CDABildiag): Element hl7:recordTarget kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(CDABildiag): Element hl7:author ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:dataEnterer)&lt;=1">(CDABildiag): Element hl7:dataEnterer kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(CDABildiag): Element hl7:custodian ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:custodian)&lt;=1">(CDABildiag): Element hl7:custodian kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:legalAuthenticator)&gt;=1 and not(hl7:legalAuthenticator/@nullFlavor)">(CDABildiag): Element hl7:legalAuthenticator ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:legalAuthenticator)&lt;=1">(CDABildiag): Element hl7:legalAuthenticator kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']])&gt;=1 and not(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']]/@nullFlavor)">(CDABildiag): Element hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.2']])&lt;=1">(CDABildiag): Element hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.2']] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.3']])&lt;=1">(CDABildiag): Element hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.3']] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.6']])&lt;=1">(CDABildiag): Element hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.6']] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.7']])&lt;=1">(CDABildiag): Element hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.7']] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]])&gt;=1 and not(hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]]/@nullFlavor)">(CDABildiag): Element hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]])&lt;=1">(CDABildiag): Element hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:relatedDocument)&lt;=1">(CDABildiag): Element hl7:relatedDocument kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:authorization)=0">(CDABildiag): Element hl7:authorization DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="count(hl7:componentOf[hl7:encompassingEncounter[hl7:code[(@code='AMB' and @codeSystem='2.16.840.1.113883.5.4') or (@code='EMER' and @codeSystem='2.16.840.1.113883.5.4') or (@code='HH' and @codeSystem='2.16.840.1.113883.5.4') or (@code='IMP' and @codeSystem='2.16.840.1.113883.5.4') or (@code='ACUTE' and @codeSystem='2.16.840.1.113883.5.4') or (@code='NONAC' and @codeSystem='2.16.840.1.113883.5.4') or (@code='VR' and @codeSystem='2.16.840.1.113883.5.4')]]])&lt;=1">(CDABildiag): Element hl7:componentOf[hl7:encompassingEncounter[hl7:code[(@code='AMB' and @codeSystem='2.16.840.1.113883.5.4') or (@code='EMER' and @codeSystem='2.16.840.1.113883.5.4') or (@code='HH' and @codeSystem='2.16.840.1.113883.5.4') or (@code='IMP' and @codeSystem='2.16.840.1.113883.5.4') or (@code='ACUTE' and @codeSystem='2.16.840.1.113883.5.4') or (@code='NONAC' and @codeSystem='2.16.840.1.113883.5.4') or (@code='VR' and @codeSystem='2.16.840.1.113883.5.4')]]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument
Item: (FirstCDAHeaderElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument
Item: (FirstCDAHeaderElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument
Item: (FirstCDAHeaderElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:realmCode
Item: (FirstCDAHeaderElements)
-->

<rule context="hl7:ClinicalDocument/hl7:realmCode"
         id="tmp-r-22448ec0-ce49-452a-bbda-e2f93650ab98">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-1.2.40.0.34.10.3-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="not(@code) or count($theAttValue) = count($theAttCheck)">(FirstCDAHeaderElements): Der Wert von code MUSS gewählt werden aus dem Value Set ELGA_RealmCode (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (FirstCDAHeaderElements)
-->

<rule context="hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-e2ac6c3f-2b2c-4a8d-a38e-96d0ce394dc9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(FirstCDAHeaderElements): @root MUSS den Wert '2.16.840.1.113883.1.3' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@extension)='POCD_HD000040'">(FirstCDAHeaderElements): Der Wert von @extension MUSS 'POCD_HD000040' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.1']
Item: (FirstCDAHeaderElements)
-->

<rule context="hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.1']"
         id="tmp-r-93a47f41-f4d2-43cc-904f-af6a792cc498">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.1'">(FirstCDAHeaderElements): @root MUSS den Wert '1.2.40.0.34.11.1' haben.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/*[not(self::hl7:realmCode|self::hl7:typeId[@root='2.16.840.1.113883.1.3']|self::hl7:templateId[@root='1.2.40.0.34.11.1']|self::hl7:templateId[@root='1.2.40.0.34.11.5']|self::hl7:templateId[@root='1.2.40.0.34.11.5.0.1']|self::hl7:templateId[@root='1.2.40.0.34.11.5.0.3']|self::hl7:id|self::hl7:code[(@code='18842-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11490-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34745-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18748-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18747-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18755-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18760-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18757-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18758-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18745-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11522-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18782-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18746-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18751-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11525-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='56445-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='61356-2' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:effectiveTime|self::hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]|self::hl7:languageCode[@code='de-AT']|self::hl7:setId|self::hl7:versionNumber|self::hl7:recordTarget|self::hl7:author|self::hl7:dataEnterer|self::hl7:custodian|self::hl7:informationRecipient|self::hl7:legalAuthenticator|self::hl7:authenticator|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.2']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.3']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.4']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.6']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.7']]|self::hl7:inFulfillmentOf|self::hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]]|self::hl7:relatedDocument|self::hl7:authorization|self::hl7:componentOf[hl7:encompassingEncounter[hl7:code[(@code='AMB' and @codeSystem='2.16.840.1.113883.5.4') or (@code='EMER' and @codeSystem='2.16.840.1.113883.5.4') or (@code='HH' and @codeSystem='2.16.840.1.113883.5.4') or (@code='IMP' and @codeSystem='2.16.840.1.113883.5.4') or (@code='ACUTE' and @codeSystem='2.16.840.1.113883.5.4') or (@code='NONAC' and @codeSystem='2.16.840.1.113883.5.4') or (@code='VR' and @codeSystem='2.16.840.1.113883.5.4')]]]|self::hl7:component)]"
         id="tmp-r-4b5e50db-9946-4f93-bdeb-eadb0b3ec5d0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10004-2013-10-16T000000.html"
              test="not(.)">(CDABildiag): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]]/*[not(self::hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']])]"
         id="tmp-r-14a9fdf6-025b-43d9-86b1-9a34e1444617">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]]/hl7:serviceEvent/*[not(self::hl7:code[@codeSystem='1.2.40.0.34.5.38']|self::hl7:effectiveTime|self::hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']])]"
         id="tmp-r-7641495a-5da7-4b64-968d-88c058e9bfd8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]]/hl7:serviceEvent/hl7:effectiveTime/*[not(self::hl7:low|self::hl7:high)]"
         id="tmp-r-edc1d598-32cf-4368-b477-67d3f1de0619">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:documentationOf[hl7:serviceEvent[hl7:code[@codeSystem='1.2.40.0.34.5.38']]]/hl7:serviceEvent/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'])]"
         id="tmp-r-abd9882a-8665-4533-b656-a118512b2144">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/*[not(self::hl7:structuredBody)]"
         id="tmp-r-e880309b-57af-429b-b5cc-fc84b6779a14">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/*[not(self::hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.1']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.1']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.2']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.3']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.4']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.5']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.6']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.7']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.8']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.10']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.11']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.12']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.13']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.14']]]|self::hl7:component[hl7:section[hl7:code[(@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1')]]])]"
         id="tmp-r-446cffe1-294f-45bb-bc3d-5aacd1c8a5b4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]]/*[not(self::hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']])]"
         id="tmp-r-bab0cd6a-cdb5-41dc-9766-bf09d2935a0a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]]/hl7:section/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']|self::hl7:code[(@code='121181' and @codeSystem='1.2.840.10008.2.16.4')]|self::hl7:title|self::hl7:text|self::hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]])]"
         id="tmp-r-bf852641-76c7-4f18-88d0-cbf70e937e7d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]]/*[not(self::hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']])]"
         id="tmp-r-91dc6508-1472-4666-ba14-c168fec47d21">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]]/hl7:act/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']|self::hl7:id|self::hl7:code[(@code='113014' and @codeSystem='1.2.840.10008.2.16.4')]|self::hl7:text|self::hl7:effectiveTime|self::hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]])]"
         id="tmp-r-525321d7-9f22-401e-a9e6-40764b1e96f4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]]/hl7:act/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/*[not(self::hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')]])]"
         id="tmp-r-d6dd49cd-ad68-4d11-ab7a-a2814a81dabf">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]]/hl7:act/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')]]/*[not(self::hl7:id|self::hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')]|self::hl7:text|self::hl7:effectiveTime|self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]])]"
         id="tmp-r-5b545166-0a83-427d-9af9-9d2e56998871">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]]/hl7:act/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')]]/hl7:code/*[not(self::hl7:qualifier)]"
         id="tmp-r-4fdd4518-6b25-4b1b-b2d0-5e9061914863">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]]/hl7:act/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')]]/hl7:code/hl7:qualifier/*[not(self::hl7:name[(@code='121139' and @codeSystem='1.2.840.10008.2.16.4')]|self::hl7:value[@codeSystem='1.2.840.10008.2.16.4'])]"
         id="tmp-r-29668348-0b3d-4f44-ad85-4624212c67cd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]]/hl7:act/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')]]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]]/*[not(self::hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']])]"
         id="tmp-r-88d1c52f-8680-4946-9943-4fd44420a915">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]]/hl7:act/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')]]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]]/hl7:observation/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']|self::hl7:id|self::hl7:code[@codeSystem='1.2.840.10008.2.6.1']|self::hl7:text|self::hl7:effectiveTime)]"
         id="tmp-r-217ff36c-101a-4f6c-b644-5d7c3df5692e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]]/hl7:act/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act[hl7:code[(@code='113015' and @codeSystem='1.2.840.10008.2.16.4')]]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]]/hl7:observation/hl7:text/*[not(self::hl7:reference)]"
         id="tmp-r-d0c2bde5-829e-4218-8794-19a30a86812e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.1']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.1']])]"
         id="tmp-r-fa73981e-d633-4c2e-83f1-1569e218bee0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.1']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.1.2.1']|self::hl7:code[(@code='BRIEFT' and @codeSystem='1.2.40.0.34.5.40')]|self::hl7:title|self::hl7:text|self::hl7:entry[hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']]])]"
         id="tmp-r-e35dc99d-f413-4d03-bada-0d150657de44">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.1']]]/hl7:section/hl7:entry[hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']]]/*[not(self::hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']])]"
         id="tmp-r-32e3c93a-3570-425d-bb1a-be04afc4dae8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.1']]]/hl7:section/hl7:entry[hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']]]/hl7:observationMedia/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.1.3.2']|self::hl7:value)]"
         id="tmp-r-9e83cbe2-624c-48ab-8f42-308c51fbb26f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.1']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.1']])]"
         id="tmp-r-0f87f4bd-9fcd-4ed2-b84e-b1614201aa2e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.1']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.1']|self::hl7:code[(@code='55115-0' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-0feb532a-84cd-40e9-81e7-4e5bd5766358">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.2']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.2']])]"
         id="tmp-r-0e0559fa-c191-4b1f-b479-ae067045f2c2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.2']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.2']|self::hl7:code[(@code='11329-0' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-2adb747f-8608-45a2-a02a-231594ade3b7">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.3']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.3']])]"
         id="tmp-r-8a6f8c6c-1cbe-4a3f-82d8-d1b646f95ee3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.3']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.3']|self::hl7:code[(@code='18785-6' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-924d24be-c6be-49e7-8a99-8dbbb6c86210">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.4']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.4']])]"
         id="tmp-r-80b5370d-4bf4-4ee0-973c-f6dc88ffa930">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.4']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.4']|self::hl7:code[(@code='55108-5' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-c26de1d7-71a1-4768-b0e0-42f13a49203c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.5']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.5']])]"
         id="tmp-r-dbc59caa-8852-4443-ae2a-b959dc0e687f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.5']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.5']|self::hl7:code[(@code='55111-9' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-a17620b2-bd2c-4d7c-bc0c-456f1f8befcb">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.6']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.6']])]"
         id="tmp-r-2fd49f66-c8bd-4fc1-9113-a850433388e5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.6']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.6']|self::hl7:code[(@code='55114-3' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-5dbf12a0-1d1e-4111-8545-543ac94a43aa">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.7']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.7']])]"
         id="tmp-r-c9aa5fde-8077-49f8-b9a1-c8a36ae51a46">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.7']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.7']|self::hl7:code[(@code='18834-2' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-e202a97e-8eb1-47c8-b244-25bca1be5621">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.8']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.8']])]"
         id="tmp-r-6c181a83-32aa-47bb-983a-06a98643c73c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.8']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.8']|self::hl7:code[(@code='55109-3' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-a5f0a322-8224-4924-86b3-b0466bc57457">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']])]"
         id="tmp-r-89299ee9-6a35-46b1-b23f-3a166b179cc2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.9']|self::hl7:code[(@code='18782-3' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text|self::hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12']]]|self::hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.5.3.1']]])]"
         id="tmp-r-48d7c79f-db21-4efe-a74e-bd3024b47d8c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12']]]/*[not(self::hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12']])]"
         id="tmp-r-da12197b-84bf-41bb-86d2-d8b2a60524d3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12']]]/hl7:observation/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12']|self::hl7:code[(@code='121071' and @codeSystem='1.2.840.10008.2.16.4')]|self::hl7:value)]"
         id="tmp-r-9a47aa87-3bc0-477a-a33a-9c734dc3caae">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12']]]/hl7:observation/hl7:value/*[not(self::reference)]"
         id="tmp-r-23c1ec11-8cbf-43a7-929d-f5bdf0b92277">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.5.3.1']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.5.3.1']])]"
         id="tmp-r-bb30fa18-616d-4a64-b887-35eeadbfb114">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.5.3.1']]]/hl7:observation/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.3.1']|self::hl7:code[(@code='36625-2' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:text|self::hl7:effectiveTime|self::hl7:statusCode[@code='completed']|self::hl7:value[(@code='II.AC.a' and @codeSystem='1.2.40.0.34.5.49') or (@code='II.AC.b.1' and @codeSystem='1.2.40.0.34.5.49') or (@code='II.AC.b.2' and @codeSystem='1.2.40.0.34.5.49') or (@code='II.AC.b.3' and @codeSystem='1.2.40.0.34.5.49') or (@code='II.AC.b.4' and @codeSystem='1.2.40.0.34.5.49') or (@code='MA.II.A.5.4A' and @codeSystem='1.2.40.0.34.5.49') or (@code='MA.II.A.5.4B' and @codeSystem='1.2.40.0.34.5.49') or (@code='MA.II.A.5.4C' and @codeSystem='1.2.40.0.34.5.49') or (@code='II.AC.b.5' and @codeSystem='1.2.40.0.34.5.49') or (@code='MA.II.A.5.6' and @codeSystem='1.2.40.0.34.5.49')])]"
         id="tmp-r-633473d7-4a48-43f8-92a2-ad3b0e13357f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.9']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.5.3.1']]]/hl7:observation/hl7:text/*[not(self::reference)]"
         id="tmp-r-997e57f8-03c7-4db3-b03c-8dec4597292f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.10']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.10']])]"
         id="tmp-r-ec5178b4-1b6f-40ce-904a-b72708fd9a02">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.10']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.10']|self::hl7:code[(@code='55112-7' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-26e41b55-e4b3-4247-807f-5cb91a6422da">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.11']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.11']])]"
         id="tmp-r-a44d428c-87fe-41c4-8674-17ddc2ae27fc">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.11']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.11']|self::hl7:code[(@code='19005-8' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-5363c5cf-6a84-4612-a811-a713d0e29fe3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.12']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.12']])]"
         id="tmp-r-f1f9e6a8-8f3f-475f-9030-15c531efa8dc">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.12']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.12']|self::hl7:code[(@code='55110-1' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-76a509b8-3b22-4700-98db-3c38ae16b47e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.13']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.13']])]"
         id="tmp-r-09b2f21b-be9a-4560-8488-9f27493dc9d4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.13']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.13']|self::hl7:code[(@code='18783-1' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-e1ad1fee-0487-4eb6-949c-7b9ec5bb052b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.14']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.14']])]"
         id="tmp-r-0e720200-caf9-40f8-9f19-0520162a39ac">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.5.2.14']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.5.2.14']|self::hl7:code[(@code='55107-7' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-b27e301f-db2c-434b-8fba-6ac3e4d279f8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[(@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1')]]]/*[not(self::hl7:section[hl7:code[(@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1')]])]"
         id="tmp-r-7e5aea6f-5151-4cc6-b760-5564bff298ae">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[(@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:section/*[not(self::hl7:code[(@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text)]"
         id="tmp-r-fa9b3e4f-9710-4dd9-8786-128409d6755f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.5-2013-10-16T000000.html"
              test="not(.)">(BefundBildgebendeDiagnostik): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>
</pattern>
