<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.30001
Name: BodySection
Description: CDA Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.30001-2011-12-19T000000">
   <title>BodySection</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section
Item: (BodySection)
-->

<rule context="//section" id="tmp-r-27460585-5172-4b92-998c-cdd8575cb45f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="count(hl7:id)&lt;=1">(BodySection): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="count(hl7:code)&lt;=1">(BodySection): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="count(hl7:title)&gt;=1 ">(BodySection): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="count(hl7:title)&lt;=1">(BodySection): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="count(hl7:text)&gt;=1 ">(BodySection): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="count(hl7:text)&lt;=1">(BodySection): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:templateId
Item: (BodySection)
-->

<rule context="//section/hl7:templateId"
         id="tmp-r-f44f184c-0a6a-449b-933f-c92440053ec2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodySection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:id
Item: (BodySection)
-->

<rule context="//section/hl7:id"
         id="tmp-r-b3133d6b-b15f-4708-bdfb-d9b05a580b22">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodySection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:code
Item: (BodySection)
-->

<rule context="//section/hl7:code"
         id="tmp-r-62e62966-12d4-4b2f-bd8f-237d295bfa08">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodySection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:title
Item: (BodySection)
-->

<rule context="//section/hl7:title"
         id="tmp-r-fe4acaa5-10fd-4450-ae4c-e1585e4a8dca">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodySection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:text
Item: (BodySection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section
Item: (AuthorElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author
Item: (AuthorElements)
-->

<rule context="//section/hl7:author"
         id="tmp-r-017d8480-7cf7-472b-a151-ef07d4d490d5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(AuthorElements): Der Wert von @typeCode MUSS 'AUT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="string(@contextControlCode)='OP' or not(@contextControlCode)">(AuthorElements): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:functionCode)&lt;=1">(AuthorElements): Element hl7:functionCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:time)&gt;=1 ">(AuthorElements): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:time)&lt;=1">(AuthorElements): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 ">(AuthorElements): Element hl7:assignedAuthor ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(AuthorElements): Element hl7:assignedAuthor kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author/hl7:functionCode
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:functionCode"
         id="tmp-r-0260accc-1d6e-4915-a79d-8c16069a5ef5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author/hl7:time
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:time"
         id="tmp-r-e9a57b5f-b6f2-4251-b64e-313035ba4774">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author/hl7:assignedAuthor
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor"
         id="tmp-r-ac7c0962-7eb8-45ed-bdde-a2da6c5d0a2d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(AuthorElements): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:id)&gt;=1 ">(AuthorElements): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:code)&lt;=1">(AuthorElements): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedPerson|hl7:assignedAuthoringDevice)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="$elmcount&gt;=1">(AuthorElements): Auswahl (hl7:assignedPerson oder hl7:assignedAuthoringDevice) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="$elmcount&lt;=1">(AuthorElements): Auswahl (hl7:assignedPerson oder hl7:assignedAuthoringDevice) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(AuthorElements): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:assignedAuthoringDevice)&lt;=1">(AuthorElements): Element hl7:assignedAuthoringDevice kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:representedOrganization)&gt;=1 and not(hl7:representedOrganization/@nullFlavor)">(AuthorElements): Element hl7:representedOrganization ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(AuthorElements): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author/hl7:assignedAuthor/hl7:id
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:id"
         id="tmp-r-d45e36ea-9da0-4a2a-abbb-45765db57c6b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author/hl7:assignedAuthor/hl7:code
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:code"
         id="tmp-r-9c2c51a8-3379-46e0-961e-57e8c4d75d55">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(AuthorElements): Der Elementinhalt MUSS sein ELGA_AuthorSpeciality (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(AuthorElements): Der fehlende Wert für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set ELGA_AuthorSpeciality (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:telecom"
         id="tmp-r-fd57b94d-b041-414e-b83a-11dc141d8be2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-r-a7bccf84-c960-4ddd-80c3-49af13241b4e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(AuthorElements): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(AuthorElements): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(AuthorElements): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:name)&lt;=1">(AuthorElements): Element hl7:name kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (PersonElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-r-5e2e062b-4d17-4fc1-9a14-b446a11a3589">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90001-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice"
         id="tmp-r-ad877c58-f51d-4a90-8f92-502ef0dbf898">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="string(@classCode)='DEV' or not(@classCode)">(AuthorElements): Der Wert von @classCode MUSS 'DEV' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(AuthorElements): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:manufacturerModelName)&lt;=1">(AuthorElements): Element hl7:manufacturerModelName kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:softwareName)&lt;=1">(AuthorElements): Element hl7:softwareName kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName"
         id="tmp-r-d96f5565-e793-44fa-a5b4-49318339c122">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SC" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName"
         id="tmp-r-5e389354-a40e-4a3e-9bb3-962fdc75d3bc">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SC" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-r-8dfca6c7-309b-4c04-8ff3-6838ba53b955">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="string(@classCode)='ORG' or not(@classCode)">(AuthorElements): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(AuthorElements): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(AuthorElements): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:name)&lt;=1">(AuthorElements): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:addr)&lt;=1">(AuthorElements): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="tmp-r-62943c0b-36db-43b7-b9cc-73c65640a45c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (OrganizationElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-r-5f8e4166-855e-4a5f-b5f5-acbf7fbc587f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-660bc3a3-1d28-4a1f-9d8e-896cd2c84c4a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="tmp-r-bf4a7b0f-ccd9-46e4-8a03-76ddfb8e1180">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:entry
Item: (BodySection)
-->
</pattern>
