<?xml version="1.0" encoding="UTF-8"?>
<!-- 
    DTR1 CD.EPSOS - Concept Descriptor
    Status: draft
    TODO: check for codes/codesystems in translations
--><rule xmlns="http://purl.oclc.org/dsdl/schematron"
      abstract="true"
      id="CD.EPSOS">
    <extends rule="ANY"/>
    
    <assert role="error"
           test="@nullFlavor or @code or (hl7:originalText and not(hl7:originalText/@nullFlavor))">dtr1-1-CD.EPSOS: null or code and/or originalText</assert>
    <assert role="error" test="@codeSystem or not(@code)">dtr1-2-CD.EPSOS: code requires codeSystem</assert>
    <assert role="error" test="@codeSystem or not(@codeSystemName)">dtr1-3-CD.EPSOS: codeSystemName only if codeSystem</assert>
    <assert role="error" test="@codeSystem or not(@codeSystemVersion)">dtr1-4-CD.EPSOS: codeSystemVersion only if codeSystem</assert>
    <assert role="error" test="@code or not(@displayName)">dtr1-5-CD.EPSOS: displayName only if code</assert>
    <assert role="error" test="not(@nullFlavor) or (@nullFlavor and not(@code))">dtr1-6-CD.EPSOS: no code if null</assert>
    <assert role="error"
           test="not(@nullFlavor) or (@nullFlavor and not(@displayName))">dtr1-7-CD.EPSOS: no displayName if null</assert>
    
    <assert role="error" test=".//hl7:translation[not(hl7:originalText)]">dtr1-8-CD.EPSOS: no originalText on translations</assert>
    <!--<assert role="error" test=".//hl7:translation[not(hl7:translation)]">dtr1-9-CD.EPSOS: no translation on translations</assert>-->
    <assert role="error" test=".//hl7:translation[not(@nullFlavor)]">dtr1-10-CD.EPSOS: no null on translations</assert>
    
    <assert role="error" test=".//hl7:translation[not(@code) or @codeSystem]">dtr1-11-CD.EPSOS: translation code requires codeSystem</assert>
    <assert role="error"
           test=".//hl7:translation[not(@codeSystemName) or @codeSystem]">dtr1-12-CD.EPSOS: translation codeSystemName only if codeSystem</assert>
    <assert role="error"
           test=".//hl7:translation[not(@codeSystemVersion) or @codeSystem]">dtr1-13-CD.EPSOS: translation codeSystemVersion only if codeSystem</assert>
    <assert role="error" test=".//hl7:translation[not(@displayName) or @code]">dtr1-14-CD.EPSOS: translation displayName only if code</assert>
    
    <assert role="warning" test=".//@displayName[not(matches(.,'[\r\n\t]'))]">dtr1-15-CD.EPSOS: it looks like there are formatting instructions in attribute @displayName. Please note that this may lead to
        interoperability problems.</assert>
    
    <assert role="error" test="not(@code) or @displayName">dtr1-16-CD.EPSOS: attribute @displayName is required on all codes and translations thereof</assert>
    <assert role="error" test=".//hl7:translation[not(@code) or @displayName]">dtr1-17-CD.EPSOS: attribute @displayName is required on all codes and translations thereof</assert>
</rule>
