<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.10003
Name: ELGA CDA Dokument Laborbefund
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.10003-2013-11-07T000000">
   <title>ELGA CDA Dokument Laborbefund</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10003
Context: hl7:ClinicalDocument
Item: (CDALaborbefund)
-->

<rule context="hl7:ClinicalDocument"
         id="tmp-r-b97fe5b4-8d52-475a-9db9-1307910328fb">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="string(@classCode)='DOCCLIN' or not(@classCode)">(CDALaborbefund): Der Wert von @classCode MUSS 'DOCCLIN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(CDALaborbefund): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:realmCode)&gt;=1 and not(hl7:realmCode/@nullFlavor)">(CDALaborbefund): Element hl7:realmCode ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:realmCode)&lt;=1">(CDALaborbefund): Element hl7:realmCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(CDALaborbefund): Element hl7:typeId[@root='2.16.840.1.113883.1.3'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(CDALaborbefund): Element hl7:typeId[@root='2.16.840.1.113883.1.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.34.11.1']/@nullFlavor)">(CDALaborbefund): Element hl7:templateId[@root='1.2.40.0.34.11.1'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1'])&lt;=1">(CDALaborbefund): Element hl7:templateId[@root='1.2.40.0.34.11.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4'])&gt;=1 ">(CDALaborbefund): Element hl7:templateId[@root='1.2.40.0.34.11.4'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4'])&lt;=1">(CDALaborbefund): Element hl7:templateId[@root='1.2.40.0.34.11.4'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.0.1' or @root='1.2.40.0.34.11.4.0.2' or @root='1.2.40.0.34.11.4.0.3'])&gt;=1 ">(CDALaborbefund): Element hl7:templateId[@root='1.2.40.0.34.11.4.0.1' or @root='1.2.40.0.34.11.4.0.2' or @root='1.2.40.0.34.11.4.0.3'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.0.1' or @root='1.2.40.0.34.11.4.0.2' or @root='1.2.40.0.34.11.4.0.3'])&lt;=1">(CDALaborbefund): Element hl7:templateId[@root='1.2.40.0.34.11.4.0.1' or @root='1.2.40.0.34.11.4.0.2' or @root='1.2.40.0.34.11.4.0.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(CDALaborbefund): Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:id)&lt;=1">(CDALaborbefund): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(CDALaborbefund): Element hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(CDALaborbefund): Element hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(CDALaborbefund): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:title)&lt;=1">(CDALaborbefund): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(CDALaborbefund): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDALaborbefund): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&gt;=1 and not(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]/@nullFlavor)">(CDALaborbefund): Element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&lt;=1">(CDALaborbefund): Element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:languageCode[@code='de-AT'])&gt;=1 and not(hl7:languageCode[@code='de-AT']/@nullFlavor)">(CDALaborbefund): Element hl7:languageCode[@code='de-AT'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:languageCode[@code='de-AT'])&lt;=1">(CDALaborbefund): Element hl7:languageCode[@code='de-AT'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:setId)&gt;=1 and not(hl7:setId/@nullFlavor)">(CDALaborbefund): Element hl7:setId ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:setId)&lt;=1">(CDALaborbefund): Element hl7:setId kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:versionNumber)&gt;=1 and not(hl7:versionNumber/@nullFlavor)">(CDALaborbefund): Element hl7:versionNumber ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(CDALaborbefund): Element hl7:versionNumber kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(CDALaborbefund): Element hl7:recordTarget ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(CDALaborbefund): Element hl7:recordTarget kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(CDALaborbefund): Element hl7:author ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:dataEnterer)&lt;=1">(CDALaborbefund): Element hl7:dataEnterer kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(CDALaborbefund): Element hl7:custodian ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:custodian)&lt;=1">(CDALaborbefund): Element hl7:custodian kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:legalAuthenticator)&gt;=1 and not(hl7:legalAuthenticator/@nullFlavor)">(CDALaborbefund): Element hl7:legalAuthenticator ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:legalAuthenticator)&lt;=1">(CDALaborbefund): Element hl7:legalAuthenticator kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6'])&gt;=1 ">(CDALaborbefund): Element hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6'])&lt;=1">(CDALaborbefund): Element hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.2.40.0.34.11.1.1.2'])=0">(CDALaborbefund): Element hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.2.40.0.34.11.1.1.2'] DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']])&gt;=1 and not(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']]/@nullFlavor)">(CDALaborbefund): Element hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']])&lt;=1">(CDALaborbefund): Element hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.3']])&lt;=1">(CDALaborbefund): Element hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.3']] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.6']])&lt;=1">(CDALaborbefund): Element hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.6']] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.7']])&lt;=1">(CDALaborbefund): Element hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.7']] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]]])&gt;=1 and not(hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]]]/@nullFlavor)">(CDALaborbefund): Element hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="count(hl7:componentOf)=0">(CDALaborbefund): Element hl7:componentOf DARF NICHT vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument
Item: (FirstCDAHeaderElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument
Item: (FirstCDAHeaderElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument
Item: (FirstCDAHeaderElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:realmCode
Item: (FirstCDAHeaderElements)
-->

<rule context="hl7:ClinicalDocument/hl7:realmCode"
         id="tmp-r-85982c97-44a9-456e-a168-96ea9d4c1dfd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-1.2.40.0.34.10.3-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="not(@code) or count($theAttValue) = count($theAttCheck)">(FirstCDAHeaderElements): Der Wert von code MUSS gewählt werden aus dem Value Set ELGA_RealmCode (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (FirstCDAHeaderElements)
-->

<rule context="hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-3827c89e-877b-42d4-afcd-dec5a8b3c206">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(FirstCDAHeaderElements): @root MUSS den Wert '2.16.840.1.113883.1.3' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@extension)='POCD_HD000040'">(FirstCDAHeaderElements): Der Wert von @extension MUSS 'POCD_HD000040' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.1']
Item: (FirstCDAHeaderElements)
-->

<rule context="hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.1']"
         id="tmp-r-348153c2-6bcc-49d4-9502-fb756981f1d1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.1'">(FirstCDAHeaderElements): @root MUSS den Wert '1.2.40.0.34.11.1' haben.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/*[not(self::hl7:realmCode|self::hl7:typeId[@root='2.16.840.1.113883.1.3']|self::hl7:templateId[@root='1.2.40.0.34.11.1']|self::hl7:templateId[@root='1.2.40.0.34.11.4']|self::hl7:templateId[@root='1.2.40.0.34.11.4.0.1' or @root='1.2.40.0.34.11.4.0.2' or @root='1.2.40.0.34.11.4.0.3']|self::hl7:id|self::hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:effectiveTime|self::hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]|self::hl7:languageCode[@code='de-AT']|self::hl7:setId|self::hl7:versionNumber|self::hl7:recordTarget|self::hl7:author|self::hl7:dataEnterer|self::hl7:custodian|self::hl7:informationRecipient|self::hl7:legalAuthenticator|self::hl7:authenticator|self::hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']|self::hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.2.40.0.34.11.1.1.2']|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.1']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.3']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.4']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.6']]|self::hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.7']]|self::hl7:inFulfillmentOf|self::hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]]]|self::hl7:componentOf|self::hl7:component)]"
         id="tmp-r-b97fe5b4-8d52-475a-9db9-1307910328fb">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10003-2013-11-07T000000.html"
              test="not(.)">(CDALaborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:authenticator/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']|self::hl7:time|self::hl7:signatureCode[@code='S']|self::hl7:assignedEntity)]"
         id="tmp-r-bf6ed844-4659-40f2-ad6e-6bd1a9f3e756">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:authenticator/hl7:assignedEntity/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:representedOrganization)]"
         id="tmp-r-1df1a89e-c952-46e5-99ae-88e0d680afd2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:authenticator/hl7:assignedEntity/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-r-5efc57fc-6e94-4165-8e5e-eb3be3d7a3e5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-589bb5e8-6680-4f51-9250-df8ca38fa0f5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.6']|self::hl7:time|self::hl7:associatedEntity)]"
         id="tmp-r-27082424-8445-417c-b444-a627356db9ae">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:associatedPerson|self::hl7:scopingOrganization)]"
         id="tmp-r-ff748729-2065-43e3-9f54-3f8c41c50b77">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:associatedPerson/*[not(self::hl7:name)]"
         id="tmp-r-3656b7de-e35b-4cb8-9ca0-55ff71dd4aad">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:scopingOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-40ef5d30-78ac-45e1-9aed-2cecc13df289">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]]]/*[not(self::hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]])]"
         id="tmp-r-d409e63f-355a-4705-90a9-c3d4395f07a5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:serviceEvent/*[not(self::hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]|self::hl7:effectiveTime|self::hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']])]"
         id="tmp-r-6861a8c5-bcec-4472-93d2-e191ad983a35">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:serviceEvent/hl7:effectiveTime/*[not(self::hl7:low|self::hl7:high)]"
         id="tmp-r-876724e1-6aa7-4685-aa78-d635b76625d0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:serviceEvent/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']|self::hl7:time|self::hl7:assignedEntity)]"
         id="tmp-r-ac0a8971-40e6-4cf7-ba8e-73b735346905">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:serviceEvent/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:representedOrganization)]"
         id="tmp-r-d9bc4e94-20ab-4600-acbd-839fde8259ea">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:serviceEvent/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-r-070f3b7f-4942-4c51-9893-1ccc725e33b8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]]]/hl7:serviceEvent/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-0102e7c1-f6d0-4234-b2e5-87c5fab5c3d5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/*[not(self::hl7:structuredBody)]"
         id="tmp-r-8d54970a-c37b-45e9-ba9b-3f42f46f6d95">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/*[not(self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.4.2.1']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]|self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.4.2.2']]])]"
         id="tmp-r-adfb0d71-3617-4608-a152-097976b63ef4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.4.2.1']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.4.2.1']])]"
         id="tmp-r-b473669a-894b-4c7f-a11f-3d042e6d313c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.4.2.1']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.4.2.1']|self::hl7:id|self::hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.11')]|self::hl7:title|self::hl7:text|self::hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]])]"
         id="tmp-r-f9bee2d7-5c93-4de0-b647-cc056bfcdb57">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.4.2.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]]/*[not(self::hl7:act[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']])]"
         id="tmp-r-02a1a70f-e4bd-458f-ad54-08250b1653b0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.4.2.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]]/hl7:act/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.4.3.1']|self::hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.11')]|self::hl7:statusCode|self::hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]])]"
         id="tmp-r-d9f74320-a05e-448c-a9c9-27267e8f6eb5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.4.2.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]]/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/*[not(self::hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']])]"
         id="tmp-r-966a9251-d5ec-428b-a2d7-a3a000a25f8d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.4.2.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]]/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']|self::hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:effectiveTime|self::hl7:targetSiteCode|self::hl7:performer|self::hl7:participant)]"
         id="tmp-r-2338a97c-96f5-4db4-9604-561dbc006388">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.4.2.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]]/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/*[not(self::hl7:assignedEntity)]"
         id="tmp-r-d2f267c0-b777-4e29-9185-51d1dfd22e8f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.4.2.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]]/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:representedOrganization)]"
         id="tmp-r-bba25232-8b8e-4272-acf2-fa330fedcffa">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.4.2.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]]/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-r-f539f349-9a4e-4812-9c84-785179a2f7d4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="not(.)">(AssignedEntityElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.4.2.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]]/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-74cace95-411a-49a3-82c4-c0970c16c302">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="not(.)">(AssignedEntityElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.4.2.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]]/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant/*[not(self::hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]])]"
         id="tmp-r-3bc57c72-aabc-4074-b627-dbc6def7f1b8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.4.2.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]]/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]]/*[not(self::hl7:id|self::hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]])]"
         id="tmp-r-cd8544c5-b532-4ac7-8bbf-33f17a18eb20">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.4.2.1']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]]/hl7:act/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]]/hl7:playingEntity/*[not(self::hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')])]"
         id="tmp-r-b9f50522-2083-4ea7-a887-4accfc640a57">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/*[not(self::hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']])]"
         id="tmp-r-a0a2f9e4-f687-4ca7-b79a-0e80bc0b3237">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']|self::hl7:id|self::hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]|self::hl7:title|self::hl7:text|self::hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']])]"
         id="tmp-r-e2f95a60-15cf-4ddd-be7e-3c6439e58acc">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']|self::hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]])]"
         id="tmp-r-d3789878-027e-4912-8ce4-ac3cf767f135">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/*[not(self::hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]|self::hl7:statusCode[@code='completed']|self::hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]|self::hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.3']]]|self::hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]|self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]|self::hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]|self::hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]])]"
         id="tmp-r-31e45c00-7aa0-40f8-a437-f4f5e830d320">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/*[not(self::hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']])]"
         id="tmp-r-051a8252-3888-4f28-9622-c7db79d4c18a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']|self::hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:effectiveTime|self::hl7:targetSiteCode|self::hl7:performer|self::hl7:participant)]"
         id="tmp-r-6cd9946b-9db6-4f97-940d-fb0317aac9bc">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/*[not(self::hl7:assignedEntity)]"
         id="tmp-r-67db3c6c-6d80-4129-a566-d743a8d261ac">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:representedOrganization)]"
         id="tmp-r-64ac0bee-7d0f-4a9b-a7d9-5f9d224766a5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-r-a7ac9775-206d-4d5b-91c5-ba12c574c0ce">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="not(.)">(AssignedEntityElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-b755fc88-e9eb-4450-9e9e-8531eee032ea">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="not(.)">(AssignedEntityElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant/*[not(self::hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]])]"
         id="tmp-r-95d43315-186f-4ed5-bdb2-a14b43219952">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]]/*[not(self::hl7:id|self::hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]])]"
         id="tmp-r-f4446e6e-c5c5-470d-8ea7-d8912cf5e1c5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]]/hl7:playingEntity/*[not(self::hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')])]"
         id="tmp-r-b8987111-14bc-4ab7-b360-ad59283b896f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.3']]]/*[not(self::hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.3']])]"
         id="tmp-r-ded8cc08-5e51-4a25-8ddd-3d1ebd1f0e69">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.3']]]/hl7:act/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.3']|self::hl7:code[(@code='SPRECEIVE' and @codeSystem='1.3.5.1.4.1.19376.1.5.3.2')]|self::hl7:effectiveTime)]"
         id="tmp-r-c8600297-895c-4a67-9af5-06a127a5766d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/*[not(self::hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']])]"
         id="tmp-r-d25dc362-4355-4b04-a662-0b97a9f2faa4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']|self::hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]|self::hl7:statusCode[@code='completed']|self::hl7:effectiveTime|self::hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]|self::hl7:component[hl7:observationMedia]|self::hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]])]"
         id="tmp-r-e021ce5e-0d06-47ef-8597-1fe137c7a559">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:effectiveTime/*[not(self::hl7:low|self::hl7:high)]"
         id="tmp-r-94fd9966-0337-4a2e-86ba-8feda985a063">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']])]"
         id="tmp-r-42590320-ace6-48a5-8eb5-5a4646696f7d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']|self::hl7:id|self::hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='2744-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2019-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2703-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1925-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2714-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1960-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2708-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='2746-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2021-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2705-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1927-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2716-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14627-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2711-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='2745-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2020-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2704-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1926-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1961-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2709-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='26464-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26515-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='778-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26453-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='718-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20570-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28539-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30428-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28540-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26499-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26474-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26484-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26449-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26444-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51584-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26511-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26478-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26485-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26450-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30180-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='38518-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51588-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='763-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='768-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='739-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='748-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='781-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='708-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='732-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='AKLAM' and @codeSystem='1.2.40.0.34.5.11') or (@code='734-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='35082-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24103-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33834-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6863-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24107-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='743-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='712-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='705-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33856-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51585-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='764-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='769-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28541-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='749-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='783-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='709-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='737-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='AKLRM' and @codeSystem='1.2.40.0.34.5.11') or (@code='735-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='733-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11275-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13047-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40743-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33835-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6746-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24106-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33857-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='744-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='714-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='707-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51586-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51644-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='738-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51645-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34992-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7798-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='765-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='803-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34993-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10378-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='779-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='741-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10376-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='802-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='728-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7793-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51630-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='800-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51638-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11274-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7790-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51589-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10377-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='703-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51583-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='702-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51582-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51639-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7789-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7791-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10381-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7797-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10380-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='801-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5909-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50794-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50795-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34964-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4679-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31112-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14196-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40665-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51636-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33516-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51634-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34420-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51635-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34419-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51643-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51642-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='42810-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30392-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19048-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18309-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='772-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30385-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30384-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28542-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32207-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51631-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51632-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51633-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7796-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51640-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5908-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='11128-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11103-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11111-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11114-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11120-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11113-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11108-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11118-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11112-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11106-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11105-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11150-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51579-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51629-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11124-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11110-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51580-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51581-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13513-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11016-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9786-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11018-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11020-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11019-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51628-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZA10AK' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZA4R' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZA510AK' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZA5AK' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZAKLEU' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZALZP' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZBAL' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZDNA' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZIMSTA' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZLK' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZLYPA' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZMYVD' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZMYVL' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZZAP70' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='11067-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='CFTIN' and @codeSystem='1.2.40.0.34.5.11') or (@code='CFTEX' and @codeSystem='1.2.40.0.34.5.11') or (@code='CFTNA' and @codeSystem='1.2.40.0.34.5.11') or (@code='CTAPT' and @codeSystem='1.2.40.0.34.5.11') or (@code='CTEXT' and @codeSystem='1.2.40.0.34.5.11') or (@code='CTHEP' and @codeSystem='1.2.40.0.34.5.11') or (@code='CTINT' and @codeSystem='1.2.40.0.34.5.11') or (@code='CTNAT' and @codeSystem='1.2.40.0.34.5.11') or (@code='MCFEX' and @codeSystem='1.2.40.0.34.5.11') or (@code='MCFFI' and @codeSystem='1.2.40.0.34.5.11') or (@code='MCFIN' and @codeSystem='1.2.40.0.34.5.11') or (@code='MCFNA' and @codeSystem='1.2.40.0.34.5.11') or (@code='MLEXT' and @codeSystem='1.2.40.0.34.5.11') or (@code='MLINT' and @codeSystem='1.2.40.0.34.5.11') or (@code='MLNAT' and @codeSystem='1.2.40.0.34.5.11') or (@code='3183-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='NRMTC' and @codeSystem='1.2.40.0.34.5.11') or (@code='46418-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='THRTC' and @codeSystem='1.2.40.0.34.5.11') or (@code='5894-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='NORMT' and @codeSystem='1.2.40.0.34.5.11') or (@code='6301-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='THROT' and @codeSystem='1.2.40.0.34.5.11') or (@code='INRTT' and @codeSystem='1.2.40.0.34.5.11') or (@code='INRST' and @codeSystem='1.2.40.0.34.5.11') or (@code='14979-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='APTTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='3243-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6683-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3255-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3256-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27811-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30240-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3264-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25742-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3274-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3271-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28652-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24472-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24471-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PFAINT' and @codeSystem='1.2.40.0.34.5.11') or (@code='34701-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='27813-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3193-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3191-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3198-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3218-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3209-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3204-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3187-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3185-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3226-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3232-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27815-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='HMWKA' and @codeSystem='1.2.40.0.34.5.11') or (@code='28659-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PKA' and @codeSystem='1.2.40.0.34.5.11') or (@code='V00006' and @codeSystem='1.2.40.0.34.5.11') or (@code='VWGPI' and @codeSystem='1.2.40.0.34.5.11') or (@code='27816-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6013-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6014-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='ADAA' and @codeSystem='1.2.40.0.34.5.11') or (@code='40824-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27810-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28660-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5974-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='34571-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34573-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PTTL2' and @codeSystem='1.2.40.0.34.5.11') or (@code='LABPQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='6303-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34569-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='dRVV2' and @codeSystem='1.2.40.0.34.5.11') or (@code='LBDR1' and @codeSystem='1.2.40.0.34.5.11') or (@code='LBDR2' and @codeSystem='1.2.40.0.34.5.11') or (@code='34570-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='LABD2' and @codeSystem='1.2.40.0.34.5.11') or (@code='3283-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='LABDQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='LABDR' and @codeSystem='1.2.40.0.34.5.11') or (@code='3281-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8062-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8063-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8065-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8067-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40456-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21108-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40595-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40596-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14245-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14246-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PSREG' and @codeSystem='1.2.40.0.34.5.11') or (@code='PSREM' and @codeSystem='1.2.40.0.34.5.11') or (@code='7801-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7802-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27818-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27820-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PCPWY' and @codeSystem='1.2.40.0.34.5.11') or (@code='PCP5D' and @codeSystem='1.2.40.0.34.5.11') or (@code='31102-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27821-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27823-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='APCRZ' and @codeSystem='1.2.40.0.34.5.11') or (@code='APCRQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='13590-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48590-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21668-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24475-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28060-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28005-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PA675' and @codeSystem='1.2.40.0.34.5.11') or (@code='PA844' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1988-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48498-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33864-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30152-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26881-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3074-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33959-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4537-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18184-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='V00007' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='2692-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12186-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2823-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2951-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2075-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2000-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1995-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14879-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13454-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2601-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2160-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29463-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8302-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3140-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='SAMP' and @codeSystem='1.2.40.0.34.5.11') or (@code='VL24U' and @codeSystem='1.2.40.0.34.5.11') or (@code='2164-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12195-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33914-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='GFRCG' and @codeSystem='1.2.40.0.34.5.11') or (@code='33863-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50210-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3094-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3098-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='BUNVO' and @codeSystem='1.2.40.0.34.5.11') or (@code='BUNNA' and @codeSystem='1.2.40.0.34.5.11') or (@code='BUNRR' and @codeSystem='1.2.40.0.34.5.11') or (@code='3084-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='2157-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32673-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13969-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20569-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49136-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12187-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9642-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49129-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9643-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26019-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2639-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6598-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10839-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30934-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33762-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='16362-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1920-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1742-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2324-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6768-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26010-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15348-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15014-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1777-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15013-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15015-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15016-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17838-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2098-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1975-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1968-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1971-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15152-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='V00001' and @codeSystem='1.2.40.0.34.5.11') or (@code='5631-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2064-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2572-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1798-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1805-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='2532-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2537-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2536-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49930-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2539-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2542-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2545-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2548-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4635-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='721-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4542-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2403-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='2498-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50198-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50199-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50200-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50201-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50202-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50203-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50204-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50205-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3034-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2505-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30248-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2276-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48497-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='2345-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16915-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15069-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4548-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2524-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='39998-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48983-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12651-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1547-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48984-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48985-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20439-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26539-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20438-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20440-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20436-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20437-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12638-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12648-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26777-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26778-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26779-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26780-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50206-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50212-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50213-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50214-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50215-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50216-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50207-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50217-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50218-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50208-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48993-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48994-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48986-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16165-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48988-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16167-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16169-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48989-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48990-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48991-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48992-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='2093-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2085-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2089-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13457-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9830-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11054-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2571-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49131-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15121-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15123-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15122-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49133-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49130-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49132-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5911-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1869-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1870-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1878-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1884-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10835-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='2885-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49929-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1751-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13980-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13978-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13981-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13982-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32732-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32733-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13983-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MGRAR' and @codeSystem='1.2.40.0.34.5.11') or (@code='2862-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2865-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2868-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2871-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32730-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32731-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2874-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33358-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12851-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25700-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2465-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2466-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2467-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2468-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2469-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2458-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2472-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11050-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11051-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15189-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='36916-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33944-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48378-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14658-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11043-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5117-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2168-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='44082-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48494-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4477-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48419-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4532-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48496-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4491-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4498-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13965-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50550-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='LDLO' and @codeSystem='1.2.40.0.34.5.11') or (@code='2280-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14338-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1836-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2685-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1825-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18271-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48413-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1835-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2148-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48499-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1761-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2742-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='41171-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5366-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48418-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5133-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5370-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1657-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1668-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1680-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2141-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50426-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50427-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50428-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50445-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50446-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50447-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50448-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50449-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50450-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50451-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50452-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50413-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50417-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50419-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50425-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50414-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50418-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50420-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50439-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50440-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50435-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48092-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50436-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50437-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50438-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48091-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='V00005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1763-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2139-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2143-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3033-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='47844-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50416-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='47848-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1445-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50415-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1448-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='43215-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1451-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50442-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1419-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50441-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12566-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1424-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1404-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12567-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1398-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='46403-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50421-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50422-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50423-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50424-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50453-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50454-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50455-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50456-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50457-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50458-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50459-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50460-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50433-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50434-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50429-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48099-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50430-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50431-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50432-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48098-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='V00004' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='2666-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2230-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2216-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27057-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='3016-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50541-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50533-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50534-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50535-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50536-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50537-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50538-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50539-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50540-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34054-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3021-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3026-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3024-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3053-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3051-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3013-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8098-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8099-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5385-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50525-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50526-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50527-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50528-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50529-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50530-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50531-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50532-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2731-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15087-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='15067-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50477-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50478-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50479-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50480-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50481-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50482-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50483-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50484-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10501-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50509-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50510-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50511-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50512-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50513-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50514-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50515-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50516-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2243-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13884-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13883-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2258-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15355-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2839-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21198-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30169-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20568-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50517-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50518-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50519-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50520-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50521-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50522-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50523-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50524-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='42607-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50366-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2986-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2990-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6891-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1854-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13967-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='20448-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50501-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50502-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50503-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50504-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50505-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50506-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50507-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50508-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2484-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14633-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50461-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50462-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50463-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50464-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50465-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50466-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50467-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50468-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2191-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2338-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='15061-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2333-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50485-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50486-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50487-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50488-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50489-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50490-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50491-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50492-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2963-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='46411-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40302-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40305-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50444-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='46410-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50443-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40303-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40304-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50493-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50494-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50495-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50496-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50497-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50498-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50499-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50500-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2697-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2915-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3125-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3126-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='2284-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2132-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='AVB12' and @codeSystem='1.2.40.0.34.5.11') or (@code='14905-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14622-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1649-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14635-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14590-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='21582-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1952-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1834-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2039-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10334-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6875-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17843-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24108-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34256-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25390-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15060-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='47275-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9679-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2857-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10886-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12841-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1992-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50469-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50470-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50471-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50472-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50473-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50474-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50475-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50476-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1780-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19180-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19184-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='8220-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3879-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12788-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14844-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3774-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3773-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3413-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3414-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50542-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='41858-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3398-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3397-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8150-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3349-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40419-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3780-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19570-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9426-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3377-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50543-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11004-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9428-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3390-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='42860-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3427-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3530-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5645-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10366-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='5643-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48495-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='V00008' and @codeSystem='1.2.40.0.34.5.11') or (@code='11024-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3389-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4024-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3298-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10552-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20563-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2614-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='35669-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3319-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3321-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='35668-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3663-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3665-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3848-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3850-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='35670-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4057-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4059-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4043-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20578-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4090-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4092-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='47395-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='31028-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31179-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31027-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19051-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33928-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='14639-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3494-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6948-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='35331-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14877-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14887-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25541-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14946-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='3330-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6774-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3559-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10535-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='3520-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11253-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29247-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50544-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='23905-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='3924-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14874-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14720-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27042-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14836-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14334-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4049-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='7918-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51866-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24012-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='44873-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25835-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='20575-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32018-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22313-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22314-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='5195-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7905-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16933-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31204-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31844-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22320-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22322-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16935-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='42595-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='16128-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32286-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11259-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11011-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='9513-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5249-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5243-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5294-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5204-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5401-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5041-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26022-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50693-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50692-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50691-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='22244-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7852-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30325-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7853-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31369-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7885-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7886-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31372-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26062-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26063-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31853-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31411-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='43030-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7962-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7963-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='41501-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7966-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7967-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8015-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50694-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7983-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7984-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='39528-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49340-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5000-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33006-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5005-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32585-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29591-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='EVPQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='20444-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49381-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11483-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49451-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29495-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='38349-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34487-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='IAPQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='40982-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='IBPQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='38917-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MPPQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='29908-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29909-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29910-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='P1PQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='P2PQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='P3PQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='9571-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49432-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='44567-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31418-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33045-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='5292-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50690-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5393-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17729-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22587-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8041-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6562-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26009-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5290-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31146-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50689-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22586-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50695-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='21190-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21187-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51578-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21613-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21191-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6357-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24111-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21415-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21414-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='35735-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21416-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='22128-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22135-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22125-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22132-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='5079-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='31843-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24027-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18481-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31870-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22428-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='13956-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MTQPX' and @codeSystem='1.2.40.0.34.5.11') or (@code='MTBPd' and @codeSystem='1.2.40.0.34.5.11') or (@code='MTBPp' and @codeSystem='1.2.40.0.34.5.11') or (@code='MTBPM' and @codeSystem='1.2.40.0.34.5.11') or (@code='MTBPR' and @codeSystem='1.2.40.0.34.5.11') or (@code='MTBPU' and @codeSystem='1.2.40.0.34.5.11') or (@code='45323-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='29257-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MYPQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='7970-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8078-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5254-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='32700-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51587-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50687-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51865-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PLLDH' and @codeSystem='1.2.40.0.34.5.11') or (@code='50688-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='11572-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5298-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='CCPAK' and @codeSystem='1.2.40.0.34.5.11') or (@code='MCVAK' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='13068-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5048-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='CHRTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='NUKTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='HOMTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='SPFTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='SPATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='42254-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='NDQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='NDTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='MNDQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='MNDTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='KMTTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='SPIQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='SPITF' and @codeSystem='1.2.40.0.34.5.11') or (@code='16570-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5077-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='CSMTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='PCAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='PCATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='PRAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='PRATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='HP2FI' and @codeSystem='1.2.40.0.34.5.11') or (@code='5130-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31348-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='42200-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6457-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34187-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30359-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8071-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='NSMAK' and @codeSystem='1.2.40.0.34.5.11') or (@code='14722-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='S52AK' and @codeSystem='1.2.40.0.34.5.11') or (@code='S60AK' and @codeSystem='1.2.40.0.34.5.11') or (@code='17792-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17791-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29374-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11090-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27416-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='CNBAK' and @codeSystem='1.2.40.0.34.5.11') or (@code='11565-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='S52AQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='S60AQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='8093-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8094-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='RNPSQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='U170Q' and @codeSystem='1.2.40.0.34.5.11') or (@code='U1RAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='U1RGQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='U1RCQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='31627-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='SMBAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='SMDAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='8092-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='CNBAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='8076-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8088-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='55171-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='55170-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='GOAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='GOATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='LYATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='RIBQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='25748-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='RPAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='RPATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='PMSQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='PMSTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='VMATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='VNATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='P7AQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='P7ATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='SRATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='14611-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33772-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33771-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33921-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31590-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18485-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18484-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31563-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='SRPAK' and @codeSystem='1.2.40.0.34.5.11') or (@code='31562-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31589-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='17284-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5247-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='LKAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='9838-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26971-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5358-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='SMAFI' and @codeSystem='1.2.40.0.34.5.11') or (@code='SMAI' and @codeSystem='1.2.40.0.34.5.11') or (@code='AKAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='AKATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='8077-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14236-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26054-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='AMM4' and @codeSystem='1.2.40.0.34.5.11') or (@code='34411-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='AMM9' and @codeSystem='1.2.40.0.34.5.11') or (@code='34412-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='SLAAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='30535-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11566-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14272-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34621-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13175-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='FAKTA' and @codeSystem='1.2.40.0.34.5.11') or (@code='FAKAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='49781-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='GP2AQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='26969-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5271-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8087-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14241-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11564-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30530-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='17353-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14277-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17357-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14278-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='XANQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='49503-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='AANTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='21419-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17352-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6968-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PR3AC' and @codeSystem='1.2.40.0.34.5.11') or (@code='29644-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6969-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MPOC' and @codeSystem='1.2.40.0.34.5.11') or (@code='17316-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='ELAAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='CATAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='LYSAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='LACAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='BPIAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='5056-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16434-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31252-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16433-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='31032-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31031-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='ASCAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='16814-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25399-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6924-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16901-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5170-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16902-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31017-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='35285-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32998-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='TTAGQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='TTGAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='31209-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8086-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13926-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8072-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='31535-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11088-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='KIAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='27068-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27214-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='20427-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='SPDTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='SRAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='5811-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5803-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20408-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5802-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='ERYSU' and @codeSystem='1.2.40.0.34.5.11') or (@code='49137-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5804-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5792-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5797-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20505-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20405-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='20627-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32776-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='G1ERV' and @codeSystem='1.2.40.0.34.5.11') or (@code='GLERV' and @codeSystem='1.2.40.0.34.5.11') or (@code='20455-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25145-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PILZV' and @codeSystem='1.2.40.0.34.5.11') or (@code='5813-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12258-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8249-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12248-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='RUEPV' and @codeSystem='1.2.40.0.34.5.11') or (@code='8247-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25162-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25160-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33825-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33804-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25157-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33784-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33862-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PSZLV' and @codeSystem='1.2.40.0.34.5.11') or (@code='25159-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25158-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5774-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5814-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5817-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5798-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5784-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5783-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='ZGLMU' and @codeSystem='1.2.40.0.34.5.11') or (@code='8246-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='28009-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13362-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2828-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2829-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2955-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2956-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48995-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2078-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2079-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21194-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2004-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14637-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13539-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14881-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MGU' and @codeSystem='1.2.40.0.34.5.11') or (@code='2599-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2695-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2161-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2150-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2162-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3095-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48999-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3086-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3087-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2350-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2351-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1799-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34235-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2888-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2890-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21482-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1754-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1755-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9318-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50209-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13992-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13990-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13993-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='B1GRU' and @codeSystem='1.2.40.0.34.5.11') or (@code='B2GRU' and @codeSystem='1.2.40.0.34.5.11') or (@code='13994-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13995-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6942-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9734-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='38190-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='B1GLU' and @codeSystem='1.2.40.0.34.5.11') or (@code='B2GLU' and @codeSystem='1.2.40.0.34.5.11') or (@code='9744-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9745-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13440-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6781-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6779-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6784-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27365-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27394-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33559-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='38176-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='FLAMU' and @codeSystem='1.2.40.0.34.5.11') or (@code='41759-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='V00009' and @codeSystem='1.2.40.0.34.5.11') or (@code='33782-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3035-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2641-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='46723-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48414-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48415-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1953-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48587-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13881-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48987-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9343-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11225-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10885-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11228-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='48168-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1694-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1695-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11046-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2232-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2217-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2218-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11139-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19049-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2667-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2668-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2670-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2671-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1764-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1765-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2144-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14158-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='26465-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MNZRL' and @codeSystem='1.2.40.0.34.5.11') or (@code='NEURL' and @codeSystem='1.2.40.0.34.5.11') or (@code='2342-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2520-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2819-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2948-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2070-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2880-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1746-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2464-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2457-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2471-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='FKAPL' and @codeSystem='1.2.40.0.34.5.11') or (@code='FLAML' and @codeSystem='1.2.40.0.34.5.11') or (@code='FKAPI' and @codeSystem='1.2.40.0.34.5.11') or (@code='1756-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14117-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13174-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12782-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='26466-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='THRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='ERYX' and @codeSystem='1.2.40.0.34.5.11') or (@code='HBX' and @codeSystem='1.2.40.0.34.5.11') or (@code='HKTX' and @codeSystem='1.2.40.0.34.5.11') or (@code='NEUAX' and @codeSystem='1.2.40.0.34.5.11') or (@code='EOSAX' and @codeSystem='1.2.40.0.34.5.11') or (@code='BASAX' and @codeSystem='1.2.40.0.34.5.11') or (@code='LYMAX' and @codeSystem='1.2.40.0.34.5.11') or (@code='MONAX' and @codeSystem='1.2.40.0.34.5.11') or (@code='IMGAX' and @codeSystem='1.2.40.0.34.5.11') or (@code='26513-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='EOSRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='BASRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='11031-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26487-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='IMGRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='2821-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2950-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2072-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12190-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3093-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2344-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14165-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16503-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15212-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1974-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2529-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29220-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12228-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12183-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2881-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1747-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17820-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17812-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17814-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='B1GRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='B2GRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='17818-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='43212-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17496-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17497-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='B1GX' and @codeSystem='1.2.40.0.34.5.11') or (@code='B2GX' and @codeSystem='1.2.40.0.34.5.11') or (@code='17499-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15183-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15181-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15185-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48420-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6908-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29146-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48416-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30231-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11210-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29153-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48163-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12515-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26924-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48164-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48165-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='FERRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='49928-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='THRY' and @codeSystem='1.2.40.0.34.5.11') or (@code='ERYY' and @codeSystem='1.2.40.0.34.5.11') or (@code='HBY' and @codeSystem='1.2.40.0.34.5.11') or (@code='HKTY' and @codeSystem='1.2.40.0.34.5.11') or (@code='NEURY' and @codeSystem='1.2.40.0.34.5.11') or (@code='EOSRY' and @codeSystem='1.2.40.0.34.5.11') or (@code='BASRY' and @codeSystem='1.2.40.0.34.5.11') or (@code='LYMRY' and @codeSystem='1.2.40.0.34.5.11') or (@code='MONRY' and @codeSystem='1.2.40.0.34.5.11') or (@code='39785-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='39787-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='39467-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49005-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49006-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49007-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49004-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17757-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49003-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12628-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='TPY' and @codeSystem='1.2.40.0.34.5.11') or (@code='ALBY' and @codeSystem='1.2.40.0.34.5.11') or (@code='CHOLY' and @codeSystem='1.2.40.0.34.5.11') or (@code='TRIGY' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='19113-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25638-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='DAO' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='16054-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51562-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51559-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51561-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15997-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='15585-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21060-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15579-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15767-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15571-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15875-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16078-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30126-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16091-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15659-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15546-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51573-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51574-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51575-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='15975-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15978-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15863-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15676-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15952-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15805-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15733-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21486-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='24506-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15682-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15680-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='15215-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31005-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15592-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15906-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15710-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15609-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15685-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15971-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15759-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15765-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='43373-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51550-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16015-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15784-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15661-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='15924-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15642-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15549-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15862-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15599-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15530-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51571-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51572-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='23800-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='23801-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15217-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15218-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15219-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31010-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15689-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15691-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25383-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15529-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15577-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15606-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15650-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16065-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16006-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15663-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16018-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15869-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15821-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16085-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15729-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15998-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15555-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15885-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15957-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15653-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15994-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16014-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15591-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15568-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15569-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15917-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15766-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16074-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15586-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15527-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15956-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15572-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15605-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15913-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15894-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16038-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15539-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15623-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15854-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15634-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15802-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15832-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15554-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15597-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15918-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15777-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16096-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15724-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15893-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15618-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15910-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15602-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15557-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15728-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16049-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16053-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15838-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29861-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15706-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='15570-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16082-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16080-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15783-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15856-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15582-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24510-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='16020-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15702-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15718-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15806-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15658-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15588-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='15544-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15688-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='15921-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15922-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15533-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15532-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21150-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16039-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='6265-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34429-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30999-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34428-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6236-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='7155-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15284-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15283-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6137-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6038-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6189-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33982-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15285-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6285-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6090-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6278-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30984-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30985-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34250-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='6085-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6124-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6183-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6097-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6110-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6156-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6128-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11194-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='23795-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6096-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6095-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='6030-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6031-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13833-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6833-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6098-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6223-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6134-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6135-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19753-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19751-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6243-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6143-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6091-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='6075-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6025-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6182-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6059-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6020-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30992-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30993-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='6106-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6107-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7258-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7445-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='41397-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6062-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6082-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6270-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6237-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6092-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6246-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6048-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6165-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6276-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6125-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7674-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6037-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6190-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6220-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6087-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6230-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6242-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6054-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6248-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6279-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6206-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6136-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6273-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6050-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6019-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6219-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6039-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6061-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6204-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6194-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6257-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6021-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6067-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6068-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6071-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6154-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6167-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6035-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6080-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6207-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7412-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6287-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6122-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6193-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6065-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6203-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7178-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7118-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7335-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11202-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7737-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10937-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15278-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10928-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='6844-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6740-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6288-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6198-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6177-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6047-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15342-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='19758-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6112-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6119-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6158-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6089-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10923-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='6022-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6103-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='6851-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6210-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6712-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6829-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19733-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11201-1' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]|self::hl7:text|self::hl7:statusCode[@code='completed' or @code='aborted']|self::hl7:effectiveTime|self::hl7:value|self::hl7:interpretationCode|self::hl7:participant[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]|self::hl7:referenceRange|self::hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']])]"
         id="tmp-r-38b0483e-c132-453d-9ccf-16578d72c54e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:value/*[not(self::hl7:translation)]"
         id="tmp-r-8761eef6-1185-44ba-9054-c922ceec4cd5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:participant[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']|self::hl7:time|self::hl7:participantRole)]"
         id="tmp-r-e1830fa9-45fb-4e12-847b-851663df6dd0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:participant[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]/hl7:participantRole/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:playingEntity)]"
         id="tmp-r-217cd931-9edc-4b37-bb2c-52bc34e116d3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:participant[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]/hl7:participantRole/hl7:playingEntity/*[not(self::hl7:name)]"
         id="tmp-r-5ef4d550-ebd7-4cb4-83ec-6e7f6f6d7d81">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:referenceRange/*[not(self::hl7:observationRange)]"
         id="tmp-r-0344804f-c46e-4182-b33d-ae3bf9089c54">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:referenceRange/hl7:observationRange/*[not(self::hl7:text|self::hl7:value|self::hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83')])]"
         id="tmp-r-c50042c4-5f5a-46d8-a145-a0f90658bdb6">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:value/*[not(self::hl7:low|self::hl7:high)]"
         id="tmp-r-5f7b9804-e75e-4097-a36c-5a89b3a6a616">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']|self::hl7:time|self::hl7:assignedEntity)]"
         id="tmp-r-b5359bc0-c7ce-40ba-a545-724d8a458c37">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:representedOrganization)]"
         id="tmp-r-b4489ece-e4f3-46f0-a053-f506f83e87d1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-r-b333fa7e-4677-4e2e-9e27-206eb233e923">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-40f10e4e-c1c7-4e2b-b833-68eb093fe394">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observationMedia]/*[not(self::hl7:observationMedia)]"
         id="tmp-r-37ed7b99-cc57-4c3e-8b74-adff0f666a87">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observationMedia]/hl7:observationMedia/*[not(self::hl7:id|self::hl7:value)]"
         id="tmp-r-caf35ebd-c674-44f4-9c3d-c3a8673f9b02">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]]/*[not(self::hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']])]"
         id="tmp-r-1e07322e-7c8f-4427-9e4e-d3d199a0173b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]]/hl7:act/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.40']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']|self::hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:text|self::hl7:statusCode)]"
         id="tmp-r-d40ffb8d-9e7d-4ca6-ab3d-c742ba21aa2a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]]/hl7:act/hl7:text/*[not(self::hl7:reference)]"
         id="tmp-r-d35a4600-c923-4195-94de-53c16940e77c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']])]"
         id="tmp-r-c4212a40-51f1-464e-af94-e3025cbea0d8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']|self::hl7:id|self::hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='2744-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2019-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2703-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1925-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2714-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1960-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2708-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='2746-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2021-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2705-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1927-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2716-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14627-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2711-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='2745-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2020-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2704-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1926-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1961-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2709-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='26464-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26515-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='778-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26453-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='718-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20570-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28539-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30428-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28540-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26499-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26474-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26484-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26449-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26444-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51584-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26511-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26478-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26485-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26450-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30180-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='38518-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51588-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='763-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='768-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='739-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='748-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='781-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='708-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='732-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='AKLAM' and @codeSystem='1.2.40.0.34.5.11') or (@code='734-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='35082-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24103-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33834-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6863-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24107-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='743-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='712-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='705-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33856-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51585-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='764-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='769-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28541-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='749-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='783-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='709-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='737-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='AKLRM' and @codeSystem='1.2.40.0.34.5.11') or (@code='735-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='733-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11275-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13047-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40743-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33835-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6746-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24106-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33857-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='744-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='714-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='707-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51586-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51644-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='738-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51645-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34992-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7798-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='765-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='803-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34993-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10378-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='779-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='741-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10376-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='802-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='728-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7793-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51630-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='800-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51638-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11274-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7790-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51589-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10377-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='703-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51583-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='702-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51582-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51639-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7789-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7791-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10381-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7797-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10380-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='801-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5909-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50794-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50795-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34964-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4679-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31112-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14196-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40665-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51636-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33516-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51634-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34420-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51635-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34419-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51643-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51642-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='42810-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30392-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19048-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18309-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='772-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30385-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30384-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28542-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32207-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51631-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51632-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51633-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7796-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51640-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5908-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='11128-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11103-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11111-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11114-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11120-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11113-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11108-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11118-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11112-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11106-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11105-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11150-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51579-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51629-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11124-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11110-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51580-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51581-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13513-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11016-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9786-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11018-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11020-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11019-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51628-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZA10AK' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZA4R' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZA510AK' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZA5AK' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZAKLEU' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZALZP' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZBAL' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZDNA' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZIMSTA' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZLK' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZLYPA' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZMYVD' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZMYVL' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZZAP70' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='11067-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='CFTIN' and @codeSystem='1.2.40.0.34.5.11') or (@code='CFTEX' and @codeSystem='1.2.40.0.34.5.11') or (@code='CFTNA' and @codeSystem='1.2.40.0.34.5.11') or (@code='CTAPT' and @codeSystem='1.2.40.0.34.5.11') or (@code='CTEXT' and @codeSystem='1.2.40.0.34.5.11') or (@code='CTHEP' and @codeSystem='1.2.40.0.34.5.11') or (@code='CTINT' and @codeSystem='1.2.40.0.34.5.11') or (@code='CTNAT' and @codeSystem='1.2.40.0.34.5.11') or (@code='MCFEX' and @codeSystem='1.2.40.0.34.5.11') or (@code='MCFFI' and @codeSystem='1.2.40.0.34.5.11') or (@code='MCFIN' and @codeSystem='1.2.40.0.34.5.11') or (@code='MCFNA' and @codeSystem='1.2.40.0.34.5.11') or (@code='MLEXT' and @codeSystem='1.2.40.0.34.5.11') or (@code='MLINT' and @codeSystem='1.2.40.0.34.5.11') or (@code='MLNAT' and @codeSystem='1.2.40.0.34.5.11') or (@code='3183-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='NRMTC' and @codeSystem='1.2.40.0.34.5.11') or (@code='46418-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='THRTC' and @codeSystem='1.2.40.0.34.5.11') or (@code='5894-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='NORMT' and @codeSystem='1.2.40.0.34.5.11') or (@code='6301-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='THROT' and @codeSystem='1.2.40.0.34.5.11') or (@code='INRTT' and @codeSystem='1.2.40.0.34.5.11') or (@code='INRST' and @codeSystem='1.2.40.0.34.5.11') or (@code='14979-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='APTTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='3243-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6683-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3255-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3256-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27811-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30240-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3264-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25742-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3274-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3271-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28652-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24472-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24471-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PFAINT' and @codeSystem='1.2.40.0.34.5.11') or (@code='34701-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='27813-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3193-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3191-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3198-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3218-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3209-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3204-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3187-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3185-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3226-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3232-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27815-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='HMWKA' and @codeSystem='1.2.40.0.34.5.11') or (@code='28659-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PKA' and @codeSystem='1.2.40.0.34.5.11') or (@code='V00006' and @codeSystem='1.2.40.0.34.5.11') or (@code='VWGPI' and @codeSystem='1.2.40.0.34.5.11') or (@code='27816-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6013-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6014-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='ADAA' and @codeSystem='1.2.40.0.34.5.11') or (@code='40824-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27810-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28660-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5974-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='34571-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34573-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PTTL2' and @codeSystem='1.2.40.0.34.5.11') or (@code='LABPQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='6303-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34569-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='dRVV2' and @codeSystem='1.2.40.0.34.5.11') or (@code='LBDR1' and @codeSystem='1.2.40.0.34.5.11') or (@code='LBDR2' and @codeSystem='1.2.40.0.34.5.11') or (@code='34570-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='LABD2' and @codeSystem='1.2.40.0.34.5.11') or (@code='3283-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='LABDQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='LABDR' and @codeSystem='1.2.40.0.34.5.11') or (@code='3281-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8062-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8063-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8065-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8067-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40456-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21108-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40595-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40596-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14245-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14246-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PSREG' and @codeSystem='1.2.40.0.34.5.11') or (@code='PSREM' and @codeSystem='1.2.40.0.34.5.11') or (@code='7801-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7802-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27818-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27820-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PCPWY' and @codeSystem='1.2.40.0.34.5.11') or (@code='PCP5D' and @codeSystem='1.2.40.0.34.5.11') or (@code='31102-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27821-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27823-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='APCRZ' and @codeSystem='1.2.40.0.34.5.11') or (@code='APCRQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='13590-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48590-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21668-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24475-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28060-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28005-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PA675' and @codeSystem='1.2.40.0.34.5.11') or (@code='PA844' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1988-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48498-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33864-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30152-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26881-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3074-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33959-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4537-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18184-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='V00007' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='2692-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12186-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2823-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2951-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2075-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2000-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1995-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14879-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13454-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2601-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2160-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29463-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8302-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3140-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='SAMP' and @codeSystem='1.2.40.0.34.5.11') or (@code='VL24U' and @codeSystem='1.2.40.0.34.5.11') or (@code='2164-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12195-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33914-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='GFRCG' and @codeSystem='1.2.40.0.34.5.11') or (@code='33863-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50210-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3094-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3098-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='BUNVO' and @codeSystem='1.2.40.0.34.5.11') or (@code='BUNNA' and @codeSystem='1.2.40.0.34.5.11') or (@code='BUNRR' and @codeSystem='1.2.40.0.34.5.11') or (@code='3084-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='2157-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32673-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13969-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20569-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49136-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12187-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9642-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49129-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9643-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26019-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2639-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6598-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10839-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30934-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33762-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='16362-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1920-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1742-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2324-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6768-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26010-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15348-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15014-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1777-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15013-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15015-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15016-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17838-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2098-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1975-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1968-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1971-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15152-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='V00001' and @codeSystem='1.2.40.0.34.5.11') or (@code='5631-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2064-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2572-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1798-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1805-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='2532-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2537-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2536-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49930-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2539-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2542-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2545-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2548-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4635-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='721-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4542-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2403-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='2498-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50198-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50199-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50200-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50201-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50202-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50203-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50204-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50205-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3034-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2505-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30248-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2276-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48497-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='2345-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16915-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15069-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4548-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2524-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='39998-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48983-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12651-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1547-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48984-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48985-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20439-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26539-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20438-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20440-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20436-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20437-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12638-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12648-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26777-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26778-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26779-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26780-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50206-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50212-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50213-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50214-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50215-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50216-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50207-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50217-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50218-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50208-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48993-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48994-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48986-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16165-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48988-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16167-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16169-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48989-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48990-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48991-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48992-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='2093-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2085-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2089-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13457-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9830-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11054-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2571-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49131-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15121-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15123-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15122-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49133-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49130-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49132-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5911-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1869-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1870-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1878-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1884-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10835-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='2885-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49929-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1751-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13980-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13978-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13981-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13982-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32732-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32733-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13983-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MGRAR' and @codeSystem='1.2.40.0.34.5.11') or (@code='2862-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2865-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2868-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2871-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32730-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32731-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2874-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33358-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12851-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25700-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2465-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2466-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2467-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2468-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2469-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2458-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2472-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11050-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11051-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15189-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='36916-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33944-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48378-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14658-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11043-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5117-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2168-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='44082-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48494-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4477-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48419-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4532-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48496-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4491-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4498-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13965-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50550-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='LDLO' and @codeSystem='1.2.40.0.34.5.11') or (@code='2280-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14338-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1836-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2685-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1825-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18271-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48413-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1835-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2148-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48499-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1761-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2742-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='41171-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5366-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48418-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5133-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5370-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1657-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1668-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1680-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2141-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50426-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50427-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50428-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50445-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50446-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50447-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50448-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50449-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50450-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50451-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50452-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50413-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50417-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50419-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50425-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50414-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50418-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50420-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50439-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50440-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50435-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48092-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50436-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50437-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50438-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48091-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='V00005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1763-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2139-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2143-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3033-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='47844-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50416-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='47848-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1445-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50415-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1448-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='43215-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1451-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50442-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1419-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50441-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12566-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1424-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1404-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12567-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1398-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='46403-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50421-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50422-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50423-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50424-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50453-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50454-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50455-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50456-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50457-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50458-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50459-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50460-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50433-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50434-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50429-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48099-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50430-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50431-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50432-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48098-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='V00004' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='2666-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2230-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2216-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27057-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='3016-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50541-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50533-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50534-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50535-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50536-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50537-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50538-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50539-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50540-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34054-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3021-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3026-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3024-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3053-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3051-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3013-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8098-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8099-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5385-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50525-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50526-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50527-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50528-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50529-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50530-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50531-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50532-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2731-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15087-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='15067-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50477-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50478-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50479-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50480-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50481-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50482-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50483-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50484-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10501-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50509-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50510-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50511-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50512-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50513-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50514-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50515-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50516-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2243-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13884-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13883-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2258-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15355-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2839-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21198-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30169-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20568-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50517-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50518-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50519-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50520-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50521-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50522-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50523-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50524-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='42607-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50366-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2986-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2990-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6891-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1854-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13967-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='20448-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50501-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50502-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50503-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50504-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50505-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50506-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50507-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50508-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2484-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14633-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50461-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50462-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50463-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50464-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50465-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50466-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50467-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50468-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2191-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2338-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='15061-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2333-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50485-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50486-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50487-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50488-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50489-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50490-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50491-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50492-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2963-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='46411-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40302-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40305-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50444-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='46410-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50443-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40303-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40304-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50493-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50494-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50495-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50496-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50497-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50498-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50499-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50500-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2697-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2915-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3125-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3126-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='2284-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2132-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='AVB12' and @codeSystem='1.2.40.0.34.5.11') or (@code='14905-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14622-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1649-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14635-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14590-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='21582-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1952-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1834-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2039-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10334-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6875-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17843-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24108-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34256-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25390-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15060-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='47275-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9679-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2857-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10886-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12841-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1992-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50469-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50470-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50471-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50472-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50473-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50474-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50475-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50476-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1780-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19180-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19184-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='8220-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3879-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12788-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14844-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3774-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3773-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3413-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3414-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50542-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='41858-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3398-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3397-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8150-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3349-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40419-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3780-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19570-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9426-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3377-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50543-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11004-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9428-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3390-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='42860-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3427-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3530-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5645-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10366-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='5643-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48495-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='V00008' and @codeSystem='1.2.40.0.34.5.11') or (@code='11024-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3389-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4024-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3298-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10552-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20563-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2614-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='35669-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3319-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3321-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='35668-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3663-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3665-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3848-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3850-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='35670-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4057-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4059-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4043-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20578-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4090-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4092-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='47395-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='31028-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31179-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31027-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19051-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33928-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='14639-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3494-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6948-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='35331-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14877-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14887-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25541-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14946-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='3330-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6774-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3559-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10535-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='3520-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11253-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29247-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50544-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='23905-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='3924-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14874-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14720-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27042-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14836-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14334-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4049-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='7918-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51866-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24012-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='44873-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25835-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='20575-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32018-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22313-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22314-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='5195-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7905-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16933-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31204-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31844-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22320-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22322-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16935-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='42595-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='16128-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32286-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11259-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11011-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='9513-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5249-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5243-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5294-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5204-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5401-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5041-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26022-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50693-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50692-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50691-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='22244-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7852-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30325-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7853-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31369-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7885-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7886-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31372-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26062-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26063-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31853-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31411-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='43030-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7962-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7963-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='41501-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7966-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7967-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8015-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50694-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7983-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7984-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='39528-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49340-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5000-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33006-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5005-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32585-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29591-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='EVPQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='20444-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49381-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11483-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49451-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29495-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='38349-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34487-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='IAPQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='40982-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='IBPQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='38917-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MPPQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='29908-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29909-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29910-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='P1PQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='P2PQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='P3PQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='9571-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49432-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='44567-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31418-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33045-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='5292-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50690-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5393-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17729-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22587-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8041-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6562-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26009-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5290-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31146-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50689-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22586-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50695-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='21190-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21187-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51578-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21613-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21191-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6357-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24111-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21415-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21414-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='35735-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21416-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='22128-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22135-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22125-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22132-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='5079-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='31843-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24027-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18481-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31870-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22428-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='13956-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MTQPX' and @codeSystem='1.2.40.0.34.5.11') or (@code='MTBPd' and @codeSystem='1.2.40.0.34.5.11') or (@code='MTBPp' and @codeSystem='1.2.40.0.34.5.11') or (@code='MTBPM' and @codeSystem='1.2.40.0.34.5.11') or (@code='MTBPR' and @codeSystem='1.2.40.0.34.5.11') or (@code='MTBPU' and @codeSystem='1.2.40.0.34.5.11') or (@code='45323-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='29257-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MYPQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='7970-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8078-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5254-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='32700-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51587-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50687-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51865-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PLLDH' and @codeSystem='1.2.40.0.34.5.11') or (@code='50688-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='11572-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5298-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='CCPAK' and @codeSystem='1.2.40.0.34.5.11') or (@code='MCVAK' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='13068-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5048-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='CHRTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='NUKTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='HOMTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='SPFTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='SPATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='42254-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='NDQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='NDTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='MNDQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='MNDTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='KMTTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='SPIQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='SPITF' and @codeSystem='1.2.40.0.34.5.11') or (@code='16570-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5077-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='CSMTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='PCAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='PCATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='PRAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='PRATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='HP2FI' and @codeSystem='1.2.40.0.34.5.11') or (@code='5130-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31348-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='42200-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6457-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34187-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30359-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8071-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='NSMAK' and @codeSystem='1.2.40.0.34.5.11') or (@code='14722-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='S52AK' and @codeSystem='1.2.40.0.34.5.11') or (@code='S60AK' and @codeSystem='1.2.40.0.34.5.11') or (@code='17792-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17791-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29374-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11090-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27416-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='CNBAK' and @codeSystem='1.2.40.0.34.5.11') or (@code='11565-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='S52AQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='S60AQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='8093-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8094-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='RNPSQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='U170Q' and @codeSystem='1.2.40.0.34.5.11') or (@code='U1RAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='U1RGQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='U1RCQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='31627-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='SMBAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='SMDAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='8092-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='CNBAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='8076-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8088-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='55171-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='55170-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='GOAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='GOATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='LYATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='RIBQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='25748-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='RPAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='RPATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='PMSQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='PMSTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='VMATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='VNATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='P7AQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='P7ATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='SRATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='14611-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33772-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33771-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33921-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31590-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18485-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18484-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31563-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='SRPAK' and @codeSystem='1.2.40.0.34.5.11') or (@code='31562-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31589-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='17284-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5247-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='LKAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='9838-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26971-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5358-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='SMAFI' and @codeSystem='1.2.40.0.34.5.11') or (@code='SMAI' and @codeSystem='1.2.40.0.34.5.11') or (@code='AKAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='AKATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='8077-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14236-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26054-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='AMM4' and @codeSystem='1.2.40.0.34.5.11') or (@code='34411-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='AMM9' and @codeSystem='1.2.40.0.34.5.11') or (@code='34412-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='SLAAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='30535-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11566-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14272-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34621-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13175-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='FAKTA' and @codeSystem='1.2.40.0.34.5.11') or (@code='FAKAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='49781-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='GP2AQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='26969-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5271-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8087-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14241-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11564-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30530-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='17353-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14277-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17357-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14278-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='XANQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='49503-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='AANTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='21419-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17352-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6968-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PR3AC' and @codeSystem='1.2.40.0.34.5.11') or (@code='29644-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6969-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MPOC' and @codeSystem='1.2.40.0.34.5.11') or (@code='17316-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='ELAAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='CATAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='LYSAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='LACAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='BPIAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='5056-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16434-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31252-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16433-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='31032-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31031-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='ASCAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='16814-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25399-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6924-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16901-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5170-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16902-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31017-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='35285-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32998-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='TTAGQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='TTGAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='31209-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8086-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13926-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8072-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='31535-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11088-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='KIAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='27068-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27214-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='20427-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='SPDTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='SRAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='5811-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5803-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20408-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5802-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='ERYSU' and @codeSystem='1.2.40.0.34.5.11') or (@code='49137-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5804-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5792-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5797-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20505-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20405-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='20627-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32776-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='G1ERV' and @codeSystem='1.2.40.0.34.5.11') or (@code='GLERV' and @codeSystem='1.2.40.0.34.5.11') or (@code='20455-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25145-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PILZV' and @codeSystem='1.2.40.0.34.5.11') or (@code='5813-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12258-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8249-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12248-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='RUEPV' and @codeSystem='1.2.40.0.34.5.11') or (@code='8247-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25162-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25160-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33825-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33804-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25157-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33784-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33862-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PSZLV' and @codeSystem='1.2.40.0.34.5.11') or (@code='25159-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25158-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5774-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5814-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5817-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5798-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5784-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5783-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='ZGLMU' and @codeSystem='1.2.40.0.34.5.11') or (@code='8246-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='28009-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13362-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2828-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2829-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2955-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2956-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48995-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2078-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2079-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21194-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2004-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14637-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13539-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14881-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MGU' and @codeSystem='1.2.40.0.34.5.11') or (@code='2599-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2695-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2161-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2150-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2162-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3095-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48999-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3086-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3087-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2350-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2351-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1799-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34235-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2888-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2890-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21482-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1754-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1755-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9318-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50209-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13992-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13990-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13993-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='B1GRU' and @codeSystem='1.2.40.0.34.5.11') or (@code='B2GRU' and @codeSystem='1.2.40.0.34.5.11') or (@code='13994-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13995-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6942-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9734-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='38190-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='B1GLU' and @codeSystem='1.2.40.0.34.5.11') or (@code='B2GLU' and @codeSystem='1.2.40.0.34.5.11') or (@code='9744-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9745-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13440-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6781-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6779-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6784-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27365-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27394-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33559-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='38176-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='FLAMU' and @codeSystem='1.2.40.0.34.5.11') or (@code='41759-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='V00009' and @codeSystem='1.2.40.0.34.5.11') or (@code='33782-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3035-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2641-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='46723-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48414-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48415-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1953-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48587-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13881-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48987-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9343-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11225-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10885-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11228-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='48168-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1694-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1695-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11046-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2232-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2217-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2218-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11139-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19049-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2667-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2668-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2670-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2671-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1764-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1765-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2144-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14158-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='26465-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MNZRL' and @codeSystem='1.2.40.0.34.5.11') or (@code='NEURL' and @codeSystem='1.2.40.0.34.5.11') or (@code='2342-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2520-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2819-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2948-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2070-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2880-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1746-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2464-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2457-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2471-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='FKAPL' and @codeSystem='1.2.40.0.34.5.11') or (@code='FLAML' and @codeSystem='1.2.40.0.34.5.11') or (@code='FKAPI' and @codeSystem='1.2.40.0.34.5.11') or (@code='1756-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14117-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13174-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12782-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='26466-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='THRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='ERYX' and @codeSystem='1.2.40.0.34.5.11') or (@code='HBX' and @codeSystem='1.2.40.0.34.5.11') or (@code='HKTX' and @codeSystem='1.2.40.0.34.5.11') or (@code='NEUAX' and @codeSystem='1.2.40.0.34.5.11') or (@code='EOSAX' and @codeSystem='1.2.40.0.34.5.11') or (@code='BASAX' and @codeSystem='1.2.40.0.34.5.11') or (@code='LYMAX' and @codeSystem='1.2.40.0.34.5.11') or (@code='MONAX' and @codeSystem='1.2.40.0.34.5.11') or (@code='IMGAX' and @codeSystem='1.2.40.0.34.5.11') or (@code='26513-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='EOSRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='BASRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='11031-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26487-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='IMGRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='2821-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2950-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2072-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12190-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3093-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2344-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14165-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16503-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15212-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1974-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2529-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29220-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12228-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12183-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2881-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1747-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17820-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17812-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17814-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='B1GRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='B2GRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='17818-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='43212-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17496-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17497-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='B1GX' and @codeSystem='1.2.40.0.34.5.11') or (@code='B2GX' and @codeSystem='1.2.40.0.34.5.11') or (@code='17499-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15183-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15181-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15185-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48420-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6908-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29146-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48416-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30231-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11210-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29153-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48163-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12515-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26924-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48164-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48165-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='FERRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='49928-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='THRY' and @codeSystem='1.2.40.0.34.5.11') or (@code='ERYY' and @codeSystem='1.2.40.0.34.5.11') or (@code='HBY' and @codeSystem='1.2.40.0.34.5.11') or (@code='HKTY' and @codeSystem='1.2.40.0.34.5.11') or (@code='NEURY' and @codeSystem='1.2.40.0.34.5.11') or (@code='EOSRY' and @codeSystem='1.2.40.0.34.5.11') or (@code='BASRY' and @codeSystem='1.2.40.0.34.5.11') or (@code='LYMRY' and @codeSystem='1.2.40.0.34.5.11') or (@code='MONRY' and @codeSystem='1.2.40.0.34.5.11') or (@code='39785-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='39787-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='39467-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49005-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49006-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49007-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49004-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17757-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49003-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12628-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='TPY' and @codeSystem='1.2.40.0.34.5.11') or (@code='ALBY' and @codeSystem='1.2.40.0.34.5.11') or (@code='CHOLY' and @codeSystem='1.2.40.0.34.5.11') or (@code='TRIGY' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='19113-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25638-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='DAO' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='16054-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51562-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51559-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51561-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15997-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='15585-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21060-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15579-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15767-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15571-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15875-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16078-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30126-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16091-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15659-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15546-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51573-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51574-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51575-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='15975-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15978-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15863-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15676-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15952-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15805-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15733-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21486-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='24506-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15682-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15680-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='15215-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31005-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15592-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15906-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15710-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15609-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15685-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15971-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15759-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15765-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='43373-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51550-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16015-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15784-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15661-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='15924-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15642-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15549-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15862-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15599-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15530-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51571-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51572-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='23800-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='23801-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15217-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15218-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15219-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31010-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15689-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15691-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25383-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15529-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15577-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15606-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15650-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16065-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16006-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15663-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16018-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15869-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15821-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16085-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15729-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15998-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15555-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15885-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15957-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15653-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15994-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16014-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15591-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15568-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15569-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15917-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15766-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16074-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15586-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15527-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15956-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15572-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15605-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15913-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15894-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16038-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15539-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15623-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15854-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15634-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15802-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15832-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15554-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15597-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15918-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15777-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16096-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15724-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15893-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15618-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15910-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15602-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15557-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15728-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16049-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16053-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15838-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29861-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15706-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='15570-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16082-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16080-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15783-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15856-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15582-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24510-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='16020-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15702-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15718-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15806-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15658-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15588-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='15544-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15688-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='15921-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15922-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15533-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15532-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21150-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16039-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='6265-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34429-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30999-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34428-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6236-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='7155-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15284-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15283-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6137-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6038-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6189-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33982-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15285-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6285-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6090-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6278-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30984-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30985-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34250-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='6085-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6124-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6183-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6097-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6110-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6156-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6128-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11194-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='23795-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6096-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6095-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='6030-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6031-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13833-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6833-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6098-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6223-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6134-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6135-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19753-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19751-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6243-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6143-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6091-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='6075-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6025-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6182-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6059-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6020-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30992-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30993-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='6106-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6107-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7258-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7445-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='41397-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6062-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6082-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6270-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6237-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6092-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6246-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6048-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6165-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6276-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6125-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7674-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6037-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6190-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6220-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6087-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6230-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6242-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6054-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6248-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6279-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6206-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6136-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6273-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6050-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6019-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6219-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6039-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6061-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6204-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6194-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6257-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6021-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6067-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6068-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6071-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6154-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6167-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6035-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6080-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6207-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7412-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6287-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6122-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6193-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6065-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6203-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7178-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7118-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7335-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11202-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7737-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10937-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15278-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10928-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='6844-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6740-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6288-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6198-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6177-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6047-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15342-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='19758-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6112-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6119-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6158-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6089-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10923-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='6022-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6103-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='6851-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6210-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6712-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6829-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19733-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11201-1' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]|self::hl7:text|self::hl7:statusCode[@code='completed' or @code='aborted']|self::hl7:effectiveTime|self::hl7:value|self::hl7:interpretationCode|self::hl7:participant[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]|self::hl7:referenceRange|self::hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']])]"
         id="tmp-r-bb21c84b-58f4-4e27-b5a9-4bc26bd36974">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:value/*[not(self::hl7:translation)]"
         id="tmp-r-19a1f6aa-122c-4d7d-9f61-bc13126f766d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:participant[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']|self::hl7:time|self::hl7:participantRole)]"
         id="tmp-r-93fd9438-a82d-4ae7-9355-62a7aed87f72">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:participant[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]/hl7:participantRole/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:playingEntity)]"
         id="tmp-r-a7670d74-64a7-44e0-af9c-018cd71f9156">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:participant[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]/hl7:participantRole/hl7:playingEntity/*[not(self::hl7:name)]"
         id="tmp-r-378b6bc3-ed57-430a-9b7f-9c95660b4781">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:referenceRange/*[not(self::hl7:observationRange)]"
         id="tmp-r-aa664957-72d5-4b8d-992a-4b1bdf9f86a3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:referenceRange/hl7:observationRange/*[not(self::hl7:text|self::hl7:value|self::hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83')])]"
         id="tmp-r-a0f38268-9fdc-41ca-984c-2c06dc0445ed">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:value/*[not(self::hl7:low|self::hl7:high)]"
         id="tmp-r-516fd8f9-f83d-4abf-8af1-7d1effa8ca91">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']|self::hl7:time|self::hl7:assignedEntity)]"
         id="tmp-r-24451e00-47a2-41fd-afc2-8625f8bed4f0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:representedOrganization)]"
         id="tmp-r-9b611208-2f67-43f9-b7ce-c5ee7fe8dc29">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-r-de40f3ed-b961-4136-99d4-e4727759381a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-20946876-7320-4f80-b35c-afb43f9da361">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/*[not(self::hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']])]"
         id="tmp-r-2bdc4bb1-d582-4abd-88f1-69459b7bfe18">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']|self::hl7:statusCode[@code='completed']|self::hl7:effectiveTime|self::hl7:specimen|self::hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]|self::hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]])]"
         id="tmp-r-60ad6e6a-0185-41f3-9483-4d38cb08632a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:specimen/*[not(self::hl7:specimenRole)]"
         id="tmp-r-75037cb0-0a79-47e4-89f9-95bb0f5840b3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:specimen/hl7:specimenRole/*[not(self::hl7:specimenPlayingEntity)]"
         id="tmp-r-9ef8f3cb-528c-4eb7-a0e6-35f1593735e1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/*[not(self::hl7:code)]"
         id="tmp-r-19e7ff2d-e30c-4fa8-8dbf-d764dfde25f4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/hl7:code/*[not(self::hl7:originalText)]"
         id="tmp-r-dc5e3ccf-573e-4c55-b1f3-1c979dd881c6">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']])]"
         id="tmp-r-e2f57fe7-e389-4411-b8f8-110000e602ee">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']|self::hl7:id|self::hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='2744-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2019-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2703-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1925-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2714-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1960-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2708-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='2746-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2021-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2705-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1927-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2716-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14627-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2711-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='2745-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2020-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2704-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1926-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1961-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2709-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='26464-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26515-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='778-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26453-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='718-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20570-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28539-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30428-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28540-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26499-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26474-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26484-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26449-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26444-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51584-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26511-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26478-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26485-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26450-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30180-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='38518-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51588-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='763-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='768-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='739-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='748-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='781-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='708-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='732-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='AKLAM' and @codeSystem='1.2.40.0.34.5.11') or (@code='734-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='35082-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24103-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33834-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6863-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24107-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='743-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='712-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='705-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33856-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51585-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='764-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='769-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28541-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='749-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='783-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='709-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='737-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='AKLRM' and @codeSystem='1.2.40.0.34.5.11') or (@code='735-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='733-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11275-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13047-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40743-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33835-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6746-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24106-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33857-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='744-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='714-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='707-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51586-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51644-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='738-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51645-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34992-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7798-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='765-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='803-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34993-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10378-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='779-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='741-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10376-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='802-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='728-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7793-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51630-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='800-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51638-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11274-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7790-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51589-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10377-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='703-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51583-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='702-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51582-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51639-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7789-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7791-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10381-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7797-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10380-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='801-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5909-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50794-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50795-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34964-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4679-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31112-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14196-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40665-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51636-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33516-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51634-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34420-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51635-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34419-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51643-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51642-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='42810-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30392-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19048-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18309-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='772-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30385-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30384-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28542-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32207-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51631-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51632-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51633-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7796-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51640-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5908-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='11128-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11103-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11111-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11114-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11120-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11113-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11108-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11118-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11112-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11106-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11105-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11150-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51579-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51629-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11124-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11110-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51580-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51581-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13513-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11016-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9786-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11018-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11020-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11019-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51628-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZA10AK' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZA4R' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZA510AK' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZA5AK' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZAKLEU' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZALZP' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZBAL' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZDNA' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZIMSTA' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZLK' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZLYPA' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZMYVD' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZMYVL' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZZAP70' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='11067-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='CFTIN' and @codeSystem='1.2.40.0.34.5.11') or (@code='CFTEX' and @codeSystem='1.2.40.0.34.5.11') or (@code='CFTNA' and @codeSystem='1.2.40.0.34.5.11') or (@code='CTAPT' and @codeSystem='1.2.40.0.34.5.11') or (@code='CTEXT' and @codeSystem='1.2.40.0.34.5.11') or (@code='CTHEP' and @codeSystem='1.2.40.0.34.5.11') or (@code='CTINT' and @codeSystem='1.2.40.0.34.5.11') or (@code='CTNAT' and @codeSystem='1.2.40.0.34.5.11') or (@code='MCFEX' and @codeSystem='1.2.40.0.34.5.11') or (@code='MCFFI' and @codeSystem='1.2.40.0.34.5.11') or (@code='MCFIN' and @codeSystem='1.2.40.0.34.5.11') or (@code='MCFNA' and @codeSystem='1.2.40.0.34.5.11') or (@code='MLEXT' and @codeSystem='1.2.40.0.34.5.11') or (@code='MLINT' and @codeSystem='1.2.40.0.34.5.11') or (@code='MLNAT' and @codeSystem='1.2.40.0.34.5.11') or (@code='3183-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='NRMTC' and @codeSystem='1.2.40.0.34.5.11') or (@code='46418-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='THRTC' and @codeSystem='1.2.40.0.34.5.11') or (@code='5894-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='NORMT' and @codeSystem='1.2.40.0.34.5.11') or (@code='6301-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='THROT' and @codeSystem='1.2.40.0.34.5.11') or (@code='INRTT' and @codeSystem='1.2.40.0.34.5.11') or (@code='INRST' and @codeSystem='1.2.40.0.34.5.11') or (@code='14979-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='APTTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='3243-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6683-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3255-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3256-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27811-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30240-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3264-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25742-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3274-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3271-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28652-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24472-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24471-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PFAINT' and @codeSystem='1.2.40.0.34.5.11') or (@code='34701-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='27813-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3193-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3191-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3198-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3218-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3209-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3204-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3187-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3185-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3226-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3232-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27815-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='HMWKA' and @codeSystem='1.2.40.0.34.5.11') or (@code='28659-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PKA' and @codeSystem='1.2.40.0.34.5.11') or (@code='V00006' and @codeSystem='1.2.40.0.34.5.11') or (@code='VWGPI' and @codeSystem='1.2.40.0.34.5.11') or (@code='27816-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6013-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6014-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='ADAA' and @codeSystem='1.2.40.0.34.5.11') or (@code='40824-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27810-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28660-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5974-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='34571-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34573-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PTTL2' and @codeSystem='1.2.40.0.34.5.11') or (@code='LABPQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='6303-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34569-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='dRVV2' and @codeSystem='1.2.40.0.34.5.11') or (@code='LBDR1' and @codeSystem='1.2.40.0.34.5.11') or (@code='LBDR2' and @codeSystem='1.2.40.0.34.5.11') or (@code='34570-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='LABD2' and @codeSystem='1.2.40.0.34.5.11') or (@code='3283-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='LABDQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='LABDR' and @codeSystem='1.2.40.0.34.5.11') or (@code='3281-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8062-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8063-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8065-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8067-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40456-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21108-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40595-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40596-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14245-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14246-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PSREG' and @codeSystem='1.2.40.0.34.5.11') or (@code='PSREM' and @codeSystem='1.2.40.0.34.5.11') or (@code='7801-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7802-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27818-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27820-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PCPWY' and @codeSystem='1.2.40.0.34.5.11') or (@code='PCP5D' and @codeSystem='1.2.40.0.34.5.11') or (@code='31102-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27821-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27823-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='APCRZ' and @codeSystem='1.2.40.0.34.5.11') or (@code='APCRQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='13590-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48590-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21668-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24475-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28060-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28005-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PA675' and @codeSystem='1.2.40.0.34.5.11') or (@code='PA844' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1988-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48498-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33864-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30152-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26881-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3074-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33959-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4537-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18184-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='V00007' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='2692-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12186-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2823-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2951-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2075-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2000-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1995-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14879-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13454-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2601-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2160-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29463-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8302-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3140-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='SAMP' and @codeSystem='1.2.40.0.34.5.11') or (@code='VL24U' and @codeSystem='1.2.40.0.34.5.11') or (@code='2164-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12195-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33914-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='GFRCG' and @codeSystem='1.2.40.0.34.5.11') or (@code='33863-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50210-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3094-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3098-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='BUNVO' and @codeSystem='1.2.40.0.34.5.11') or (@code='BUNNA' and @codeSystem='1.2.40.0.34.5.11') or (@code='BUNRR' and @codeSystem='1.2.40.0.34.5.11') or (@code='3084-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='2157-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32673-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13969-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20569-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49136-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12187-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9642-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49129-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9643-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26019-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2639-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6598-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10839-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30934-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33762-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='16362-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1920-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1742-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2324-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6768-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26010-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15348-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15014-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1777-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15013-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15015-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15016-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17838-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2098-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1975-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1968-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1971-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15152-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='V00001' and @codeSystem='1.2.40.0.34.5.11') or (@code='5631-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2064-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2572-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1798-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1805-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='2532-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2537-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2536-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49930-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2539-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2542-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2545-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2548-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4635-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='721-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4542-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2403-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='2498-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50198-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50199-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50200-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50201-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50202-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50203-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50204-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50205-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3034-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2505-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30248-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2276-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48497-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='2345-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16915-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15069-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4548-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2524-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='39998-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48983-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12651-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1547-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48984-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48985-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20439-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26539-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20438-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20440-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20436-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20437-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12638-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12648-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26777-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26778-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26779-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26780-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50206-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50212-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50213-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50214-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50215-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50216-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50207-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50217-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50218-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50208-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48993-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48994-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48986-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16165-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48988-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16167-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16169-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48989-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48990-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48991-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48992-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='2093-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2085-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2089-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13457-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9830-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11054-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2571-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49131-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15121-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15123-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15122-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49133-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49130-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49132-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5911-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1869-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1870-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1878-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1884-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10835-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='2885-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49929-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1751-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13980-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13978-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13981-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13982-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32732-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32733-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13983-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MGRAR' and @codeSystem='1.2.40.0.34.5.11') or (@code='2862-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2865-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2868-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2871-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32730-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32731-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2874-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33358-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12851-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25700-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2465-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2466-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2467-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2468-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2469-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2458-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2472-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11050-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11051-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15189-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='36916-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33944-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48378-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14658-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11043-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5117-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2168-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='44082-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48494-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4477-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48419-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4532-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48496-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4491-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4498-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13965-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50550-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='LDLO' and @codeSystem='1.2.40.0.34.5.11') or (@code='2280-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14338-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1836-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2685-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1825-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18271-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48413-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1835-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2148-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48499-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1761-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2742-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='41171-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5366-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48418-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5133-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5370-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1657-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1668-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1680-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2141-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50426-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50427-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50428-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50445-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50446-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50447-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50448-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50449-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50450-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50451-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50452-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50413-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50417-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50419-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50425-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50414-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50418-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50420-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50439-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50440-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50435-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48092-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50436-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50437-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50438-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48091-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='V00005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1763-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2139-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2143-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3033-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='47844-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50416-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='47848-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1445-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50415-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1448-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='43215-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1451-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50442-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1419-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50441-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12566-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1424-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1404-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12567-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1398-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='46403-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50421-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50422-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50423-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50424-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50453-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50454-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50455-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50456-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50457-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50458-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50459-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50460-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50433-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50434-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50429-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48099-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50430-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50431-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50432-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48098-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='V00004' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='2666-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2230-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2216-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27057-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='3016-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50541-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50533-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50534-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50535-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50536-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50537-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50538-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50539-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50540-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34054-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3021-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3026-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3024-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3053-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3051-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3013-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8098-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8099-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5385-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50525-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50526-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50527-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50528-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50529-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50530-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50531-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50532-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2731-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15087-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='15067-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50477-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50478-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50479-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50480-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50481-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50482-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50483-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50484-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10501-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50509-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50510-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50511-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50512-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50513-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50514-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50515-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50516-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2243-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13884-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13883-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2258-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15355-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2839-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21198-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30169-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20568-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50517-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50518-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50519-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50520-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50521-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50522-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50523-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50524-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='42607-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50366-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2986-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2990-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6891-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1854-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13967-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='20448-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50501-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50502-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50503-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50504-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50505-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50506-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50507-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50508-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2484-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14633-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50461-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50462-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50463-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50464-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50465-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50466-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50467-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50468-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2191-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2338-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='15061-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2333-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50485-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50486-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50487-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50488-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50489-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50490-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50491-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50492-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2963-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='46411-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40302-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40305-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50444-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='46410-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50443-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40303-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40304-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50493-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50494-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50495-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50496-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50497-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50498-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50499-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50500-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2697-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2915-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3125-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3126-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='2284-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2132-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='AVB12' and @codeSystem='1.2.40.0.34.5.11') or (@code='14905-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14622-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1649-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14635-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14590-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='21582-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1952-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1834-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2039-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10334-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6875-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17843-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24108-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34256-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25390-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15060-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='47275-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9679-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2857-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10886-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12841-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1992-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50469-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50470-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50471-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50472-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50473-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50474-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50475-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50476-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1780-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19180-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19184-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='8220-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3879-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12788-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14844-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3774-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3773-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3413-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3414-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50542-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='41858-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3398-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3397-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8150-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3349-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40419-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3780-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19570-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9426-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3377-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50543-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11004-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9428-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3390-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='42860-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3427-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3530-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5645-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10366-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='5643-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48495-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='V00008' and @codeSystem='1.2.40.0.34.5.11') or (@code='11024-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3389-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4024-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3298-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10552-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20563-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2614-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='35669-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3319-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3321-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='35668-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3663-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3665-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3848-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3850-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='35670-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4057-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4059-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4043-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20578-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4090-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4092-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='47395-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='31028-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31179-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31027-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19051-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33928-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='14639-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3494-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6948-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='35331-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14877-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14887-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25541-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14946-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='3330-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6774-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3559-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10535-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='3520-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11253-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29247-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50544-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='23905-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='3924-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14874-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14720-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27042-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14836-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14334-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4049-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='7918-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51866-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24012-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='44873-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25835-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='20575-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32018-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22313-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22314-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='5195-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7905-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16933-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31204-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31844-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22320-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22322-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16935-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='42595-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='16128-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32286-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11259-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11011-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='9513-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5249-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5243-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5294-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5204-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5401-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5041-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26022-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50693-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50692-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50691-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='22244-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7852-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30325-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7853-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31369-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7885-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7886-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31372-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26062-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26063-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31853-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31411-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='43030-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7962-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7963-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='41501-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7966-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7967-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8015-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50694-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7983-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7984-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='39528-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49340-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5000-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33006-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5005-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32585-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29591-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='EVPQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='20444-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49381-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11483-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49451-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29495-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='38349-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34487-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='IAPQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='40982-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='IBPQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='38917-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MPPQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='29908-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29909-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29910-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='P1PQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='P2PQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='P3PQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='9571-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49432-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='44567-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31418-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33045-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='5292-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50690-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5393-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17729-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22587-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8041-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6562-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26009-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5290-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31146-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50689-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22586-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50695-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='21190-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21187-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51578-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21613-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21191-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6357-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24111-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21415-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21414-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='35735-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21416-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='22128-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22135-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22125-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22132-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='5079-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='31843-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24027-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18481-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31870-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22428-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='13956-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MTQPX' and @codeSystem='1.2.40.0.34.5.11') or (@code='MTBPd' and @codeSystem='1.2.40.0.34.5.11') or (@code='MTBPp' and @codeSystem='1.2.40.0.34.5.11') or (@code='MTBPM' and @codeSystem='1.2.40.0.34.5.11') or (@code='MTBPR' and @codeSystem='1.2.40.0.34.5.11') or (@code='MTBPU' and @codeSystem='1.2.40.0.34.5.11') or (@code='45323-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='29257-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MYPQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='7970-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8078-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5254-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='32700-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51587-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50687-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51865-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PLLDH' and @codeSystem='1.2.40.0.34.5.11') or (@code='50688-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='11572-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5298-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='CCPAK' and @codeSystem='1.2.40.0.34.5.11') or (@code='MCVAK' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='13068-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5048-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='CHRTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='NUKTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='HOMTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='SPFTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='SPATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='42254-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='NDQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='NDTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='MNDQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='MNDTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='KMTTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='SPIQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='SPITF' and @codeSystem='1.2.40.0.34.5.11') or (@code='16570-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5077-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='CSMTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='PCAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='PCATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='PRAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='PRATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='HP2FI' and @codeSystem='1.2.40.0.34.5.11') or (@code='5130-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31348-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='42200-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6457-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34187-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30359-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8071-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='NSMAK' and @codeSystem='1.2.40.0.34.5.11') or (@code='14722-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='S52AK' and @codeSystem='1.2.40.0.34.5.11') or (@code='S60AK' and @codeSystem='1.2.40.0.34.5.11') or (@code='17792-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17791-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29374-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11090-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27416-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='CNBAK' and @codeSystem='1.2.40.0.34.5.11') or (@code='11565-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='S52AQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='S60AQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='8093-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8094-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='RNPSQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='U170Q' and @codeSystem='1.2.40.0.34.5.11') or (@code='U1RAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='U1RGQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='U1RCQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='31627-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='SMBAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='SMDAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='8092-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='CNBAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='8076-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8088-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='55171-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='55170-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='GOAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='GOATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='LYATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='RIBQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='25748-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='RPAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='RPATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='PMSQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='PMSTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='VMATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='VNATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='P7AQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='P7ATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='SRATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='14611-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33772-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33771-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33921-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31590-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18485-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18484-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31563-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='SRPAK' and @codeSystem='1.2.40.0.34.5.11') or (@code='31562-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31589-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='17284-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5247-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='LKAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='9838-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26971-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5358-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='SMAFI' and @codeSystem='1.2.40.0.34.5.11') or (@code='SMAI' and @codeSystem='1.2.40.0.34.5.11') or (@code='AKAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='AKATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='8077-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14236-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26054-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='AMM4' and @codeSystem='1.2.40.0.34.5.11') or (@code='34411-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='AMM9' and @codeSystem='1.2.40.0.34.5.11') or (@code='34412-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='SLAAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='30535-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11566-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14272-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34621-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13175-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='FAKTA' and @codeSystem='1.2.40.0.34.5.11') or (@code='FAKAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='49781-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='GP2AQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='26969-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5271-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8087-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14241-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11564-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30530-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='17353-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14277-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17357-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14278-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='XANQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='49503-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='AANTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='21419-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17352-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6968-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PR3AC' and @codeSystem='1.2.40.0.34.5.11') or (@code='29644-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6969-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MPOC' and @codeSystem='1.2.40.0.34.5.11') or (@code='17316-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='ELAAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='CATAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='LYSAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='LACAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='BPIAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='5056-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16434-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31252-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16433-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='31032-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31031-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='ASCAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='16814-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25399-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6924-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16901-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5170-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16902-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31017-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='35285-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32998-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='TTAGQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='TTGAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='31209-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8086-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13926-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8072-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='31535-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11088-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='KIAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='27068-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27214-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='20427-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='SPDTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='SRAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='5811-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5803-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20408-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5802-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='ERYSU' and @codeSystem='1.2.40.0.34.5.11') or (@code='49137-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5804-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5792-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5797-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20505-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20405-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='20627-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32776-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='G1ERV' and @codeSystem='1.2.40.0.34.5.11') or (@code='GLERV' and @codeSystem='1.2.40.0.34.5.11') or (@code='20455-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25145-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PILZV' and @codeSystem='1.2.40.0.34.5.11') or (@code='5813-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12258-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8249-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12248-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='RUEPV' and @codeSystem='1.2.40.0.34.5.11') or (@code='8247-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25162-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25160-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33825-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33804-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25157-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33784-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33862-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PSZLV' and @codeSystem='1.2.40.0.34.5.11') or (@code='25159-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25158-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5774-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5814-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5817-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5798-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5784-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5783-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='ZGLMU' and @codeSystem='1.2.40.0.34.5.11') or (@code='8246-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='28009-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13362-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2828-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2829-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2955-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2956-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48995-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2078-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2079-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21194-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2004-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14637-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13539-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14881-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MGU' and @codeSystem='1.2.40.0.34.5.11') or (@code='2599-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2695-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2161-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2150-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2162-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3095-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48999-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3086-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3087-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2350-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2351-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1799-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34235-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2888-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2890-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21482-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1754-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1755-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9318-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50209-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13992-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13990-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13993-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='B1GRU' and @codeSystem='1.2.40.0.34.5.11') or (@code='B2GRU' and @codeSystem='1.2.40.0.34.5.11') or (@code='13994-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13995-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6942-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9734-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='38190-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='B1GLU' and @codeSystem='1.2.40.0.34.5.11') or (@code='B2GLU' and @codeSystem='1.2.40.0.34.5.11') or (@code='9744-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9745-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13440-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6781-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6779-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6784-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27365-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27394-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33559-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='38176-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='FLAMU' and @codeSystem='1.2.40.0.34.5.11') or (@code='41759-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='V00009' and @codeSystem='1.2.40.0.34.5.11') or (@code='33782-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3035-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2641-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='46723-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48414-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48415-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1953-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48587-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13881-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48987-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9343-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11225-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10885-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11228-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='48168-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1694-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1695-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11046-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2232-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2217-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2218-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11139-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19049-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2667-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2668-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2670-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2671-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1764-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1765-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2144-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14158-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='26465-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MNZRL' and @codeSystem='1.2.40.0.34.5.11') or (@code='NEURL' and @codeSystem='1.2.40.0.34.5.11') or (@code='2342-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2520-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2819-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2948-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2070-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2880-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1746-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2464-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2457-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2471-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='FKAPL' and @codeSystem='1.2.40.0.34.5.11') or (@code='FLAML' and @codeSystem='1.2.40.0.34.5.11') or (@code='FKAPI' and @codeSystem='1.2.40.0.34.5.11') or (@code='1756-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14117-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13174-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12782-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='26466-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='THRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='ERYX' and @codeSystem='1.2.40.0.34.5.11') or (@code='HBX' and @codeSystem='1.2.40.0.34.5.11') or (@code='HKTX' and @codeSystem='1.2.40.0.34.5.11') or (@code='NEUAX' and @codeSystem='1.2.40.0.34.5.11') or (@code='EOSAX' and @codeSystem='1.2.40.0.34.5.11') or (@code='BASAX' and @codeSystem='1.2.40.0.34.5.11') or (@code='LYMAX' and @codeSystem='1.2.40.0.34.5.11') or (@code='MONAX' and @codeSystem='1.2.40.0.34.5.11') or (@code='IMGAX' and @codeSystem='1.2.40.0.34.5.11') or (@code='26513-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='EOSRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='BASRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='11031-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26487-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='IMGRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='2821-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2950-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2072-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12190-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3093-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2344-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14165-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16503-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15212-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1974-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2529-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29220-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12228-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12183-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2881-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1747-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17820-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17812-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17814-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='B1GRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='B2GRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='17818-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='43212-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17496-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17497-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='B1GX' and @codeSystem='1.2.40.0.34.5.11') or (@code='B2GX' and @codeSystem='1.2.40.0.34.5.11') or (@code='17499-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15183-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15181-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15185-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48420-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6908-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29146-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48416-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30231-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11210-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29153-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48163-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12515-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26924-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48164-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48165-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='FERRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='49928-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='THRY' and @codeSystem='1.2.40.0.34.5.11') or (@code='ERYY' and @codeSystem='1.2.40.0.34.5.11') or (@code='HBY' and @codeSystem='1.2.40.0.34.5.11') or (@code='HKTY' and @codeSystem='1.2.40.0.34.5.11') or (@code='NEURY' and @codeSystem='1.2.40.0.34.5.11') or (@code='EOSRY' and @codeSystem='1.2.40.0.34.5.11') or (@code='BASRY' and @codeSystem='1.2.40.0.34.5.11') or (@code='LYMRY' and @codeSystem='1.2.40.0.34.5.11') or (@code='MONRY' and @codeSystem='1.2.40.0.34.5.11') or (@code='39785-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='39787-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='39467-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49005-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49006-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49007-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49004-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17757-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49003-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12628-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='TPY' and @codeSystem='1.2.40.0.34.5.11') or (@code='ALBY' and @codeSystem='1.2.40.0.34.5.11') or (@code='CHOLY' and @codeSystem='1.2.40.0.34.5.11') or (@code='TRIGY' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='19113-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25638-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='DAO' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='16054-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51562-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51559-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51561-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15997-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='15585-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21060-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15579-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15767-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15571-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15875-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16078-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30126-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16091-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15659-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15546-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51573-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51574-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51575-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='15975-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15978-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15863-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15676-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15952-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15805-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15733-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21486-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='24506-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15682-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15680-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='15215-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31005-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15592-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15906-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15710-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15609-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15685-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15971-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15759-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15765-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='43373-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51550-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16015-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15784-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15661-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='15924-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15642-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15549-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15862-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15599-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15530-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51571-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51572-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='23800-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='23801-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15217-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15218-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15219-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31010-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15689-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15691-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25383-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15529-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15577-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15606-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15650-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16065-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16006-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15663-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16018-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15869-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15821-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16085-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15729-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15998-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15555-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15885-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15957-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15653-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15994-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16014-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15591-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15568-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15569-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15917-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15766-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16074-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15586-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15527-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15956-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15572-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15605-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15913-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15894-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16038-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15539-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15623-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15854-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15634-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15802-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15832-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15554-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15597-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15918-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15777-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16096-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15724-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15893-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15618-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15910-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15602-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15557-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15728-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16049-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16053-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15838-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29861-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15706-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='15570-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16082-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16080-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15783-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15856-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15582-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24510-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='16020-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15702-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15718-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15806-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15658-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15588-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='15544-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15688-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='15921-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15922-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15533-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15532-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21150-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16039-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='6265-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34429-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30999-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34428-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6236-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='7155-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15284-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15283-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6137-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6038-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6189-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33982-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15285-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6285-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6090-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6278-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30984-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30985-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34250-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='6085-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6124-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6183-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6097-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6110-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6156-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6128-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11194-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='23795-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6096-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6095-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='6030-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6031-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13833-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6833-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6098-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6223-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6134-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6135-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19753-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19751-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6243-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6143-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6091-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='6075-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6025-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6182-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6059-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6020-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30992-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30993-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='6106-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6107-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7258-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7445-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='41397-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6062-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6082-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6270-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6237-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6092-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6246-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6048-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6165-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6276-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6125-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7674-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6037-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6190-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6220-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6087-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6230-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6242-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6054-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6248-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6279-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6206-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6136-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6273-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6050-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6019-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6219-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6039-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6061-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6204-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6194-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6257-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6021-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6067-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6068-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6071-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6154-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6167-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6035-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6080-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6207-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7412-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6287-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6122-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6193-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6065-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6203-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7178-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7118-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7335-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11202-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7737-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10937-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15278-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10928-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='6844-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6740-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6288-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6198-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6177-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6047-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15342-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='19758-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6112-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6119-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6158-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6089-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10923-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='6022-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6103-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='6851-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6210-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6712-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6829-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19733-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11201-1' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]|self::hl7:text|self::hl7:statusCode[@code='completed' or @code='aborted']|self::hl7:effectiveTime|self::hl7:value|self::hl7:interpretationCode|self::hl7:participant[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]|self::hl7:referenceRange|self::hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']])]"
         id="tmp-r-639d1eb8-bc5d-4753-9a4a-c84dde57d7fd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:value/*[not(self::hl7:translation)]"
         id="tmp-r-f97a9aee-1715-46ab-a434-851458a9399a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:participant[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']|self::hl7:time|self::hl7:participantRole)]"
         id="tmp-r-b03bc75d-f5f6-44a2-bcf4-85bdc238c005">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:participant[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]/hl7:participantRole/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:playingEntity)]"
         id="tmp-r-a0b2af3f-12ff-44ce-bfec-2a5df092f2c2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:participant[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]/hl7:participantRole/hl7:playingEntity/*[not(self::hl7:name)]"
         id="tmp-r-b88b4857-85eb-47aa-84f2-368eadbc7227">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:referenceRange/*[not(self::hl7:observationRange)]"
         id="tmp-r-b450e31e-7ad0-485a-9e6d-db54accb6698">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:referenceRange/hl7:observationRange/*[not(self::hl7:text|self::hl7:value|self::hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83')])]"
         id="tmp-r-9a37da93-907a-467e-bd6b-05471ed588d2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:value/*[not(self::hl7:low|self::hl7:high)]"
         id="tmp-r-77b2771e-8b11-43d3-b11f-b30130c022ac">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']|self::hl7:time|self::hl7:assignedEntity)]"
         id="tmp-r-d041735c-a338-4fba-b2e4-2a75d3ad9739">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:representedOrganization)]"
         id="tmp-r-bec1aeb4-e1aa-4b97-961e-a1488366c346">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-r-f1046b59-a5de-4856-80f1-45a3fecf08ff">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-e41eee07-c196-4c79-8865-073e1b4d7882">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/*[not(self::hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']])]"
         id="tmp-r-92355bf8-b8e1-4b16-8ef2-16a635b1f747">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']|self::hl7:statusCode[@code='completed']|self::hl7:effectiveTime|self::hl7:specimen|self::hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]])]"
         id="tmp-r-d95170bd-fc75-4fb9-a6e4-a2e701e71298">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:specimen/*[not(self::hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='SP001' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP002' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP003' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP004' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP005' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP006' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP007' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP008' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP009' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP010' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP011' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP012' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP013' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP014' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP015' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP016' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP017' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP018' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP019' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP020' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP021' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP022' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP023' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP024' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP025' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP026' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP027' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP028' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP029' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP030' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP031' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP032' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP033' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP034' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP035' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP036' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP037' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP038' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP039' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP040' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP041' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP042' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP043' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP044' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP045' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP046' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP047' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP048' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP049' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP050' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP051' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP052' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP053' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP054' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP055' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP056' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP057' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP058' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP059' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP060' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP061' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP062' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP063' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP064' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP065' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP066' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP067' and @codeSystem='1.2.40.0.34.5.45') or @nullFlavor]]])]"
         id="tmp-r-bf7be7b8-bf60-48c4-88c5-9f4ed478ee5e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='SP001' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP002' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP003' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP004' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP005' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP006' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP007' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP008' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP009' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP010' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP011' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP012' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP013' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP014' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP015' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP016' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP017' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP018' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP019' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP020' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP021' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP022' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP023' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP024' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP025' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP026' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP027' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP028' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP029' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP030' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP031' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP032' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP033' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP034' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP035' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP036' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP037' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP038' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP039' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP040' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP041' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP042' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP043' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP044' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP045' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP046' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP047' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP048' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP049' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP050' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP051' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP052' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP053' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP054' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP055' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP056' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP057' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP058' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP059' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP060' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP061' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP062' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP063' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP064' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP065' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP066' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP067' and @codeSystem='1.2.40.0.34.5.45') or @nullFlavor]]]/*[not(self::hl7:id|self::hl7:specimenPlayingEntity[hl7:code[(@code='SP001' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP002' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP003' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP004' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP005' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP006' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP007' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP008' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP009' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP010' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP011' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP012' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP013' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP014' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP015' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP016' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP017' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP018' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP019' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP020' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP021' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP022' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP023' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP024' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP025' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP026' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP027' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP028' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP029' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP030' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP031' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP032' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP033' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP034' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP035' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP036' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP037' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP038' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP039' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP040' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP041' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP042' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP043' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP044' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP045' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP046' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP047' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP048' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP049' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP050' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP051' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP052' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP053' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP054' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP055' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP056' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP057' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP058' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP059' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP060' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP061' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP062' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP063' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP064' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP065' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP066' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP067' and @codeSystem='1.2.40.0.34.5.45') or @nullFlavor]])]"
         id="tmp-r-2c3583f2-3c00-4e19-8879-622a564dad94">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='SP001' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP002' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP003' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP004' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP005' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP006' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP007' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP008' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP009' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP010' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP011' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP012' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP013' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP014' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP015' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP016' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP017' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP018' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP019' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP020' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP021' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP022' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP023' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP024' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP025' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP026' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP027' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP028' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP029' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP030' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP031' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP032' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP033' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP034' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP035' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP036' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP037' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP038' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP039' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP040' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP041' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP042' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP043' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP044' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP045' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP046' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP047' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP048' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP049' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP050' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP051' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP052' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP053' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP054' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP055' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP056' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP057' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP058' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP059' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP060' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP061' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP062' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP063' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP064' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP065' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP066' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP067' and @codeSystem='1.2.40.0.34.5.45') or @nullFlavor]]]/hl7:specimenPlayingEntity/*[not(self::hl7:code[(@code='SP001' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP002' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP003' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP004' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP005' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP006' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP007' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP008' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP009' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP010' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP011' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP012' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP013' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP014' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP015' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP016' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP017' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP018' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP019' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP020' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP021' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP022' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP023' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP024' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP025' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP026' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP027' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP028' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP029' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP030' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP031' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP032' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP033' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP034' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP035' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP036' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP037' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP038' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP039' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP040' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP041' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP042' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP043' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP044' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP045' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP046' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP047' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP048' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP049' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP050' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP051' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP052' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP053' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP054' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP055' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP056' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP057' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP058' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP059' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP060' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP061' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP062' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP063' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP064' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP065' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP066' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP067' and @codeSystem='1.2.40.0.34.5.45') or @nullFlavor])]"
         id="tmp-r-1f789dc4-9f7f-48ad-93fa-dea41629e126">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='SP001' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP002' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP003' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP004' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP005' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP006' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP007' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP008' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP009' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP010' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP011' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP012' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP013' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP014' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP015' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP016' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP017' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP018' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP019' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP020' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP021' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP022' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP023' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP024' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP025' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP026' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP027' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP028' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP029' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP030' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP031' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP032' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP033' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP034' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP035' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP036' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP037' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP038' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP039' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP040' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP041' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP042' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP043' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP044' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP045' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP046' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP047' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP048' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP049' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP050' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP051' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP052' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP053' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP054' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP055' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP056' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP057' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP058' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP059' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP060' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP061' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP062' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP063' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP064' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP065' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP066' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP067' and @codeSystem='1.2.40.0.34.5.45') or @nullFlavor]]]/hl7:specimenPlayingEntity/hl7:code[(@code='SP001' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP002' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP003' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP004' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP005' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP006' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP007' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP008' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP009' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP010' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP011' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP012' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP013' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP014' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP015' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP016' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP017' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP018' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP019' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP020' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP021' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP022' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP023' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP024' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP025' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP026' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP027' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP028' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP029' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP030' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP031' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP032' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP033' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP034' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP035' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP036' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP037' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP038' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP039' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP040' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP041' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP042' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP043' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP044' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP045' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP046' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP047' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP048' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP049' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP050' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP051' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP052' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP053' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP054' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP055' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP056' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP057' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP058' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP059' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP060' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP061' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP062' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP063' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP064' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP065' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP066' and @codeSystem='1.2.40.0.34.5.45') or (@code='SP067' and @codeSystem='1.2.40.0.34.5.45') or @nullFlavor]/*[not(self::hl7:originalText)]"
         id="tmp-r-1c05ccd7-55e8-43eb-91fb-c1f7932886a2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/*[not(self::hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']])]"
         id="tmp-r-5b93098e-1ee1-4532-8411-e148023f6df8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/*[not(self::hl7:code[(@code='29576-6' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']|self::hl7:statusCode[@code='completed']|self::hl7:effectiveTime|self::hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]|self::hl7:component[hl7:observationMedia]|self::hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]])]"
         id="tmp-r-fd456a18-8bb1-44da-86df-d72009c1f291">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:effectiveTime/*[not(self::hl7:low|self::hl7:high)]"
         id="tmp-r-fe58bb7d-ee95-4a6c-b5f1-8fc7d7701bff">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']])]"
         id="tmp-r-f5d1344c-0ba4-4eb3-a799-d02783a32aee">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']|self::hl7:id|self::hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='2744-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2019-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2703-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1925-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2714-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1960-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2708-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='2746-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2021-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2705-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1927-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2716-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14627-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2711-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='2745-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2020-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2704-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1926-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1961-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2709-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='26464-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26515-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='778-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26453-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='718-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20570-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28539-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30428-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28540-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26499-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26474-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26484-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26449-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26444-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51584-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26511-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26478-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26485-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26450-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30180-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='38518-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51588-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='763-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='768-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='739-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='748-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='781-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='708-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='732-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='AKLAM' and @codeSystem='1.2.40.0.34.5.11') or (@code='734-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='35082-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24103-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33834-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6863-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24107-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='743-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='712-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='705-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33856-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51585-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='764-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='769-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28541-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='749-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='783-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='709-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='737-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='AKLRM' and @codeSystem='1.2.40.0.34.5.11') or (@code='735-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='733-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11275-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13047-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40743-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33835-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6746-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24106-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33857-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='744-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='714-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='707-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51586-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51644-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='738-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51645-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34992-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7798-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='765-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='803-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34993-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10378-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='779-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='741-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10376-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='802-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='728-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7793-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51630-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='800-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51638-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11274-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7790-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51589-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10377-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='703-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51583-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='702-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51582-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51639-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7789-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7791-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10381-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7797-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10380-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='801-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5909-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50794-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50795-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34964-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4679-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31112-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14196-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40665-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51636-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33516-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51634-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34420-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51635-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34419-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51643-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51642-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='42810-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30392-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19048-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18309-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='772-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30385-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30384-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28542-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32207-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51631-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51632-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51633-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7796-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51640-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5908-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='11128-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11103-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11111-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11114-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11120-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11113-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11108-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11118-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11112-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11106-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11105-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11150-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51579-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51629-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11124-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11110-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51580-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51581-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13513-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11016-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9786-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11018-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11020-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11019-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51628-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZA10AK' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZA4R' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZA510AK' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZA5AK' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZAKLEU' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZALZP' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZBAL' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZDNA' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZIMSTA' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZLK' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZLYPA' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZMYVD' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZMYVL' and @codeSystem='1.2.40.0.34.5.11') or (@code='FZZAP70' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='11067-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='CFTIN' and @codeSystem='1.2.40.0.34.5.11') or (@code='CFTEX' and @codeSystem='1.2.40.0.34.5.11') or (@code='CFTNA' and @codeSystem='1.2.40.0.34.5.11') or (@code='CTAPT' and @codeSystem='1.2.40.0.34.5.11') or (@code='CTEXT' and @codeSystem='1.2.40.0.34.5.11') or (@code='CTHEP' and @codeSystem='1.2.40.0.34.5.11') or (@code='CTINT' and @codeSystem='1.2.40.0.34.5.11') or (@code='CTNAT' and @codeSystem='1.2.40.0.34.5.11') or (@code='MCFEX' and @codeSystem='1.2.40.0.34.5.11') or (@code='MCFFI' and @codeSystem='1.2.40.0.34.5.11') or (@code='MCFIN' and @codeSystem='1.2.40.0.34.5.11') or (@code='MCFNA' and @codeSystem='1.2.40.0.34.5.11') or (@code='MLEXT' and @codeSystem='1.2.40.0.34.5.11') or (@code='MLINT' and @codeSystem='1.2.40.0.34.5.11') or (@code='MLNAT' and @codeSystem='1.2.40.0.34.5.11') or (@code='3183-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='NRMTC' and @codeSystem='1.2.40.0.34.5.11') or (@code='46418-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='THRTC' and @codeSystem='1.2.40.0.34.5.11') or (@code='5894-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='NORMT' and @codeSystem='1.2.40.0.34.5.11') or (@code='6301-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='THROT' and @codeSystem='1.2.40.0.34.5.11') or (@code='INRTT' and @codeSystem='1.2.40.0.34.5.11') or (@code='INRST' and @codeSystem='1.2.40.0.34.5.11') or (@code='14979-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='APTTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='3243-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6683-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3255-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3256-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27811-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30240-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3264-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25742-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3274-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3271-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28652-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24472-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24471-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PFAINT' and @codeSystem='1.2.40.0.34.5.11') or (@code='34701-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='27813-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3193-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3191-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3198-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3218-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3209-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3204-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3187-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3185-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3226-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3232-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27815-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='HMWKA' and @codeSystem='1.2.40.0.34.5.11') or (@code='28659-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PKA' and @codeSystem='1.2.40.0.34.5.11') or (@code='V00006' and @codeSystem='1.2.40.0.34.5.11') or (@code='VWGPI' and @codeSystem='1.2.40.0.34.5.11') or (@code='27816-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6013-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6014-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='ADAA' and @codeSystem='1.2.40.0.34.5.11') or (@code='40824-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27810-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28660-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5974-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='34571-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34573-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PTTL2' and @codeSystem='1.2.40.0.34.5.11') or (@code='LABPQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='6303-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34569-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='dRVV2' and @codeSystem='1.2.40.0.34.5.11') or (@code='LBDR1' and @codeSystem='1.2.40.0.34.5.11') or (@code='LBDR2' and @codeSystem='1.2.40.0.34.5.11') or (@code='34570-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='LABD2' and @codeSystem='1.2.40.0.34.5.11') or (@code='3283-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='LABDQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='LABDR' and @codeSystem='1.2.40.0.34.5.11') or (@code='3281-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8062-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8063-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8065-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8067-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40456-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21108-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40595-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40596-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14245-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14246-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PSREG' and @codeSystem='1.2.40.0.34.5.11') or (@code='PSREM' and @codeSystem='1.2.40.0.34.5.11') or (@code='7801-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7802-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27818-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27820-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PCPWY' and @codeSystem='1.2.40.0.34.5.11') or (@code='PCP5D' and @codeSystem='1.2.40.0.34.5.11') or (@code='31102-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27821-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27823-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='APCRZ' and @codeSystem='1.2.40.0.34.5.11') or (@code='APCRQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='13590-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48590-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21668-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24475-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28060-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='28005-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PA675' and @codeSystem='1.2.40.0.34.5.11') or (@code='PA844' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1988-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48498-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33864-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30152-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26881-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3074-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33959-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4537-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18184-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='V00007' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='2692-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12186-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2823-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2951-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2075-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2000-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1995-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14879-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13454-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2601-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2160-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29463-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8302-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3140-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='SAMP' and @codeSystem='1.2.40.0.34.5.11') or (@code='VL24U' and @codeSystem='1.2.40.0.34.5.11') or (@code='2164-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12195-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33914-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='GFRCG' and @codeSystem='1.2.40.0.34.5.11') or (@code='33863-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50210-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3094-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3098-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='BUNVO' and @codeSystem='1.2.40.0.34.5.11') or (@code='BUNNA' and @codeSystem='1.2.40.0.34.5.11') or (@code='BUNRR' and @codeSystem='1.2.40.0.34.5.11') or (@code='3084-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='2157-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32673-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13969-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20569-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49136-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12187-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9642-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49129-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9643-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26019-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2639-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6598-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10839-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30934-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33762-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='16362-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1920-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1742-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2324-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6768-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26010-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15348-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15014-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1777-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15013-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15015-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15016-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17838-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2098-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1975-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1968-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1971-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15152-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='V00001' and @codeSystem='1.2.40.0.34.5.11') or (@code='5631-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2064-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2572-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1798-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1805-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='2532-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2537-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2536-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49930-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2539-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2542-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2545-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2548-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4635-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='721-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4542-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2403-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='2498-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50198-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50199-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50200-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50201-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50202-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50203-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50204-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50205-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3034-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2505-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30248-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2276-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48497-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='2345-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16915-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15069-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4548-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2524-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='39998-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48983-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12651-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1547-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48984-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48985-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20439-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26539-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20438-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20440-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20436-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20437-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12638-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12648-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26777-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26778-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26779-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26780-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50206-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50212-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50213-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50214-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50215-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50216-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50207-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50217-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50218-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50208-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48993-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48994-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48986-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16165-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48988-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16167-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16169-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48989-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48990-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48991-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48992-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='2093-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2085-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2089-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13457-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9830-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11054-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2571-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49131-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15121-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15123-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15122-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49133-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49130-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49132-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5911-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1869-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1870-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1878-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1884-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10835-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='2885-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49929-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1751-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13980-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13978-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13981-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13982-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32732-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32733-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13983-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MGRAR' and @codeSystem='1.2.40.0.34.5.11') or (@code='2862-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2865-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2868-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2871-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32730-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32731-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2874-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33358-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12851-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25700-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2465-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2466-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2467-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2468-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2469-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2458-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2472-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11050-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11051-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15189-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='36916-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33944-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48378-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14658-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11043-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5117-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2168-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='44082-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48494-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4477-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48419-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4532-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48496-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4491-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4498-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13965-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50550-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='LDLO' and @codeSystem='1.2.40.0.34.5.11') or (@code='2280-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14338-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1836-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2685-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1825-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18271-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48413-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1835-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2148-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48499-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1761-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2742-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='41171-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5366-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48418-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5133-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5370-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1657-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1668-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1680-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2141-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50426-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50427-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50428-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50445-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50446-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50447-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50448-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50449-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50450-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50451-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50452-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50413-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50417-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50419-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50425-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50414-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50418-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50420-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50439-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50440-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50435-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48092-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50436-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50437-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50438-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48091-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='V00005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1763-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2139-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2143-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3033-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='47844-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50416-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='47848-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1445-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50415-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1448-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='43215-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1451-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50442-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1419-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50441-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12566-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1424-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1404-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12567-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1398-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='46403-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50421-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50422-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50423-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50424-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50453-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50454-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50455-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50456-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50457-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50458-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50459-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50460-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50433-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50434-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50429-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48099-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50430-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50431-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50432-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48098-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='V00004' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='2666-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2230-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2216-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27057-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='3016-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50541-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50533-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50534-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50535-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50536-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50537-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50538-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50539-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50540-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34054-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3021-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3026-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3024-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3053-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3051-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3013-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8098-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8099-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5385-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50525-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50526-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50527-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50528-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50529-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50530-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50531-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50532-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2731-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15087-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='15067-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50477-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50478-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50479-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50480-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50481-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50482-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50483-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50484-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10501-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50509-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50510-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50511-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50512-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50513-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50514-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50515-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50516-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2243-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13884-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13883-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2258-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15355-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2839-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21198-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30169-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20568-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50517-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50518-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50519-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50520-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50521-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50522-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50523-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50524-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='42607-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50366-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2986-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2990-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6891-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1854-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13967-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='20448-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50501-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50502-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50503-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50504-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50505-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50506-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50507-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50508-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2484-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14633-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50461-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50462-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50463-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50464-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50465-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50466-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50467-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50468-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2191-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2338-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='15061-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2333-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50485-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50486-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50487-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50488-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50489-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50490-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50491-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50492-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2963-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='46411-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40302-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40305-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50444-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='46410-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50443-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40303-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40304-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50493-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50494-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50495-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50496-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50497-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50498-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50499-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50500-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2697-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2915-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3125-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3126-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='2284-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2132-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='AVB12' and @codeSystem='1.2.40.0.34.5.11') or (@code='14905-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14622-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1649-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14635-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14590-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='21582-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1952-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1834-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2039-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10334-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6875-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17843-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24108-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34256-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25390-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15060-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='47275-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9679-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2857-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10886-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12841-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1992-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50469-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50470-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50471-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50472-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50473-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50474-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50475-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50476-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1780-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19180-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19184-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='8220-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3879-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12788-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14844-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3774-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3773-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3413-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3414-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50542-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='41858-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3398-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3397-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8150-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3349-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='40419-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3780-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19570-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9426-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3377-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50543-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11004-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9428-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3390-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='42860-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3427-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3530-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5645-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10366-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='5643-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48495-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='V00008' and @codeSystem='1.2.40.0.34.5.11') or (@code='11024-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3389-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4024-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3298-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10552-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20563-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2614-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='35669-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3319-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3321-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='35668-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3663-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3665-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3848-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3850-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='35670-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4057-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4059-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4043-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20578-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4090-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4092-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='47395-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='31028-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31179-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31027-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19051-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33928-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='14639-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3494-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6948-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='35331-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14877-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14887-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25541-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14946-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='3330-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6774-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3559-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10535-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='3520-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11253-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29247-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50544-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='23905-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='3924-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14874-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14720-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27042-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14836-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14334-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='4049-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='7918-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51866-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24012-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='44873-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25835-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='20575-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32018-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22313-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22314-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='5195-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7905-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16933-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31204-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31844-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22320-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22322-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16935-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='42595-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='16128-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32286-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11259-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11011-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='9513-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5249-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5243-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5294-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5204-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5401-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5041-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26022-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50693-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50692-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50691-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='22244-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7852-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30325-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7853-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31369-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7885-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7886-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31372-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26062-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26063-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31853-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31411-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='43030-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7962-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7963-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='41501-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7966-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7967-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8015-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50694-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7983-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7984-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='39528-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49340-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5000-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33006-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5005-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32585-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29591-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='EVPQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='20444-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49381-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11483-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49451-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29495-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='38349-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34487-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='IAPQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='40982-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='IBPQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='38917-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MPPQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='29908-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29909-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29910-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='P1PQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='P2PQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='P3PQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='9571-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49432-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='44567-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31418-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33045-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='5292-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50690-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5393-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17729-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22587-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8041-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6562-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26009-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5290-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31146-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50689-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22586-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50695-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='21190-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21187-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51578-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21613-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21191-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6357-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24111-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21415-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21414-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='35735-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21416-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='22128-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22135-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22125-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22132-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='5079-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='31843-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24027-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18481-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31870-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='22428-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='13956-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MTQPX' and @codeSystem='1.2.40.0.34.5.11') or (@code='MTBPd' and @codeSystem='1.2.40.0.34.5.11') or (@code='MTBPp' and @codeSystem='1.2.40.0.34.5.11') or (@code='MTBPM' and @codeSystem='1.2.40.0.34.5.11') or (@code='MTBPR' and @codeSystem='1.2.40.0.34.5.11') or (@code='MTBPU' and @codeSystem='1.2.40.0.34.5.11') or (@code='45323-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='29257-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MYPQX' and @codeSystem='1.2.40.0.34.5.11') or (@code='7970-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8078-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5254-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='32700-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51587-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50687-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51865-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PLLDH' and @codeSystem='1.2.40.0.34.5.11') or (@code='50688-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='11572-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5298-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='CCPAK' and @codeSystem='1.2.40.0.34.5.11') or (@code='MCVAK' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='13068-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5048-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='CHRTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='NUKTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='HOMTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='SPFTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='SPATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='42254-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='NDQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='NDTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='MNDQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='MNDTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='KMTTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='SPIQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='SPITF' and @codeSystem='1.2.40.0.34.5.11') or (@code='16570-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5077-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='CSMTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='PCAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='PCATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='PRAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='PRATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='HP2FI' and @codeSystem='1.2.40.0.34.5.11') or (@code='5130-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31348-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='42200-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6457-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34187-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30359-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8071-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='NSMAK' and @codeSystem='1.2.40.0.34.5.11') or (@code='14722-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='S52AK' and @codeSystem='1.2.40.0.34.5.11') or (@code='S60AK' and @codeSystem='1.2.40.0.34.5.11') or (@code='17792-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17791-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29374-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11090-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27416-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='CNBAK' and @codeSystem='1.2.40.0.34.5.11') or (@code='11565-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='S52AQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='S60AQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='8093-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8094-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='RNPSQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='U170Q' and @codeSystem='1.2.40.0.34.5.11') or (@code='U1RAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='U1RGQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='U1RCQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='31627-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='SMBAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='SMDAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='8092-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='CNBAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='8076-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8088-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='55171-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='55170-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='GOAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='GOATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='LYATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='RIBQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='25748-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='RPAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='RPATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='PMSQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='PMSTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='VMATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='VNATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='P7AQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='P7ATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='SRATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='14611-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33772-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33771-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33921-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31590-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18485-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='18484-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31563-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='SRPAK' and @codeSystem='1.2.40.0.34.5.11') or (@code='31562-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31589-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='17284-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5247-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='LKAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='9838-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26971-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5358-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='SMAFI' and @codeSystem='1.2.40.0.34.5.11') or (@code='SMAI' and @codeSystem='1.2.40.0.34.5.11') or (@code='AKAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='AKATF' and @codeSystem='1.2.40.0.34.5.11') or (@code='8077-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14236-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26054-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='AMM4' and @codeSystem='1.2.40.0.34.5.11') or (@code='34411-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='AMM9' and @codeSystem='1.2.40.0.34.5.11') or (@code='34412-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='SLAAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='30535-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11566-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14272-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34621-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13175-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='FAKTA' and @codeSystem='1.2.40.0.34.5.11') or (@code='FAKAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='49781-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='GP2AQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='26969-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5271-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8087-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14241-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11564-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30530-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='17353-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14277-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17357-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14278-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='XANQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='49503-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='AANTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='21419-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17352-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6968-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PR3AC' and @codeSystem='1.2.40.0.34.5.11') or (@code='29644-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6969-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MPOC' and @codeSystem='1.2.40.0.34.5.11') or (@code='17316-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='ELAAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='CATAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='LYSAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='LACAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='BPIAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='5056-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16434-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31252-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16433-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='31032-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31031-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='ASCAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='16814-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25399-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6924-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16901-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5170-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16902-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31017-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='35285-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32998-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='TTAGQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='TTGAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='31209-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8086-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13926-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8072-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='31535-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11088-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='KIAQ' and @codeSystem='1.2.40.0.34.5.11') or (@code='27068-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27214-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='20427-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='SPDTF' and @codeSystem='1.2.40.0.34.5.11') or (@code='SRAQF' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='5811-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5803-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20408-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5802-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='ERYSU' and @codeSystem='1.2.40.0.34.5.11') or (@code='49137-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5804-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5792-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5797-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20505-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='20405-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='20627-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='32776-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='G1ERV' and @codeSystem='1.2.40.0.34.5.11') or (@code='GLERV' and @codeSystem='1.2.40.0.34.5.11') or (@code='20455-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25145-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PILZV' and @codeSystem='1.2.40.0.34.5.11') or (@code='5813-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12258-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8249-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12248-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='RUEPV' and @codeSystem='1.2.40.0.34.5.11') or (@code='8247-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25162-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25160-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33825-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33804-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25157-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33784-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33862-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='PSZLV' and @codeSystem='1.2.40.0.34.5.11') or (@code='25159-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25158-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5774-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5814-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5817-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5798-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5784-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='5783-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='ZGLMU' and @codeSystem='1.2.40.0.34.5.11') or (@code='8246-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='28009-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13362-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2828-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2829-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2955-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2956-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48995-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2078-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2079-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21194-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2004-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14637-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13539-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14881-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MGU' and @codeSystem='1.2.40.0.34.5.11') or (@code='2599-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2695-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2161-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2150-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2162-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3095-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48999-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3086-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3087-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2350-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2351-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1799-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34235-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2888-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2889-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2890-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21482-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1754-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1755-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9318-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='50209-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13992-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13990-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13993-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='B1GRU' and @codeSystem='1.2.40.0.34.5.11') or (@code='B2GRU' and @codeSystem='1.2.40.0.34.5.11') or (@code='13994-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13995-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6942-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9734-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='38190-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='B1GLU' and @codeSystem='1.2.40.0.34.5.11') or (@code='B2GLU' and @codeSystem='1.2.40.0.34.5.11') or (@code='9744-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9745-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13440-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6781-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6779-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6784-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27365-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='27394-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33559-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='38176-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='FLAMU' and @codeSystem='1.2.40.0.34.5.11') or (@code='41759-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='V00009' and @codeSystem='1.2.40.0.34.5.11') or (@code='33782-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3035-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2641-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='46723-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48414-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48415-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1953-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48587-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13881-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48987-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9343-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11225-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10885-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11228-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='48168-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1694-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1695-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11046-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2232-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2217-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2218-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11139-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19049-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2667-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2668-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2670-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2671-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1764-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1765-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2144-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14158-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='26465-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='MNZRL' and @codeSystem='1.2.40.0.34.5.11') or (@code='NEURL' and @codeSystem='1.2.40.0.34.5.11') or (@code='2342-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2520-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2819-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2948-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2070-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2880-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1746-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2464-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2457-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2471-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='FKAPL' and @codeSystem='1.2.40.0.34.5.11') or (@code='FLAML' and @codeSystem='1.2.40.0.34.5.11') or (@code='FKAPI' and @codeSystem='1.2.40.0.34.5.11') or (@code='1756-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14117-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13174-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12782-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='26466-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='THRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='ERYX' and @codeSystem='1.2.40.0.34.5.11') or (@code='HBX' and @codeSystem='1.2.40.0.34.5.11') or (@code='HKTX' and @codeSystem='1.2.40.0.34.5.11') or (@code='NEUAX' and @codeSystem='1.2.40.0.34.5.11') or (@code='EOSAX' and @codeSystem='1.2.40.0.34.5.11') or (@code='BASAX' and @codeSystem='1.2.40.0.34.5.11') or (@code='LYMAX' and @codeSystem='1.2.40.0.34.5.11') or (@code='MONAX' and @codeSystem='1.2.40.0.34.5.11') or (@code='IMGAX' and @codeSystem='1.2.40.0.34.5.11') or (@code='26513-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='EOSRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='BASRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='11031-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26487-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='IMGRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='2821-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2950-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2072-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12190-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='3093-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2344-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='14165-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16503-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15212-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1974-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2529-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29220-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12228-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12183-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='2881-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1747-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17820-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17812-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17814-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='B1GRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='B2GRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='17818-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='43212-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17496-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17497-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='B1GX' and @codeSystem='1.2.40.0.34.5.11') or (@code='B2GX' and @codeSystem='1.2.40.0.34.5.11') or (@code='17499-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15183-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15181-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15185-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48420-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6908-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29146-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48416-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30231-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11210-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29153-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48163-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12515-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='26924-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48164-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='48165-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='FERRX' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='49928-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='THRY' and @codeSystem='1.2.40.0.34.5.11') or (@code='ERYY' and @codeSystem='1.2.40.0.34.5.11') or (@code='HBY' and @codeSystem='1.2.40.0.34.5.11') or (@code='HKTY' and @codeSystem='1.2.40.0.34.5.11') or (@code='NEURY' and @codeSystem='1.2.40.0.34.5.11') or (@code='EOSRY' and @codeSystem='1.2.40.0.34.5.11') or (@code='BASRY' and @codeSystem='1.2.40.0.34.5.11') or (@code='LYMRY' and @codeSystem='1.2.40.0.34.5.11') or (@code='MONRY' and @codeSystem='1.2.40.0.34.5.11') or (@code='39785-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='39787-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='39467-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49005-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49006-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49007-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49004-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='17757-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='49003-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='12628-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='TPY' and @codeSystem='1.2.40.0.34.5.11') or (@code='ALBY' and @codeSystem='1.2.40.0.34.5.11') or (@code='CHOLY' and @codeSystem='1.2.40.0.34.5.11') or (@code='TRIGY' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='19113-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25638-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='DAO' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='16054-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51562-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51559-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51561-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15997-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='15585-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21060-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15579-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15767-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15571-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15875-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16078-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30126-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16091-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15659-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15546-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51573-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51574-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51575-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='15975-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15978-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15863-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15676-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15952-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15805-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15733-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21486-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='24506-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15682-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15680-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='15215-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31005-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15592-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15906-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15710-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15609-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15685-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15971-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15759-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15765-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='43373-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51550-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16015-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15784-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15661-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='15924-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15642-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15549-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15862-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15599-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15530-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51571-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='51572-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='23800-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='23801-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15217-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15218-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15219-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='31010-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15689-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15691-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='25383-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15529-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15577-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15606-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15650-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16065-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16006-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15663-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16018-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15869-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15821-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16085-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15729-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15998-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15555-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15885-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15957-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15653-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15994-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16014-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15591-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15568-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15569-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15917-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15766-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16074-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15586-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15527-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15956-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15572-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15605-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15913-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15894-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16038-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15539-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15623-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15854-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15634-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15802-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15832-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15554-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15597-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15918-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15777-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16096-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15724-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15893-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15618-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15910-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15602-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15557-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15728-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16049-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16053-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15838-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='29861-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15706-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='15570-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16082-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16080-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15783-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15856-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15582-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='24510-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='16020-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15702-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15718-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15806-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15658-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15588-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='15544-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15688-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='15921-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15922-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15533-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15532-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='21150-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='16039-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='6265-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34429-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30999-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34428-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6236-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='7155-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15284-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15283-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6137-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6038-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6189-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='33982-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15285-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6285-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6090-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6278-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30984-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30985-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='34250-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='6085-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6124-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6183-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6097-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6110-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6156-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6128-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11194-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='23795-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6096-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6095-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='6030-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6031-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='13833-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6833-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6098-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6223-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6134-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6135-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19753-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19751-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6243-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6143-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6091-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='6075-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6025-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6182-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6059-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6020-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30992-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='30993-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='6106-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6107-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7258-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7445-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='41397-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6062-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6082-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6270-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6237-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6092-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6246-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6048-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6165-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6276-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6125-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7674-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6037-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6190-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6220-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6087-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6230-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6242-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6054-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6248-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6279-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6206-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6136-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6273-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6050-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6019-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6219-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6039-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6061-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6204-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6194-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6257-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6021-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6067-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6068-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6071-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6154-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6167-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6035-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6080-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6207-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7412-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6287-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6122-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6193-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6065-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6203-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7178-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7118-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7335-3' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11202-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='7737-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10937-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15278-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10928-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='6844-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6740-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6288-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6198-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6177-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6047-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='15342-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='19758-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6112-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6119-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6158-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6089-7' and @codeSystem='2.16.840.1.113883.6.1') or (@code='10923-1' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='6022-8' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6103-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='6851-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6210-9' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6712-4' and @codeSystem='2.16.840.1.113883.6.1') or (@code='6829-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='19733-5' and @codeSystem='2.16.840.1.113883.6.1') or (@code='11201-1' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]|self::hl7:text|self::hl7:statusCode[@code='completed' or @code='aborted']|self::hl7:effectiveTime|self::hl7:value|self::hl7:interpretationCode|self::hl7:participant[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]|self::hl7:referenceRange|self::hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']])]"
         id="tmp-r-9b34a148-6c40-49fe-9710-e904cd4f349f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:value/*[not(self::hl7:translation)]"
         id="tmp-r-61baffd2-3aa3-478c-86bf-3a4c9594dfb2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:participant[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']|self::hl7:time|self::hl7:participantRole)]"
         id="tmp-r-b71f9d8c-0523-4c1d-a416-60f09c62d0c5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:participant[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]/hl7:participantRole/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:playingEntity)]"
         id="tmp-r-d21b3e0b-acdd-4edb-863f-4026e524d70e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:participant[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]/hl7:participantRole/hl7:playingEntity/*[not(self::hl7:name)]"
         id="tmp-r-8bbd0e67-5605-485d-8fbc-ca865291a1a2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:referenceRange/*[not(self::hl7:observationRange)]"
         id="tmp-r-602881f1-98c8-40cc-93e5-064d05e8b918">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:referenceRange/hl7:observationRange/*[not(self::hl7:text|self::hl7:value|self::hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83')])]"
         id="tmp-r-0e41517c-bbfc-4bfd-ac1e-2be3822f9c92">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:value/*[not(self::hl7:low|self::hl7:high)]"
         id="tmp-r-d05707fa-81e5-46fa-b656-1f087943e3de">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']|self::hl7:time|self::hl7:assignedEntity)]"
         id="tmp-r-9aa66d1a-27d7-4ea1-a09c-654f2a11c15d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:representedOrganization)]"
         id="tmp-r-37896183-1771-43b8-9b4e-e50f11b70a74">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-r-bbed83de-2c9b-4108-8f92-b91f5f5661bf">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-458ac8e5-6b4d-4553-9a62-ed5e2fdc79c8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observationMedia]/*[not(self::hl7:observationMedia)]"
         id="tmp-r-e12cc599-0a27-47f5-a895-3009039361de">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:observationMedia]/hl7:observationMedia/*[not(self::hl7:id|self::hl7:value)]"
         id="tmp-r-5c490495-6060-4a0b-8bea-26b39024c757">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]]/*[not(self::hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']])]"
         id="tmp-r-00c455db-4b69-4546-b1d2-48012d4126af">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]]/hl7:act/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.40']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']|self::hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:text|self::hl7:statusCode)]"
         id="tmp-r-936db764-6183-4966-8b60-f559b9c051cd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]]/hl7:act/hl7:text/*[not(self::hl7:reference)]"
         id="tmp-r-334c8330-eaa7-4258-9195-339443a2179d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]]/*[not(self::hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']])]"
         id="tmp-r-867b61e7-b1ac-420b-999f-80acd8f1fc38">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]]/hl7:act/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.40']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']|self::hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:text|self::hl7:statusCode)]"
         id="tmp-r-42493549-bc14-4e37-be58-47cb43040d35">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.2.1']]]/hl7:section/hl7:entry[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']]/hl7:act[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='10' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='101' and @codeSystem='1.2.40.0.34.5.11') or (@code='102' and @codeSystem='1.2.40.0.34.5.11') or (@code='103' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='201' and @codeSystem='1.2.40.0.34.5.11') or (@code='202' and @codeSystem='1.2.40.0.34.5.11') or (@code='203' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='301' and @codeSystem='1.2.40.0.34.5.11') or (@code='302' and @codeSystem='1.2.40.0.34.5.11') or (@code='303' and @codeSystem='1.2.40.0.34.5.11') or (@code='304' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='401' and @codeSystem='1.2.40.0.34.5.11') or (@code='402' and @codeSystem='1.2.40.0.34.5.11') or (@code='403' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='501' and @codeSystem='1.2.40.0.34.5.11') or (@code='502' and @codeSystem='1.2.40.0.34.5.11') or (@code='503' and @codeSystem='1.2.40.0.34.5.11') or (@code='504' and @codeSystem='1.2.40.0.34.5.11') or (@code='505' and @codeSystem='1.2.40.0.34.5.11') or (@code='506' and @codeSystem='1.2.40.0.34.5.11') or (@code='507' and @codeSystem='1.2.40.0.34.5.11') or (@code='508' and @codeSystem='1.2.40.0.34.5.11') or (@code='509' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='601' and @codeSystem='1.2.40.0.34.5.11') or (@code='602' and @codeSystem='1.2.40.0.34.5.11') or (@code='603' and @codeSystem='1.2.40.0.34.5.11') or (@code='604' and @codeSystem='1.2.40.0.34.5.11') or (@code='605' and @codeSystem='1.2.40.0.34.5.11') or (@code='606' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='701' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='801' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='901' and @codeSystem='1.2.40.0.34.5.11') or (@code='902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1001' and @codeSystem='1.2.40.0.34.5.11') or (@code='1002' and @codeSystem='1.2.40.0.34.5.11') or (@code='1003' and @codeSystem='1.2.40.0.34.5.11') or (@code='1004' and @codeSystem='1.2.40.0.34.5.11') or (@code='1005' and @codeSystem='1.2.40.0.34.5.11') or (@code='1006' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1101' and @codeSystem='1.2.40.0.34.5.11') or (@code='1102' and @codeSystem='1.2.40.0.34.5.11') or (@code='1103' and @codeSystem='1.2.40.0.34.5.11') or (@code='1104' and @codeSystem='1.2.40.0.34.5.11') or (@code='1105' and @codeSystem='1.2.40.0.34.5.11') or (@code='1106' and @codeSystem='1.2.40.0.34.5.11') or (@code='1107' and @codeSystem='1.2.40.0.34.5.11') or (@code='1108' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1201' and @codeSystem='1.2.40.0.34.5.11') or (@code='1202' and @codeSystem='1.2.40.0.34.5.11') or (@code='1203' and @codeSystem='1.2.40.0.34.5.11') or (@code='1204' and @codeSystem='1.2.40.0.34.5.11') or (@code='1205' and @codeSystem='1.2.40.0.34.5.11') or (@code='1206' and @codeSystem='1.2.40.0.34.5.11') or (@code='1207' and @codeSystem='1.2.40.0.34.5.11') or (@code='1208' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1301' and @codeSystem='1.2.40.0.34.5.11') or (@code='1302' and @codeSystem='1.2.40.0.34.5.11') or (@code='1303' and @codeSystem='1.2.40.0.34.5.11') or (@code='1304' and @codeSystem='1.2.40.0.34.5.11') or (@code='1305' and @codeSystem='1.2.40.0.34.5.11') or (@code='1306' and @codeSystem='1.2.40.0.34.5.11') or (@code='1307' and @codeSystem='1.2.40.0.34.5.11') or (@code='1308' and @codeSystem='1.2.40.0.34.5.11') or (@code='1309' and @codeSystem='1.2.40.0.34.5.11') or (@code='1310' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1401' and @codeSystem='1.2.40.0.34.5.11') or (@code='1402' and @codeSystem='1.2.40.0.34.5.11') or (@code='1403' and @codeSystem='1.2.40.0.34.5.11') or (@code='1404' and @codeSystem='1.2.40.0.34.5.11') or (@code='1405' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1501' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1601' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1701' and @codeSystem='1.2.40.0.34.5.11') or (@code='1702' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1801' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1901' and @codeSystem='1.2.40.0.34.5.11') or (@code='1902' and @codeSystem='1.2.40.0.34.5.11') or (@code='1903' and @codeSystem='1.2.40.0.34.5.11') or (@code='1904' and @codeSystem='1.2.40.0.34.5.11') or (@code='1905' and @codeSystem='1.2.40.0.34.5.11') or (@code='1906' and @codeSystem='1.2.40.0.34.5.11') or (@code='1907' and @codeSystem='1.2.40.0.34.5.11') or (@code='1908' and @codeSystem='1.2.40.0.34.5.11') or (@code='1909' and @codeSystem='1.2.40.0.34.5.11') or (@code='1910' and @codeSystem='1.2.40.0.34.5.11') or (@code='1911' and @codeSystem='1.2.40.0.34.5.11') or (@code='1912' and @codeSystem='1.2.40.0.34.5.11') or (@code='1913' and @codeSystem='1.2.40.0.34.5.11') or (@code='1914' and @codeSystem='1.2.40.0.34.5.11') or (@code='1915' and @codeSystem='1.2.40.0.34.5.11') or (@code='1916' and @codeSystem='1.2.40.0.34.5.11') or (@code='1917' and @codeSystem='1.2.40.0.34.5.11') or (@code='1918' and @codeSystem='1.2.40.0.34.5.11') or (@code='1919' and @codeSystem='1.2.40.0.34.5.11') or (@code='1920' and @codeSystem='1.2.40.0.34.5.11') or (@code='1921' and @codeSystem='1.2.40.0.34.5.11') or (@code='1922' and @codeSystem='1.2.40.0.34.5.11') or (@code='2000' and @codeSystem='1.2.40.0.34.5.11') or (@code='2100' and @codeSystem='1.2.40.0.34.5.11') or (@code='20' and @codeSystem='1.2.40.0.34.5.11')]]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]]/hl7:act/hl7:text/*[not(self::hl7:reference)]"
         id="tmp-r-07187479-8fa4-48a9-bf3a-b07f8fe35b83">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30020-2012-01-07T000000.html"
              test="not(.)">(SpezimenActEntryAllgemein): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.4.2.2']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.4.2.2']])]"
         id="tmp-r-2b833e78-fe07-425b-94c4-1bf349e69f08">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.4.2.2']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.4.2.2']|self::hl7:code[(@code='20' and @codeSystem='1.2.40.0.34.5.11')]|self::hl7:title|self::hl7:text|self::hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]])]"
         id="tmp-r-777c9ae8-6052-4640-993b-977debce6afe">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.4.2.2']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]]/*[not(self::hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']])]"
         id="tmp-r-22ac4451-63c7-4a2e-8321-2a9be73dd106">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.4.2.2']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]]/hl7:act/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.40']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']|self::hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:text|self::hl7:statusCode)]"
         id="tmp-r-506a47c1-34aa-4d96-88a3-03798a614d40">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.4.2.2']]]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]]/hl7:act/hl7:text/*[not(self::hl7:reference)]"
         id="tmp-r-efa5a90f-a0ea-4091-93f5-1bf8f9222b5f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.4-2013-11-07T000000.html"
              test="not(.)">(Laborbefund): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>
</pattern>
