<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.10008
Name: ELGA CDA Dokument eMedikation Pharmazeutische Empfehlung
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.10008-2013-12-16T000000">
   <title>ELGA CDA Dokument eMedikation Pharmazeutische Empfehlung</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10008
Context: hl7:ClinicalDocument
Item: (CDAPharmazeutischeEmpfehlung)
-->

<rule context="hl7:ClinicalDocument"
         id="tmp-r-5eebdc9b-59f3-492a-ba05-764338b89852">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="string(@classCode)='DOCCLIN' or not(@classCode)">(CDAPharmazeutischeEmpfehlung): Der Wert von @classCode MUSS 'DOCCLIN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(CDAPharmazeutischeEmpfehlung): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:realmCode)&gt;=1 and not(hl7:realmCode/@nullFlavor)">(CDAPharmazeutischeEmpfehlung): Element hl7:realmCode ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:realmCode)&lt;=1">(CDAPharmazeutischeEmpfehlung): Element hl7:realmCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(CDAPharmazeutischeEmpfehlung): Element hl7:typeId[@root='2.16.840.1.113883.1.3'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(CDAPharmazeutischeEmpfehlung): Element hl7:typeId[@root='2.16.840.1.113883.1.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.34.11.1']/@nullFlavor)">(CDAPharmazeutischeEmpfehlung): Element hl7:templateId[@root='1.2.40.0.34.11.1'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1'])&lt;=1">(CDAPharmazeutischeEmpfehlung): Element hl7:templateId[@root='1.2.40.0.34.11.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.1.4'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.1.4']/@nullFlavor)">(CDAPharmazeutischeEmpfehlung): Element hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.1.4'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.1.4'])&lt;=1">(CDAPharmazeutischeEmpfehlung): Element hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.1.4'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.2'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.2']/@nullFlavor)">(CDAPharmazeutischeEmpfehlung): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.2'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.2'])&lt;=1">(CDAPharmazeutischeEmpfehlung): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1']/@nullFlavor)">(CDAPharmazeutischeEmpfehlung): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'])&lt;=1">(CDAPharmazeutischeEmpfehlung): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.0.3'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.34.11.2.0.3']/@nullFlavor)">(CDAPharmazeutischeEmpfehlung): Element hl7:templateId[@root='1.2.40.0.34.11.2.0.3'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.0.3'])&lt;=1">(CDAPharmazeutischeEmpfehlung): Element hl7:templateId[@root='1.2.40.0.34.11.2.0.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(CDAPharmazeutischeEmpfehlung): Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:id)&lt;=1">(CDAPharmazeutischeEmpfehlung): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:code[(@code='61356-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='61356-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(CDAPharmazeutischeEmpfehlung): Element hl7:code[(@code='61356-2' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:code[(@code='61356-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(CDAPharmazeutischeEmpfehlung): Element hl7:code[(@code='61356-2' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(CDAPharmazeutischeEmpfehlung): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:title)&lt;=1">(CDAPharmazeutischeEmpfehlung): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(CDAPharmazeutischeEmpfehlung): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAPharmazeutischeEmpfehlung): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&gt;=1 and not(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]/@nullFlavor)">(CDAPharmazeutischeEmpfehlung): Element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&lt;=1">(CDAPharmazeutischeEmpfehlung): Element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:languageCode[@code='de-AT'])&gt;=1 and not(hl7:languageCode[@code='de-AT']/@nullFlavor)">(CDAPharmazeutischeEmpfehlung): Element hl7:languageCode[@code='de-AT'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:languageCode[@code='de-AT'])&lt;=1">(CDAPharmazeutischeEmpfehlung): Element hl7:languageCode[@code='de-AT'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:setId)&gt;=1 and not(hl7:setId/@nullFlavor)">(CDAPharmazeutischeEmpfehlung): Element hl7:setId ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:setId)&lt;=1">(CDAPharmazeutischeEmpfehlung): Element hl7:setId kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:versionNumber)&gt;=1 and not(hl7:versionNumber/@nullFlavor)">(CDAPharmazeutischeEmpfehlung): Element hl7:versionNumber ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(CDAPharmazeutischeEmpfehlung): Element hl7:versionNumber kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(CDAPharmazeutischeEmpfehlung): Element hl7:recordTarget ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(CDAPharmazeutischeEmpfehlung): Element hl7:recordTarget kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(CDAPharmazeutischeEmpfehlung): Element hl7:author ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(CDAPharmazeutischeEmpfehlung): Element hl7:custodian ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:custodian)&lt;=1">(CDAPharmazeutischeEmpfehlung): Element hl7:custodian kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:dataEnterer)=0">(CDAPharmazeutischeEmpfehlung): Element hl7:dataEnterer DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:informationRecipient)=0">(CDAPharmazeutischeEmpfehlung): Element hl7:informationRecipient DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:authenticator)=0">(CDAPharmazeutischeEmpfehlung): Element hl7:authenticator DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:legalAuthenticator)&gt;=1 and not(hl7:legalAuthenticator/@nullFlavor)">(CDAPharmazeutischeEmpfehlung): Element hl7:legalAuthenticator ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:legalAuthenticator)&lt;=1">(CDAPharmazeutischeEmpfehlung): Element hl7:legalAuthenticator kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:participants)=0">(CDAPharmazeutischeEmpfehlung): Element hl7:participants DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:relatedDocument)=0">(CDAPharmazeutischeEmpfehlung): Element hl7:relatedDocument DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:inFulfillmentOf)=0">(CDAPharmazeutischeEmpfehlung): Element hl7:inFulfillmentOf DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:documentationOf)=0">(CDAPharmazeutischeEmpfehlung): Element hl7:documentationOf DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:authorization)=0">(CDAPharmazeutischeEmpfehlung): Element hl7:authorization DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="count(hl7:componentOf)=0">(CDAPharmazeutischeEmpfehlung): Element hl7:componentOf DARF NICHT vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument
Item: (FirstCDAHeaderElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument
Item: (FirstCDAHeaderElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument
Item: (FirstCDAHeaderElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:realmCode
Item: (FirstCDAHeaderElements)
-->

<rule context="hl7:ClinicalDocument/hl7:realmCode"
         id="tmp-r-d6912b4a-06ac-4c38-8195-d3ad4ec8d76d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-1.2.40.0.34.10.3-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="not(@code) or count($theAttValue) = count($theAttCheck)">(FirstCDAHeaderElements): Der Wert von code MUSS gewählt werden aus dem Value Set ELGA_RealmCode (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (FirstCDAHeaderElements)
-->

<rule context="hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-b567a6ac-78e0-4a9c-814b-d4358a56b530">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(FirstCDAHeaderElements): @root MUSS den Wert '2.16.840.1.113883.1.3' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@extension)='POCD_HD000040'">(FirstCDAHeaderElements): Der Wert von @extension MUSS 'POCD_HD000040' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.1']
Item: (FirstCDAHeaderElements)
-->

<rule context="hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.1']"
         id="tmp-r-823923ec-3c2a-4ee6-99e9-aff96b5e4c0c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.1'">(FirstCDAHeaderElements): @root MUSS den Wert '1.2.40.0.34.11.1' haben.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/*[not(self::hl7:realmCode|self::hl7:typeId[@root='2.16.840.1.113883.1.3']|self::hl7:templateId[@root='1.2.40.0.34.11.1']|self::hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.1.4']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.2']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1']|self::hl7:templateId[@root='1.2.40.0.34.11.2.0.3']|self::hl7:id|self::hl7:code[(@code='61356-2' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:effectiveTime|self::hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]|self::hl7:languageCode[@code='de-AT']|self::hl7:setId|self::hl7:versionNumber|self::hl7:recordTarget|self::hl7:author|self::hl7:custodian|self::hl7:dataEnterer|self::hl7:informationRecipient|self::hl7:authenticator|self::hl7:legalAuthenticator|self::hl7:participants|self::hl7:relatedDocument|self::hl7:inFulfillmentOf|self::hl7:documentationOf|self::hl7:authorization|self::hl7:componentOf|self::hl7:component)]"
         id="tmp-r-5eebdc9b-59f3-492a-ba05-764338b89852">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.10008-2013-12-16T000000.html"
              test="not(.)">(CDAPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/*[not(self::hl7:structuredBody)]"
         id="tmp-r-42478612-20fb-4227-b371-f7ac9439928d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/*[not(self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]])]"
         id="tmp-r-fc1b1224-8001-4b38-94cb-8c2fac836cb0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']])]"
         id="tmp-r-362f4c55-e2b5-4473-95ff-cf5ea7b4bc80">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/*[not(self::hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']|self::hl7:id|self::hl7:code[(@code='61357-0' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text|self::hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]])]"
         id="tmp-r-02b4fc97-0843-4e19-bb43-fe386b5da97f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/*[not(self::hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']])]"
         id="tmp-r-cb8da4a4-876f-4fae-bbb7-81fbaeabcff4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/*[not(self::hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.3']|self::hl7:id[@root='1.2.40.0.10.1.4.3.4.2.4']|self::hl7:code|self::hl7:statusCode[@code='completed']|self::hl7:entryRelationship[@typeCode='REFR'][hl7:substanceAdministration]|self::hl7:entryRelationship[@typeCode='REFR'][hl7:supply]|self::hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]|self::hl7:entryRelationship[@typeCode='REFR'][hl7:organizer])]"
         id="tmp-r-24e2a234-a807-4b56-b26f-5379b8f787dd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:code/*[not(self::hl7:originalText)]"
         id="tmp-r-6bb82156-832c-4f1e-8ee5-869222092a6d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:substanceAdministration]/*[not(self::hl7:substanceAdministration)]"
         id="tmp-r-9ff8e9bc-3df7-494f-a2f8-758f1e2c137e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:substanceAdministration]/hl7:substanceAdministration/*[not(self::hl7:id[@root='1.2.40.0.10.1.4.3.4.2.2']|self::hl7:consumable)]"
         id="tmp-r-717eca52-ad67-4597-9b5d-06b3314f3766">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:substanceAdministration]/hl7:substanceAdministration/hl7:consumable/*[not(self::hl7:manufacturedProduct)]"
         id="tmp-r-c114969d-749e-4279-b2f4-dad87bcf971b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:substanceAdministration]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/*[not(self::hl7:manufacturedMaterial)]"
         id="tmp-r-dd2af5d1-fccb-46fa-a265-91925bd3190a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/*[not(self::hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']])]"
         id="tmp-r-fb3a4e0c-6c5a-4cdb-8d93-0c620d16768e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/*[not(self::hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4']|self::hl7:id[@root='1.2.40.0.10.1.4.3.4.2.3']|self::hl7:code|self::hl7:text|self::hl7:quantity|self::hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]|self::hl7:performer|self::hl7:author|self::hl7:entryRelationship[@typeCode='REFR']|self::hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.49']]|self::hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']]|self::hl7:entryRelationship[@typeCode='COMP'])]"
         id="tmp-r-94682c11-982a-4e23-96a3-0b5a73e021b8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:code/*[not(self::hl7:originalText)]"
         id="tmp-r-780f1b1d-4434-4a82-837e-7fed689fbef8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:text/*[not(self::hl7:reference)]"
         id="tmp-r-e343c9c3-5eb7-4ef6-afe5-b01b67e7493f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/*[not(self::hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']])]"
         id="tmp-r-4963e006-0f8f-490d-b221-f4f4b9e2787d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.53']|self::hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']])]"
         id="tmp-r-adf20751-aa31-43dc-9847-e7a946c2e123">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.2.3.4']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']|self::hl7:code[@codeSystem='1.2.40.0.10.1.4.3.5' or @codeSystem='1.2.40.0.10.1.4.3.6' or @nullFlavor]|self::hl7:name|self::pharm:formCode|self::pharm:asContent|self::pharm:ingredient)]"
         id="tmp-r-b2b94301-6d33-4715-a253-cc77a3101ccf">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:code[@codeSystem='1.2.40.0.10.1.4.3.5' or @codeSystem='1.2.40.0.10.1.4.3.6' or @nullFlavor]/*[not(self::hl7:originalText|self::hl7:translation)]"
         id="tmp-r-093359f4-7840-4947-b410-67c9879af26c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent/*[not(self::pharm:containerPackagedMedicine)]"
         id="tmp-r-fc8ef37e-fc9c-4725-910f-984da28e2114">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent/pharm:containerPackagedMedicine/*[not(self::pharm:code[@codeSystem='1.2.40.0.10.1.4.3.5' or @codeSystem='1.2.40.0.10.1.4.3.6']|self::pharm:name|self::pharm:capacityQuantity)]"
         id="tmp-r-45219cf9-5ec7-4312-8994-1c114341f08f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:code[@codeSystem='1.2.40.0.10.1.4.3.5' or @codeSystem='1.2.40.0.10.1.4.3.6']/*[not(self::pharm:originalText)]"
         id="tmp-r-9fccb099-1b36-444b-b989-9d1ff1f3dae0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/*[not(self::pharm:quantity|self::pharm:ingredient)]"
         id="tmp-r-5c971564-f824-4e1f-8300-39dda4f2e156">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:quantity/*[not(self::pharm:numerator|self::pharm:denominator)]"
         id="tmp-r-9ce3ffc3-79ec-4fef-a4fc-3de6ba8b592b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:ingredient/*[not(self::pharm:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor]|self::pharm:name)]"
         id="tmp-r-0fee3db6-9358-4347-b41a-34203fc25b6b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:ingredient/pharm:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor]/*[not(self::pharm:originalText|self::pharm:translation)]"
         id="tmp-r-1ee79457-4a94-4f98-bbbd-78f2062cbff2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:performer/*[not(self::hl7:time|self::hl7:assignedEntity)]"
         id="tmp-r-b2e9e1f5-ffa4-40f6-be75-001ee118a99a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:performer/hl7:assignedEntity/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:representedOrganization)]"
         id="tmp-r-1491a729-5fd2-455a-8e28-07eb861a28b1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-r-c4f4be6c-9655-4251-bf5d-123172c9254b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="not(.)">(AssignedEntityElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-d460d365-2c86-4eef-b962-5b2681b2dd5f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="not(.)">(AssignedEntityElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:author/*[not(self::hl7:functionCode|self::hl7:time|self::hl7:assignedAuthor)]"
         id="tmp-r-a18347ba-6d87-40b9-a68d-a136c97f2196">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(.)">(AuthorElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:author/hl7:assignedAuthor/*[not(self::hl7:id|self::hl7:code|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:assignedAuthoringDevice|self::hl7:representedOrganization)]"
         id="tmp-r-c738e7a7-f225-4dfc-9dd5-83cec7fb3dd1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(.)">(AuthorElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-r-b766023e-3723-446e-99bd-10641395b9b7">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(.)">(AuthorElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/*[not(self::hl7:manufacturerModelName|self::hl7:softwareName)]"
         id="tmp-r-e54c4955-23c1-4db5-95b6-7edb11beec09">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(.)">(AuthorElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-26dbe3f4-eb0d-47f8-b674-140ca2b772ca">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(.)">(AuthorElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='REFR']/*[not(self::hl7:substanceAdministration)]"
         id="tmp-r-4a912c14-bcc0-4d36-8612-a041d5929e67">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='REFR']/hl7:substanceAdministration/*[not(self::hl7:id[@root='1.2.40.0.10.1.4.3.4.2.2']|self::hl7:consumable)]"
         id="tmp-r-89ed8260-3556-4849-b58a-620cd4040d7e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='REFR']/hl7:substanceAdministration/hl7:consumable/*[not(self::hl7:manufacturedProduct)]"
         id="tmp-r-ac0b904a-c773-449e-8ccd-302535dfd68b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='REFR']/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/*[not(self::hl7:manufacturedMaterial)]"
         id="tmp-r-443677c0-9824-461d-8aec-83c412c96a45">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.49']]/*[not(self::hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.49' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3']])]"
         id="tmp-r-6f2f388d-41ab-44b5-8dc1-c1c33d08896b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30033-2013-12-21T000000.html"
              test="not(.)">(PatientInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.49']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.49' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.49']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']|self::hl7:code[(@code='PINSTRUCT' and @codeSystem='1.3.6.1.4.1.19376.1.5.3.2')]|self::hl7:text|self::hl7:statusCode[@code='completed'])]"
         id="tmp-r-f9ac484d-6b6b-44c1-b6c1-fcbad4669459">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30033-2013-12-21T000000.html"
              test="not(.)">(PatientInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.49']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.49' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]/hl7:text/*[not(self::hl7:reference)]"
         id="tmp-r-faeebf7f-2889-4fc9-accb-a179c2e5803a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30033-2013-12-21T000000.html"
              test="not(.)">(PatientInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']]/*[not(self::hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.43' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']])]"
         id="tmp-r-a48e8002-3655-4fad-a7ef-ad7db6793f93">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30034-2013-12-21T000000.html"
              test="not(.)">(PharmacistInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.43' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']]/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']|self::hl7:code[(@code='FINSTRUCT' and @codeSystem='1.3.6.1.4.1.19376.1.5.3.2')]|self::hl7:text|self::hl7:statusCode[@code='completed'])]"
         id="tmp-r-d624776a-795a-461d-9ed6-f942f9643aea">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30034-2013-12-21T000000.html"
              test="not(.)">(PharmacistInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.43' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']]/hl7:text/*[not(self::hl7:reference)]"
         id="tmp-r-2c82c470-1203-4201-b74b-46173a564751">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30034-2013-12-21T000000.html"
              test="not(.)">(PharmacistInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/*[not(self::hl7:substanceAdministration)]"
         id="tmp-r-a57d2b02-6006-4d3b-b8ab-98b7986c3881">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/*[not(self::hl7:effectiveTime[1][hl7:low]|self::hl7:effectiveTime[1][hl7:width]|self::hl7:effectiveTime[hl7:period]|self::hl7:effectiveTime[2]|self::hl7:effectiveTime[hl7:comp]|self::hl7:effectiveTime[2]|self::hl7:doseQuantity|self::hl7:doseQuantity|self::hl7:doseQuantity|self::hl7:doseQuantity|self::hl7:routeCode|self::hl7:consumable|self::hl7:entryRelationship[@typeCode='COMP']|self::hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]|self::hl7:entryRelationship|self::hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']])]"
         id="tmp-r-acd06e62-5a72-48dc-8a36-107e74969823">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:effectiveTime[1][hl7:low]/*[not(self::hl7:low|self::hl7:high)]"
         id="tmp-r-eaf22fd7-0fb5-47ce-8537-cbff548b9e8f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30006-2013-12-20T000000.html"
              test="not(.)">(Einnahmedauer): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:effectiveTime[1][hl7:width]/*[not(self::hl7:width)]"
         id="tmp-r-0487f577-c08e-49ca-b873-34caaf75aa0f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30006-2013-12-20T000000.html"
              test="not(.)">(Einnahmedauer): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:effectiveTime[hl7:period]/*[not(self::hl7:period)]"
         id="tmp-r-e9be2a9c-1875-4432-b463-bf5b935d1a5d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30007-2013-12-20T000000.html"
              test="not(.)">(Dosierung1): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:effectiveTime[hl7:comp]/*[not(self::hl7:comp[hl7:period and not(hl7:phase)]|self::hl7:comp[hl7:phase])]"
         id="tmp-r-288e2b41-092a-4fb9-8f26-30dcf1490a69">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30009-2013-12-20T000000.html"
              test="not(.)">(Dosierung3): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:effectiveTime[hl7:comp]/hl7:comp[hl7:period and not(hl7:phase)]/*[not(self::hl7:period)]"
         id="tmp-r-170feb30-13a9-4002-8001-7418a8b9e1ad">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30009-2013-12-20T000000.html"
              test="not(.)">(Dosierung3): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:effectiveTime[hl7:comp]/hl7:comp[hl7:phase]/*[not(self::hl7:phase|self::hl7:period)]"
         id="tmp-r-c30a282f-382f-47e0-97c7-33d718eb08c1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30009-2013-12-20T000000.html"
              test="not(.)">(Dosierung3): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:effectiveTime[hl7:comp]/hl7:comp[hl7:phase]/hl7:phase/*[not(self::hl7:width)]"
         id="tmp-r-77397cbd-f529-4ceb-82b9-995cddee0c19">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30009-2013-12-20T000000.html"
              test="not(.)">(Dosierung3): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:consumable/*[not(self::hl7:manufacturedProduct)]"
         id="tmp-r-b74149c2-7d25-4cd0-9844-b09a1b3c7c57">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/*[not(self::hl7:manufacturedMaterial)]"
         id="tmp-r-a0c19eef-0808-4b0a-a14f-0c2d35f8cda9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/*[not(self::hl7:sequenceNumber|self::hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']])]"
         id="tmp-r-32c09757-4c39-4ed9-9808-954ce0b4f280">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30040-2013-12-19T000000.html"
              test="not(.)">(Dosierung2er): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']|self::hl7:effectiveTime[@xsi:type='EIVL_TS']|self::hl7:effectiveTime[@xsi:type='SXPR_TS'])]"
         id="tmp-r-424e2c0b-2a37-43b6-b489-9c40c0a0924b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='EIVL_TS']/*[not(self::hl7:event)]"
         id="tmp-r-2037f91e-65aa-4046-a8d8-fa6c1aad0627">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/*[not(self::hl7:comp[hl7:event]|self::hl7:comp[hl7:phase])]"
         id="tmp-r-114cc266-7b23-49a1-8a73-50771cbbfd6f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:event]/*[not(self::hl7:event)]"
         id="tmp-r-8f1100e6-a007-455e-af3f-650422d2484f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:phase]/*[not(self::hl7:phase|self::hl7:period)]"
         id="tmp-r-fdce1f2f-7c0b-48f5-87c0-0045564b1ad5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:phase]/hl7:phase/*[not(self::hl7:width)]"
         id="tmp-r-62a31910-9d44-46f4-aaf7-879152160f57">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/*[not(self::hl7:sequenceNumber|self::hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']])]"
         id="tmp-r-062f179f-f586-4d89-9d92-9c755f2d7f0b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30044-2013-12-19T000000.html"
              test="not(.)">(Dosierung4er): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']|self::hl7:effectiveTime[@xsi:type='EIVL_TS']|self::hl7:effectiveTime[@xsi:type='SXPR_TS'])]"
         id="tmp-r-efb426fc-e75d-45e3-89d9-77774b8de0dc">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='EIVL_TS']/*[not(self::hl7:event)]"
         id="tmp-r-61858fdc-7d11-49f5-b5b0-0e381d15be21">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/*[not(self::hl7:comp[hl7:event]|self::hl7:comp[hl7:phase])]"
         id="tmp-r-ae8edd23-c790-4558-ba1f-57886f3434ed">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:event]/*[not(self::hl7:event)]"
         id="tmp-r-b9675991-e264-403d-96fb-aff5f7d57bd5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:phase]/*[not(self::hl7:phase|self::hl7:period)]"
         id="tmp-r-1145d058-ba5f-48fd-8b99-41d624a83fb6">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:supply]/hl7:supply[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:phase]/hl7:phase/*[not(self::hl7:width)]"
         id="tmp-r-a98e64ee-bfb3-45e0-90b8-18b16b995672">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/*[not(self::hl7:organizer)]"
         id="tmp-r-67dc1c23-63d9-40f1-a41b-bd3a8b320c77">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/*[not(self::hl7:statusCode[@code='completed']|self::hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]])]"
         id="tmp-r-dec09537-6250-40bc-9e2d-f07c599770fa">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/*[not(self::hl7:seperatableInd|self::hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']])]"
         id="tmp-r-94f0388d-c996-4d4a-892a-2cbc823aaaca">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/*[not(self::hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.24']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.2']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.9']|self::hl7:id[@root='1.2.40.0.10.1.4.3.4.2.2']|self::hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]|self::hl7:text|self::hl7:statusCode[@code='completed']|self::hl7:effectiveTime[1][hl7:low]|self::hl7:effectiveTime[1][hl7:width]|self::hl7:effectiveTime[hl7:period]|self::hl7:effectiveTime[2]|self::hl7:effectiveTime[hl7:comp]|self::hl7:effectiveTime[2]|self::hl7:doseQuantity|self::hl7:doseQuantity|self::hl7:doseQuantity|self::hl7:doseQuantity|self::hl7:repeatNumber|self::hl7:routeCode|self::hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]|self::hl7:author|self::hl7:entryRelationship[@typeCode='COMP']|self::hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]|self::hl7:entryRelationship|self::hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]|self::hl7:entryRelationship[@typeCode='COMP'][hl7:supply]|self::hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.49']]|self::hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']])]"
         id="tmp-r-8400579e-fd5c-4c28-8793-483095cc3cee">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]/*[not(self::hl7:originalText)]"
         id="tmp-r-7827eea2-702f-4371-9286-428917aedb00">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:text/*[not(self::hl7:reference)]"
         id="tmp-r-9c3b94f5-bd30-4d9d-b4d7-199d25a18603">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:effectiveTime[1][hl7:low]/*[not(self::hl7:low|self::hl7:high)]"
         id="tmp-r-e726e624-9bdd-4646-ac74-14d4648e816b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30006-2013-12-20T000000.html"
              test="not(.)">(Einnahmedauer): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:effectiveTime[1][hl7:width]/*[not(self::hl7:width)]"
         id="tmp-r-839ad478-ff22-49b1-a7ad-6a3c186ee846">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30006-2013-12-20T000000.html"
              test="not(.)">(Einnahmedauer): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:effectiveTime[hl7:period]/*[not(self::hl7:period)]"
         id="tmp-r-902760bc-04fe-4760-849e-ea98f02d2d9b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30007-2013-12-20T000000.html"
              test="not(.)">(Dosierung1): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:effectiveTime[hl7:comp]/*[not(self::hl7:comp[hl7:period and not(hl7:phase)]|self::hl7:comp[hl7:phase])]"
         id="tmp-r-abbc9e91-001b-4260-a12f-50023f9e494b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30009-2013-12-20T000000.html"
              test="not(.)">(Dosierung3): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:effectiveTime[hl7:comp]/hl7:comp[hl7:period and not(hl7:phase)]/*[not(self::hl7:period)]"
         id="tmp-r-c99128c4-3bef-4ac8-b69a-ca0902688d61">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30009-2013-12-20T000000.html"
              test="not(.)">(Dosierung3): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:effectiveTime[hl7:comp]/hl7:comp[hl7:phase]/*[not(self::hl7:phase|self::hl7:period)]"
         id="tmp-r-6e01c5d1-48e7-43f7-9275-63aee5a8e29a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30009-2013-12-20T000000.html"
              test="not(.)">(Dosierung3): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:effectiveTime[hl7:comp]/hl7:comp[hl7:phase]/hl7:phase/*[not(self::hl7:width)]"
         id="tmp-r-79f50c6c-5312-49b5-b7f7-cddd14a490f3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30009-2013-12-20T000000.html"
              test="not(.)">(Dosierung3): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/*[not(self::hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']])]"
         id="tmp-r-7f90394b-b2fa-4244-b1ad-a0a132187d4c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.53']|self::hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']])]"
         id="tmp-r-06a94584-025c-4b58-82df-6d3dca62e407">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.2.3.4']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']|self::hl7:code[@codeSystem='1.2.40.0.10.1.4.3.5' or @codeSystem='1.2.40.0.10.1.4.3.6' or @nullFlavor]|self::hl7:name|self::pharm:formCode|self::pharm:asContent|self::pharm:ingredient)]"
         id="tmp-r-050a5ab9-6e9b-4420-92df-c29f5ef03945">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:code[@codeSystem='1.2.40.0.10.1.4.3.5' or @codeSystem='1.2.40.0.10.1.4.3.6' or @nullFlavor]/*[not(self::hl7:originalText|self::hl7:translation)]"
         id="tmp-r-574e2800-3a3d-49b9-ad7a-7fac88f80bea">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent/*[not(self::pharm:containerPackagedMedicine)]"
         id="tmp-r-10cabc8f-bba7-4e60-9bd4-12aa584688a3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent/pharm:containerPackagedMedicine/*[not(self::pharm:code[@codeSystem='1.2.40.0.10.1.4.3.5' or @codeSystem='1.2.40.0.10.1.4.3.6']|self::pharm:name|self::pharm:capacityQuantity)]"
         id="tmp-r-7571f130-5264-444e-aa04-6d894dc1ac63">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:code[@codeSystem='1.2.40.0.10.1.4.3.5' or @codeSystem='1.2.40.0.10.1.4.3.6']/*[not(self::pharm:originalText)]"
         id="tmp-r-23c1f9d3-34f9-4bf0-943d-10826d3cba25">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/*[not(self::pharm:quantity|self::pharm:ingredient)]"
         id="tmp-r-b886f870-3203-4054-a50e-ec3092d3bc5f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:quantity/*[not(self::pharm:numerator|self::pharm:denominator)]"
         id="tmp-r-186f89a1-33e6-40b8-a50b-43c5185fac13">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:ingredient/*[not(self::pharm:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor]|self::pharm:name)]"
         id="tmp-r-748306a6-3688-4361-bb69-77fbde0c8d4a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/hl7:manufacturedProduct/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:ingredient/pharm:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor]/*[not(self::pharm:originalText|self::pharm:translation)]"
         id="tmp-r-99c4d4db-cfd2-4705-81d5-4319cae9d0d7">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:author/*[not(self::hl7:functionCode|self::hl7:time|self::hl7:assignedAuthor)]"
         id="tmp-r-92cce0c3-05d9-4cb6-b029-3871c7fbf10c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(.)">(AuthorElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:author/hl7:assignedAuthor/*[not(self::hl7:id|self::hl7:code|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:assignedAuthoringDevice|self::hl7:representedOrganization)]"
         id="tmp-r-95c195d7-a865-4be1-9a82-4a35f350fe49">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(.)">(AuthorElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-r-6012db35-f698-4829-803d-5e234b235af3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(.)">(AuthorElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/*[not(self::hl7:manufacturerModelName|self::hl7:softwareName)]"
         id="tmp-r-421ba732-db47-4561-9e82-5b812eb00067">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(.)">(AuthorElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-6045d0a4-f8df-4aa5-b033-101714bb54bd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(.)">(AuthorElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/*[not(self::hl7:sequenceNumber|self::hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']])]"
         id="tmp-r-fdd3c85f-2b91-415b-a76d-bdbbd4218358">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30040-2013-12-19T000000.html"
              test="not(.)">(Dosierung2er): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']|self::hl7:effectiveTime[@xsi:type='EIVL_TS']|self::hl7:effectiveTime[@xsi:type='SXPR_TS'])]"
         id="tmp-r-7ce5a81d-f278-4e28-8586-822076ac146e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='EIVL_TS']/*[not(self::hl7:event)]"
         id="tmp-r-4299cbd8-6671-4801-9c60-88a9a8aa764b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/*[not(self::hl7:comp[hl7:event]|self::hl7:comp[hl7:phase])]"
         id="tmp-r-62bdf552-a05d-4dbc-ab91-08ec3a01855c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:event]/*[not(self::hl7:event)]"
         id="tmp-r-2f666be2-ca83-4235-8f85-82445b431e7a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:phase]/*[not(self::hl7:phase|self::hl7:period)]"
         id="tmp-r-99399b2a-2957-4d70-92cc-b0623a6f3b0b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:phase]/hl7:phase/*[not(self::hl7:width)]"
         id="tmp-r-c8d7e8ae-0dae-4f92-b645-95307e001cd9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/*[not(self::hl7:sequenceNumber|self::hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']])]"
         id="tmp-r-b8a04998-b59c-4133-a000-60d6262ad0f2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30044-2013-12-19T000000.html"
              test="not(.)">(Dosierung4er): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']|self::hl7:effectiveTime[@xsi:type='EIVL_TS']|self::hl7:effectiveTime[@xsi:type='SXPR_TS'])]"
         id="tmp-r-8432f0db-37f6-4cef-bfba-408672309453">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='EIVL_TS']/*[not(self::hl7:event)]"
         id="tmp-r-cad3d7e9-1fb7-4a12-9e3c-01b3f871c620">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/*[not(self::hl7:comp[hl7:event]|self::hl7:comp[hl7:phase])]"
         id="tmp-r-e94ae18b-f425-4d7b-978e-e57036005bca">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:event]/*[not(self::hl7:event)]"
         id="tmp-r-71136800-01e4-4807-b08b-062c8f435a87">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:phase]/*[not(self::hl7:phase|self::hl7:period)]"
         id="tmp-r-1684fb66-af3e-4754-857f-b0d460487bf3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:phase]/hl7:phase/*[not(self::hl7:width)]"
         id="tmp-r-c0e8579a-b9e6-4b8f-9768-ce19e8bdcc3f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[@typeCode='COMP'][hl7:supply]/*[not(self::hl7:supply)]"
         id="tmp-r-a34b2533-4a8b-4ead-bd95-7472b82c2977">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[@typeCode='COMP'][hl7:supply]/hl7:supply/*[not(self::hl7:independentInd|self::hl7:quantity)]"
         id="tmp-r-5b50d9d2-645c-4800-8cfc-211a90db3819">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.49']]/*[not(self::hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.49' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3']])]"
         id="tmp-r-30762a5c-4a05-4073-88a1-2d0bd361eec0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30033-2013-12-21T000000.html"
              test="not(.)">(PatientInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.49']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.49' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.49']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']|self::hl7:code[(@code='PINSTRUCT' and @codeSystem='1.3.6.1.4.1.19376.1.5.3.2')]|self::hl7:text|self::hl7:statusCode[@code='completed'])]"
         id="tmp-r-207fffc3-0fe2-4f6a-bcd0-3c0ccd53fcd4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30033-2013-12-21T000000.html"
              test="not(.)">(PatientInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.49']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.49' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]/hl7:text/*[not(self::hl7:reference)]"
         id="tmp-r-882b1b02-3170-4150-ad69-2cf0e434eb44">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30033-2013-12-21T000000.html"
              test="not(.)">(PatientInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']]/*[not(self::hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.43' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']])]"
         id="tmp-r-f8dbc256-1487-4c28-9314-50beede3fe6d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30034-2013-12-21T000000.html"
              test="not(.)">(PharmacistInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.43' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']]/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']|self::hl7:code[(@code='FINSTRUCT' and @codeSystem='1.3.6.1.4.1.19376.1.5.3.2')]|self::hl7:text|self::hl7:statusCode[@code='completed'])]"
         id="tmp-r-cddda416-0840-4659-ab8d-c04aeeb49fcf">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30034-2013-12-21T000000.html"
              test="not(.)">(PharmacistInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='EINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6') or (@code='NICHTEINZEL' and @codeSystem='1.2.40.0.10.1.4.3.4.3.6')]]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.43' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']]/hl7:text/*[not(self::hl7:reference)]"
         id="tmp-r-42815765-3712-4372-af63-c0c05656ad3f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30034-2013-12-21T000000.html"
              test="not(.)">(PharmacistInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/*[not(self::hl7:organizer)]"
         id="tmp-r-a9fd1a0f-9be1-474f-b844-d1ea35386d09">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/*[not(self::hl7:statusCode[@code='completed']|self::hl7:component)]"
         id="tmp-r-745f8911-f6d9-4f14-be27-95727dcd6da9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component/*[not(self::hl7:seperatableInd|self::hl7:substanceAdministration)]"
         id="tmp-r-1674fc21-732a-41fd-b308-2036c7a27017">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component/hl7:substanceAdministration/*[not(self::hl7:effectiveTime[1][hl7:low]|self::hl7:effectiveTime[1][hl7:width]|self::hl7:effectiveTime[hl7:period]|self::hl7:effectiveTime[2]|self::hl7:effectiveTime[hl7:comp]|self::hl7:effectiveTime[2]|self::hl7:doseQuantity|self::hl7:doseQuantity|self::hl7:doseQuantity|self::hl7:doseQuantity|self::hl7:routeCode|self::hl7:consumable|self::hl7:entryRelationship[@typeCode='COMP']|self::hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]|self::hl7:entryRelationship|self::hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']])]"
         id="tmp-r-9593bf14-0b6c-4380-98c9-e32302c5e0b2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:effectiveTime[1][hl7:low]/*[not(self::hl7:low|self::hl7:high)]"
         id="tmp-r-e4f00ed6-59c2-4ca2-b485-530b5ad536bf">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30006-2013-12-20T000000.html"
              test="not(.)">(Einnahmedauer): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:effectiveTime[1][hl7:width]/*[not(self::hl7:width)]"
         id="tmp-r-e8e031b0-21b9-4779-8912-2e92b8a98337">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30006-2013-12-20T000000.html"
              test="not(.)">(Einnahmedauer): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:effectiveTime[hl7:period]/*[not(self::hl7:period)]"
         id="tmp-r-9b8c0705-3f74-4ab5-8a0f-fcdde5906b10">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30007-2013-12-20T000000.html"
              test="not(.)">(Dosierung1): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:effectiveTime[hl7:comp]/*[not(self::hl7:comp[hl7:period and not(hl7:phase)]|self::hl7:comp[hl7:phase])]"
         id="tmp-r-1a558cb5-1eb8-4352-b1e6-fa898772b5fc">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30009-2013-12-20T000000.html"
              test="not(.)">(Dosierung3): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:effectiveTime[hl7:comp]/hl7:comp[hl7:period and not(hl7:phase)]/*[not(self::hl7:period)]"
         id="tmp-r-4ea01ecf-6f5d-44ee-9a51-25b2659eee91">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30009-2013-12-20T000000.html"
              test="not(.)">(Dosierung3): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:effectiveTime[hl7:comp]/hl7:comp[hl7:phase]/*[not(self::hl7:phase|self::hl7:period)]"
         id="tmp-r-4067e441-5b17-4871-9fd3-d92e27760379">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30009-2013-12-20T000000.html"
              test="not(.)">(Dosierung3): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:effectiveTime[hl7:comp]/hl7:comp[hl7:phase]/hl7:phase/*[not(self::hl7:width)]"
         id="tmp-r-9e7e7a09-9f13-41e9-b2dc-ecacd0e46826">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30009-2013-12-20T000000.html"
              test="not(.)">(Dosierung3): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:consumable/*[not(self::hl7:manufacturedProduct)]"
         id="tmp-r-023cf3c7-f636-40e0-8e43-07a0de11e2ff">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/*[not(self::hl7:manufacturedMaterial)]"
         id="tmp-r-21eccff5-afa3-43e4-8fe8-b93b1be71393">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.10.1.4.3.4.1.1.4-2013-12-16T000000.html"
              test="not(.)">(eMedikationPharmazeutischeEmpfehlung): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/*[not(self::hl7:sequenceNumber|self::hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']])]"
         id="tmp-r-2526296c-0732-4d67-b519-6a09cce6fc0a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30040-2013-12-19T000000.html"
              test="not(.)">(Dosierung2er): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']|self::hl7:effectiveTime[@xsi:type='EIVL_TS']|self::hl7:effectiveTime[@xsi:type='SXPR_TS'])]"
         id="tmp-r-14d52435-de53-4aca-ba13-e9a29a800349">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='EIVL_TS']/*[not(self::hl7:event)]"
         id="tmp-r-a14a9cbf-e69f-419e-a1fc-4f8c586ad683">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/*[not(self::hl7:comp[hl7:event]|self::hl7:comp[hl7:phase])]"
         id="tmp-r-ab315a10-5200-4ae9-a610-9d83bd89f806">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:event]/*[not(self::hl7:event)]"
         id="tmp-r-75d691c3-dbe0-46d9-97ca-6438a5c39b09">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:phase]/*[not(self::hl7:phase|self::hl7:period)]"
         id="tmp-r-e1ce21ea-642c-429d-9759-245bca603d3a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:phase]/hl7:phase/*[not(self::hl7:width)]"
         id="tmp-r-6b4d2238-a769-4c36-950f-acae09ccb1c8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/*[not(self::hl7:sequenceNumber|self::hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']])]"
         id="tmp-r-772c0629-4af6-4d22-9f0a-80bded3d7ffa">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.2.40.0.34.11.30044-2013-12-19T000000.html"
              test="not(.)">(Dosierung4er): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']|self::hl7:effectiveTime[@xsi:type='EIVL_TS']|self::hl7:effectiveTime[@xsi:type='SXPR_TS'])]"
         id="tmp-r-de77004b-4cea-4972-a22c-3c3550d641a5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='EIVL_TS']/*[not(self::hl7:event)]"
         id="tmp-r-4fb79af4-9314-4aa4-a8a7-591a8419e7c5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/*[not(self::hl7:comp[hl7:event]|self::hl7:comp[hl7:phase])]"
         id="tmp-r-a31ba7b8-e41c-4e61-a4c7-677b1a76506c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:event]/*[not(self::hl7:event)]"
         id="tmp-r-4798fb00-1428-41a7-adf4-99539995e5c6">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:phase]/*[not(self::hl7:phase|self::hl7:period)]"
         id="tmp-r-6f7436a6-cf21-4898-b248-1a3a80b784e9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
<rule context="hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.2.4' or @root='1.3.6.1.4.1.19376.1.9.1.2.2']]]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.10.1.4.3.4.1.3.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.3']]]/hl7:observation/hl7:entryRelationship[@typeCode='REFR'][hl7:organizer]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:phase]/hl7:phase/*[not(self::hl7:width)]"
         id="tmp-r-a674411a-45a5-4adb-ba12-d29890addfe7">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140101T114508/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2013-12-19T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>
</pattern>
